module M_equationSolving_COST_TRA =
   constant integer nbTypes = 11;
   constant integer NilHomoTypeValue = 0;
   constant integer _undef = -1;
   constant integer CST_COST_TEST = 2;
   constant integer CST_COST_AND = 2;
   constant integer CST_COST_OR = 2;
   constant integer d_CLK_stable = 0;
   constant integer d_cst_epsilon = external;
   type __TC__ = enum (_event, _logical, _short, _integer, _long, _real, _dpreal, _complex, _dcomplex, _char, _string);
   constant [nbTypes,nbTypes]integer TAB_COST_RELA = [{_I to (nbTypes-1) step 1, _I_25 to (nbTypes-1) step 1}:_undef,[2,2]:3,[2,3]:3,[2,4]:3,[3,2]:3,[3,3]:3,[3,4]:3,[4,2]:3,[4,3]:3,[4,4]:3,[5,5]:5,[5,6]:5,[6,5]:5,[6,6]:5];
   constant [11]integer TAB_ASSIGN = [{_I_98 to (nbTypes-1) step 1}:2];
   constant [11]integer TAB_COST_READ = [[0]:1,[1]:1,[2]:2,[3]:2,[4]:2,[5]:4,[6]:4,[7]:_undef,[8]:_undef,[9]:_undef,[10]:_undef];
   constant [11]integer TAB_COST_WRITE = [[0]:1,[1]:1,[2]:2,[3]:2,[4]:2,[5]:4,[6]:4,[7]:_undef,[8]:_undef,[9]:_undef,[10]:_undef];
   constant [11]integer TAB_UMINUS = [[0]:_undef,[1]:_undef,[2]:1,[3]:2,[4]:3,[5]:4,[6]:5,[7]:_undef,[8]:_undef,[9]:_undef,[10]:_undef];
   constant [nbTypes,nbTypes]integer TAB_PLUS = [{_I_161 to (nbTypes-1) step 1, _I_164 to (nbTypes-1) step 1}:_undef,[2,2]:3,[2,3]:3,[2,4]:3,[3,2]:3,[3,3]:3,[3,4]:3,[4,2]:3,[4,3]:3,[4,4]:3,[5,5]:5,[5,6]:5,[6,5]:5,[6,6]:5];
   constant [nbTypes,nbTypes]integer TAB_MINUS = [{_I_213 to (nbTypes-1) step 1, _I_216 to (nbTypes-1) step 1}:_undef,[2,2]:3,[2,3]:3,[2,4]:3,[3,2]:3,[3,3]:3,[3,4]:3,[4,2]:3,[4,3]:3,[4,4]:3,[5,5]:5,[5,6]:5,[6,5]:5,[6,6]:5];
   process equationSolving_COST =
        ( ? boolean stable, err2, next_stable, OK, C_d, C_, C_373, C_cc_384, C_error, C_328, C_331;
            integer d_a, d_b, d_c;
          ! integer d_x2, d_x1, d_error;
        )
      pragmas 
         main
         Defined_clock_hierarchy
      end pragmas
      (| (| CLK_stable_0 := ^stable
          | CLK_stable_0 ^= stable ^= next_stable ^= C_328 ^= C_331
          | ACT_CLK_stable_0{}
          |) |)
      where 
      event CLK_stable_0;
      process ACT_CLK_stable_0 =
           ( )
         (| CLK_stable_0 ^= biterate ^= C ^= C_y ^= OK_344 ^= C_d_357 ^= C__368 ^= C_cc_390 ^= C__416 ^= C_x ^= C_x1 ^= C_444 ^= C_448 ^= C_451 ^= d_yy ^= d_next_yy ^= d_biterate ^= d_mx ^= d_next_stable ^= d_s ^= d_XZX_147 ^= d_C ^= d_C_328 ^= d_C_331 ^= 
            d_C_y ^= d_OK_344 ^= d_C_d_357 ^= d_C__368 ^= d_C_cc_390 ^= d_C__416 ^= d_C_x ^= d_C_x1 ^= d_C_444 ^= d_C_448 ^= d_C_451 ^= done ^= done_973 ^= done_979 ^= done_983 ^= done_995 ^= done_1006 ^= done_1013 ^= done_1017 ^= done_1027 ^= done_1042 ^=
            done_1051 ^= done_1061 ^= done_1070 ^= done_1075 ^= done_1089 ^= done_1110 ^= done_1122 ^= done_1143 ^= done_1158 ^= done_1168 ^= done_1178 ^= done_1188 ^= done_1207 ^= done_1218 ^= done_1228 ^= done_1238 ^= XZX_1257 ^= XZX_1269 ^= done_1280 ^=
            XZX_1310 ^= XZX_1322 ^= XZX_1332 ^= XZX_1351 ^= XZX_1364 ^= XZX_1391 ^= XZX_1401 ^= XZX_1411 ^= done_1440 ^= XZX_1483 ^= XZX_1493 ^= XZX_1506 ^= done_1530 ^= done_1541 ^= done_1552 ^= done_1562 ^= done_1581 ^= done_1597 ^= done_1607 ^= 
            done_1626 ^= done_1647 ^= done_1651 ^= done_1663 ^= done_1674 ^= done_1684 ^= done_1694 ^= done_1700 ^= done_1704 ^= done_1724 ^= done_1734 ^= done_1749 ^= done_1753 ^= done_1765 ^= XZX_1813 ^= done_1844 ^= done_1854 ^= done_1878 ^= 
            done_1903 ^= done_1921 ^= done_1928 ^= done_1969 ^= XZX_2010 ^= XZX_2026 ^= done_2043 ^= done_2051 ^= done_2059 ^= done_2067 ^= done_2075 ^= done_2087 ^= done_2095 ^= done_2103 ^= done_2111 ^= done_2119 ^= done_2127 ^= done_2135 ^= done_2143 ^=
            done_2151 ^= done_2159 ^= done_2167 ^= done_2175 ^= done_2183 ^= done_2191 ^= done_2199 ^= done_2209 ^= done_2222 ^= done_2254 ^= VMAXDelay ^= c1_1206 ^= pre_d_next_stable ^= vc_1181 ^= VMAXW_1735 ^= VMAXW_1830 ^= VMAX_1837 ^= VMAXD_1873 ^= 
            Y_1875 ^= VMAXW_1908 ^= VMAX_1915 ^= vc_1955 ^= VMAXB_1965 ^= X_1966 ^= vc_2006 ^= VMAXB_2015 ^= X_2016 ^= vc_2055 ^= VMAXB_2065 ^= X_2066 ^= VMAXW_2103 ^= VMAX_2110 ^= VMAXD_2146 ^= Y_2148 ^= VMAXU_2189 ^= X_2190 ^= VMAXW_2222 ^= VMAXW_2265 ^=
            VMAX_2272 ^= VMAXD_2308 ^= Y_2310 ^= VMAXC ^= VMAX_2394 ^= VMAX_2400 ^= d_pre_next_yy ^= c1_2479 ^= pre_d_next_yy ^= vc_2459 ^= VMAX_2465 ^= vc_2504 ^= VMAXB_2516 ^= X_2517 ^= vc_2556 ^= VMAXU_2562 ^= X_2563 ^= VMAXW_2595 ^= VMAX_2602 ^= 
            VMAXW_2638 ^= VMAX_2645 ^= VMAXD_2681 ^= Y_2683 ^= vc_2718 ^= VMAXB_2728 ^= X_2729 ^= VMAXU_3686 ^= X_3687 ^= vc_3723 ^= VMAXB_3735 ^= X_3736 ^= vc_3776 ^= VMAXB_3788 ^= X_3789 ^= VMAXU_3832 ^= X_3833 ^= VMAXB_3872 ^= X_3873 ^= VMAXL ^= 
            VMAX_3917 ^= VMAX_3923 ^= vc_3958 ^= vc_3960 ^= VMAXL_4077 ^= VMAX_4085 ^= VMAX_4091 ^= vc_4126 ^= vc_4128 ^= VMAXL_4201 ^= VMAX_4209 ^= VMAX_4215 ^= vc_4250 ^= vc_4252 ^= VMAXL_4457 ^= VMAX_4465 ^= VMAX_4471 ^= vc_4506 ^= vc_4508 ^= XZX_4510 
            ^= VMAXB_4664 ^= X_4665 ^= VMAXB_4708 ^= X_4709 ^= VMAXB_4797 ^= X_4798 ^= VMAXU_4842 ^= X_4843 ^= VMAXB_4881 ^= X_4882 ^= VMAXU_4925 ^= X_4926 ^= VMAXB_4964 ^= X_4965 ^= VMAXU_5008 ^= X_5009
          | (| CLK_d_CLK_66 := when biterate
             | CLK_d_CLK_66 ^= d_CLK_66
             | ACT_CLK_d_CLK_66{}
             | CLK := when (not biterate)
             |)
          | (| CLK_d_CLK_240 := when C
             | CLK_d_CLK_240 ^= d_CLK_240
             | ACT_CLK_d_CLK_240{}
             | CLK_12 := when (not C)
             |)
          | (| CLK_d_CLK_242 := when C_328
             | CLK_d_CLK_242 ^= d_CLK_242
             | ACT_CLK_d_CLK_242{}
             | CLK_15 := when (not C_328)
             |)
          | (| CLK_d_CLK_244 := when C_331
             | CLK_d_CLK_244 ^= d_CLK_244
             | ACT_CLK_d_CLK_244{}
             | CLK_18 := when (not C_331)
             |)
          | (| CLK_d_x2 := when C_y
             | CLK_d_x2 ^= d_x2 ^= d_x2_internal ^= d_y ^= d_bb_110 ^= d_x_168 ^= d_x_177 ^= d_CLK_x2_0 ^= XZX_1561 ^= XZX_1580 ^= XZX_1606 ^= XZX_1625 ^= VMAX_1699
             | ACT_CLK_d_x2{}
             | CLK_21 := when (not C_y)
             |)
          | (| CLK_OK := when stable
             | CLK_OK ^= OK ^= d_a ^= d_b ^= d_c ^= d_a_internal ^= d_b_internal ^= d_c_internal ^= d_OK ^= d_C_cc ^= d_C_376 ^= d_C_error_398 ^= d_C_err ^= d_CLK_a
             | ACT_CLK_OK{}
             | CLK_24 := when (not stable)
             |)
          | (| CLK_d_XZX_164 := when C__416
             | CLK_d_XZX_164 ^= d_XZX_164 ^= d_CLK_XZX_164_0 ^= VMAX_2817
             | ACT_CLK_d_XZX_164{}
             | CLK_72 := when (not C__416)
             |)
          | (| CLK_d_x21 := when C_x
             | CLK_d_x21 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1650 ^= XZX_1662 ^= VMAX_3163 ^= VMAX_3207
             | ACT_CLK_d_x21{}
             | CLK_75 := when (not C_x)
             |)
          | (| CLK_d_x1 := when C_x1
             | CLK_d_x1 ^= d_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX ^= XZX_994 ^= VMAX_709 ^= VMAX_753
             | ACT_CLK_d_x1{}
             | CLK_78 := when (not C_x1)
             |)
          | (| CLK_d_CLK_324 := when C_444
             | CLK_d_CLK_324 ^= d_CLK_324
             | ACT_CLK_d_CLK_324{}
             | CLK_81 := when (not C_444)
             |)
          | (| CLK_d_CLK_326 := when C_448
             | CLK_d_CLK_326 ^= d_CLK_326
             | ACT_CLK_d_CLK_326{}
             | CLK_85 := when (not C_448)
             |)
          | (| CLK_d_CLK_328 := when C_451
             | CLK_d_CLK_328 ^= d_CLK_328
             | ACT_CLK_d_CLK_328{}
             | CLK_87 := when (not C_451)
             |)
          | (| CLK_628 := when (c1_1206>0)
             | CLK_629 := when (not (c1_1206>0))
             |)
          | (| CLK_1274 := when (XZX_1269>0)
             | CLK_1275 := when (not (XZX_1269>0))
             |)
          | (| CLK_1289 := when (Y_1875>d_C_cc_390)
             | CLK_1290 := when (not (Y_1875>d_C_cc_390))
             |)
          | (| CLK_1339 := when (d_yy>VMAX_1915)
             | CLK_1340 := when (not (d_yy>VMAX_1915))
             |)
          | (| CLK_1358 := when ((d_mx>d_yy) and (d_mx>0))
             | CLK_1359 := when (not ((d_mx>d_yy) and (d_mx>0)))
             |)
          | (| CLK_1362 := when (d_yy>0)
             | CLK_1363 := when (not (d_yy>0))
             |)
          | (| CLK_1383 := when (X_1966>0)
             | CLK_1384 := when (not (X_1966>0))
             |)
          | (| CLK_1403 := when ((d_yy>XZX_1364) and (d_yy>0))
             | CLK_1404 := when (not ((d_yy>XZX_1364) and (d_yy>0)))
             |)
          | (| CLK_1407 := when (XZX_1364>0)
             | CLK_1408 := when (not (XZX_1364>0))
             |)
          | (| CLK_1428 := when (X_2016>0)
             | CLK_1429 := when (not (X_2016>0))
             |)
          | (| CLK_1448 := when (XZX_1351>0)
             | CLK_1449 := when (not (XZX_1351>0))
             |)
          | (| CLK_1473 := when (X_2066>0)
             | CLK_1474 := when (not (X_2066>0))
             |)
          | (| CLK_1521 := when (XZX_1332>VMAX_2110)
             | CLK_1522 := when (not (XZX_1332>VMAX_2110))
             |)
          | (| CLK_1538 := when (XZX_1322>0)
             | CLK_1539 := when (not (XZX_1322>0))
             |)
          | (| CLK_1553 := when (Y_2148>d_biterate)
             | CLK_1554 := when (not (Y_2148>d_biterate))
             |)
          | (| CLK_1575 := when (VMAXDelay>0)
             | CLK_1576 := when (not (VMAXDelay>0))
             |)
          | (| CLK_1593 := when (X_2190>0)
             | CLK_1594 := when (not (X_2190>0))
             |)
          | (| CLK_1702 := when (XZX_1411>0)
             | CLK_1703 := when (not (XZX_1411>0))
             |)
          | (| CLK_1717 := when (Y_2310>d_yy)
             | CLK_1718 := when (not (Y_2310>d_yy))
             |)
          | (| CLK_1788 := when (0>d_C_d_357)
             | CLK_1789 := when (not (0>d_C_d_357))
             |)
          | (| CLK_1809 := when (0>VMAX_2400)
             | CLK_1810 := when (not (0>VMAX_2400))
             |)
          | (| CLK_1856 := when (0>VMAXDelay)
             | CLK_1857 := when (not (0>VMAXDelay))
             |)
          | (| CLK_1877 := when (c1_2479>VMAX_2465)
             | CLK_1878 := when (not (c1_2479>VMAX_2465))
             |)
          | (| CLK_1895 := when ((d_s>d_cst_epsilon) and (d_s>0))
             | CLK_1896 := when (not ((d_s>d_cst_epsilon) and (d_s>0)))
             |)
          | (| CLK_1899 := when (d_cst_epsilon>0)
             | CLK_1900 := when (not (d_cst_epsilon>0))
             |)
          | (| CLK_1917 := when (X_2517>d_s)
             | CLK_1918 := when (not (X_2517>d_s))
             |)
          | (| CLK_1935 := when (d_XZX_147>0)
             | CLK_1936 := when (not (d_XZX_147>0))
             |)
          | (| CLK_1953 := when (X_2563>0)
             | CLK_1954 := when (not (X_2563>0))
             |)
          | (| CLK_2001 := when (XZX_1493>VMAX_2602)
             | CLK_2002 := when (not (XZX_1493>VMAX_2602))
             |)
          | (| CLK_2048 := when (d_XZX_147>VMAX_2645)
             | CLK_2049 := when (not (d_XZX_147>VMAX_2645))
             |)
          | (| CLK_2065 := when (XZX_1506>0)
             | CLK_2066 := when (not (XZX_1506>0))
             |)
          | (| CLK_2080 := when (Y_2683>d_XZX_147)
             | CLK_2081 := when (not (Y_2683>d_XZX_147))
             |)
          | (| CLK_2100 := when ((d_next_yy>d_yy) and (d_next_yy>0))
             | CLK_2101 := when (not ((d_next_yy>d_yy) and (d_next_yy>0)))
             |)
          | (| CLK_2122 := when (X_2729>d_next_yy)
             | CLK_2123 := when (not (X_2729>d_next_yy))
             |)
          | (| CLK_3055 := when (d_biterate>0)
             | CLK_3056 := when (not (d_biterate>0))
             |)
          | (| CLK_3073 := when (X_3687>0)
             | CLK_3074 := when (not (X_3687>0))
             |)
          | (| CLK_3118 := when (X_3736>0)
             | CLK_3119 := when (not (X_3736>0))
             |)
          | (| CLK_3163 := when (X_3789>0)
             | CLK_3164 := when (not (X_3789>0))
             |)
          | (| CLK_3183 := when (XZX_1813>0)
             | CLK_3184 := when (not (XZX_1813>0))
             |)
          | (| CLK_3201 := when (X_3833>0)
             | CLK_3202 := when (not (X_3833>0))
             |)
          | (| CLK_3218 := when ((d_next_stable>d_biterate) and (d_next_stable>0))
             | CLK_3219 := when (not ((d_next_stable>d_biterate) and (d_next_stable>0)))
             |)
          | (| CLK_3240 := when (X_3873>d_next_stable)
             | CLK_3241 := when (not (X_3873>d_next_stable))
             |)
          | (| CLK_3264 := when (0>done_1844)
             | CLK_3265 := when (not (0>done_1844))
             |)
          | (| CLK_3285 := when (VMAXDelay>VMAX_3923)
             | CLK_3286 := when (not (VMAXDelay>VMAX_3923))
             |)
          | (| CLK_3412 := when (0>d_OK_344)
             | CLK_3413 := when (not (0>d_OK_344))
             |)
          | (| CLK_3433 := when (VMAXDelay>VMAX_4091)
             | CLK_3434 := when (not (VMAXDelay>VMAX_4091))
             |)
          | (| CLK_3524 := when (0>d_mx)
             | CLK_3525 := when (not (0>d_mx))
             |)
          | (| CLK_3545 := when (VMAXDelay>VMAX_4215)
             | CLK_3546 := when (not (VMAXDelay>VMAX_4215))
             |)
          | (| CLK_3751 := when (0>d_C__368)
             | CLK_3752 := when (not (0>d_C__368))
             |)
          | (| CLK_3772 := when (VMAXDelay>VMAX_4471)
             | CLK_3773 := when (not (VMAXDelay>VMAX_4471))
             |)
          | (| CLK_3927 := when ((d_C_y>d_OK_344) and (d_C_y>0))
             | CLK_3928 := when (not ((d_C_y>d_OK_344) and (d_C_y>0)))
             |)
          | (| CLK_3931 := when (d_OK_344>0)
             | CLK_3932 := when (not (d_OK_344>0))
             |)
          | (| CLK_3952 := when (X_4665>0)
             | CLK_3953 := when (not (X_4665>0))
             |)
          | (| CLK_3969 := when ((d_C_y>d_C__368) and (d_C_y>0))
             | CLK_3970 := when (not ((d_C_y>d_C__368) and (d_C_y>0)))
             |)
          | (| CLK_3973 := when (d_C__368>0)
             | CLK_3974 := when (not (d_C__368>0))
             |)
          | (| CLK_3994 := when (X_4709>d_C_y)
             | CLK_3995 := when (not (X_4709>d_C_y))
             |)
          | (| CLK_4053 := when ((d_C_x>d_C_cc_390) and (d_C_x>0))
             | CLK_4054 := when (not ((d_C_x>d_C_cc_390) and (d_C_x>0)))
             |)
          | (| CLK_4057 := when (d_C_cc_390>0)
             | CLK_4058 := when (not (d_C_cc_390>0))
             |)
          | (| CLK_4078 := when (X_4798>d_C_x)
             | CLK_4079 := when (not (X_4798>d_C_x))
             |)
          | (| CLK_4098 := when (d_C_y>0)
             | CLK_4099 := when (not (d_C_y>0))
             |)
          | (| CLK_4116 := when (X_4843>0)
             | CLK_4117 := when (not (X_4843>0))
             |)
          | (| CLK_4135 := when ((XZX_2010>d_C__368) and (XZX_2010>0))
             | CLK_4136 := when (not ((XZX_2010>d_C__368) and (XZX_2010>0)))
             |)
          | (| CLK_4157 := when (X_4882>0)
             | CLK_4158 := when (not (X_4882>0))
             |)
          | (| CLK_4177 := when (d_C_x>0)
             | CLK_4178 := when (not (d_C_x>0))
             |)
          | (| CLK_4195 := when (X_4926>0)
             | CLK_4196 := when (not (X_4926>0))
             |)
          | (| CLK_4214 := when ((XZX_2026>d_C_cc_390) and (XZX_2026>0))
             | CLK_4215 := when (not ((XZX_2026>d_C_cc_390) and (XZX_2026>0)))
             |)
          | (| CLK_4236 := when (X_4965>0)
             | CLK_4237 := when (not (X_4965>0))
             |)
          | (| CLK_4256 := when (d_C_d_357>0)
             | CLK_4257 := when (not (d_C_d_357>0))
             |)
          | (| CLK_4274 := when (X_5009>0)
             | CLK_4275 := when (not (X_5009>0))
             |)
          | (| CLK_5683 := CLK_4057 ^+ CLK_4214 |)
          | (| CLK_5685 := CLK_4053 ^+ CLK_4057 |)
          | (| CLK_5689 := CLK_3973 ^+ CLK_4135 |)
          | (| CLK_5691 := CLK_3969 ^+ CLK_3973 |)
          | (| CLK_5693 := CLK_3927 ^+ CLK_3931 |)
          | (| CLK_5697 := CLK_3055 ^+ CLK_3218 |)
          | (| CLK_5709 := CLK_1895 ^+ CLK_1899 |)
          | (| CLK_5711 := CLK_1403 ^+ CLK_1407 |)
          | (| CLK_5713 := CLK_1362 ^+ CLK_2100 |)
          | (| CLK_5715 := CLK_1358 ^+ CLK_1362 |)
          | (| CLK_c1_2849 := CLK_d_XZX_164 ^* CLK_C_d
             | ACT_CLK_c1_2849{}
             |)
          | (| CLK_c1_1713 := CLK_d_x2 ^* CLK_d_XZX_164
             | ACT_CLK_c1_1713{}
             |)
          | (| CLK_c1_3178 := CLK_d_x21 ^* CLK_d_x_1
             | ACT_CLK_c1_3178{}
             |)
          | (| CLK_5788 := CLK_d_x2 ^+ CLK_d_x21 |)
          | (| CLK_c1_3211 := CLK_d_x2 ^* CLK_d_x21
             | ACT_CLK_c1_3211{}
             |)
          | (| CLK_5800 := CLK_d_x21 ^+ CLK_d_x1 |)
          | (| CLK_c1_757 := CLK_d_x21 ^* CLK_d_x1
             | ACT_CLK_c1_757{}
             |)
          | (| CLK_c1_724 := CLK_d_x1 ^* CLK_d_x
             | ACT_CLK_c1_724{}
             |)
          | (| CLK_5813 := CLK_d_x21 ^+ CLK_d_CLK_324 |)
          | (| CLK_c1_3167 := CLK_d_x21 ^* CLK_d_CLK_324
             | ACT_CLK_c1_3167{}
             |)
          | (| CLK_5819 := CLK_d_x1 ^+ CLK_d_CLK_326 |)
          | (| CLK_c1_713 := CLK_d_x1 ^* CLK_d_CLK_326
             | ACT_CLK_c1_713{}
             |)
          | (| CLK_c1_1757 := CLK_d_CLK_328 ^+ CLK_d_d
             | CLK_c1_1757 ^= VMAX_2229
             | ACT_CLK_c1_1757{}
             |)
          | (| CLK_5846 := CLK_5081 ^* CLK_d_d |)
          | (| CLK_5890 := CLK_1143 ^+ CLK_d_d |)
          | (| CLK_5910 := CLK_d_CLK_328 ^- CLK_d_d |)
          | (| CLK_5915 := CLK_d_x1 ^- CLK_159 |)
          | (| CLK_5917 := CLK_d_x1 ^- CLK_208 |)
          | (| CLK_5920 := CLK_d_x1 ^- CLK_181 |)
          | (| CLK_5922 := CLK_d_x1 ^- CLK_231 |)
          | (| CLK_5927 := CLK_d_x21 ^- CLK_2506 |)
          | (| CLK_5929 := CLK_d_x21 ^- CLK_2555 |)
          | (| CLK_5932 := CLK_d_x21 ^- CLK_2528 |)
          | (| CLK_5934 := CLK_d_x21 ^- CLK_2577 |)
          | (| CLK_5941 := CLK_d_XZX_164 ^- CLK_2237 |)
          | (| CLK_6076 := CLK_d_x2 ^- CLK_1117 |)
          | (| CLK_6094 := CLK_stable_0 ^- CLK_558 |)
          | (| CLK_6104 := CLK_1362 ^- CLK_2100 |)
          | (| CLK_6106 := CLK_1362 ^- CLK_1358 |)
          | (| CLK_6108 := CLK_1407 ^- CLK_1403 |)
          | (| CLK_6110 := CLK_1899 ^- CLK_1895 |)
          | (| CLK_6122 := CLK_3055 ^- CLK_3218 |)
          | (| CLK_6126 := CLK_3931 ^- CLK_3927 |)
          | (| CLK_6128 := CLK_3973 ^- CLK_4135 |)
          | (| CLK_6130 := CLK_3973 ^- CLK_3969 |)
          | (| CLK_6134 := CLK_4057 ^- CLK_4214 |)
          | (| CLK_6136 := CLK_4057 ^- CLK_4053 |)
          | (| CLK_6141 := CLK_stable_0 ^- CLK_3794 |)
          | (| CLK_6144 := CLK_stable_0 ^- CLK_3567 |)
          | (| CLK_6147 := CLK_stable_0 ^- CLK_3455 |)
          | (| CLK_6150 := CLK_stable_0 ^- CLK_3307 |)
          | (| CLK_6156 := CLK_stable_0 ^- CLK_1831 |)
          | (| CLK_6175 := CLK_stable_0 ^- CLK_1685 |)
          | (| CLK_6177 := CLK_stable_0 ^- CLK_1639 |)
          | (| CLK_6179 := CLK_stable_0 ^- CLK_1257 |)
          | (| CLK_6181 := CLK_stable_0 ^- CLK_1164 |)
          | (| CLK_6194 := CLK_stable_0 ^- CLK_5683 |)
          | (| CLK_6199 := CLK_stable_0 ^- CLK_5689 |)
          | (| CLK_6204 := CLK_stable_0 ^- CLK_5685 |)
          | (| CLK_6207 := CLK_stable_0 ^- CLK_5691 |)
          | (| CLK_6210 := CLK_stable_0 ^- CLK_5693 |)
          | (| CLK_6217 := CLK_stable_0 ^- CLK_5697 |)
          | (| CLK_6225 := CLK_stable_0 ^- CLK_err2_0 |)
          | (| CLK_6229 := CLK_stable_0 ^- CLK_5713 |)
          | (| CLK_6233 := CLK_stable_0 ^- CLK_2027 |)
          | (| CLK_6235 := CLK_stable_0 ^- CLK_1980 |)
          | (| CLK_6240 := CLK_stable_0 ^- CLK_5709 |)
          | (| CLK_6250 := CLK_stable_0 ^- CLK_1500 |)
          | (| CLK_6254 := CLK_stable_0 ^- CLK_5711 |)
          | (| CLK_6257 := CLK_stable_0 ^- CLK_5715 |)
          | (| CLK_6259 := CLK_stable_0 ^- CLK_1318 |)
          | (| CLK_6263 := CLK_stable_0 ^- CLK_1143 |)
          | (| CLK_6266 := CLK_stable_0 ^- CLK_d_error |)
          | (| CLK_6270 := CLK_stable_0 ^- CLK_C_cc_384 |)
          | (| CLK_6272 := CLK_stable_0 ^- CLK_C_d |)
          | (| biterate := CLK_d_d default ((not stable) when CLK_5910)
             | C := not biterate
             | C_y := next_stable and biterate
             | OK_344 := (OK when CLK_OK) default (not CLK_24)
             | C_d_357 := (C_d when CLK_C_d) default (not CLK_6272)
             | C__368 := (C_ when CLK_C_d) default (not CLK_6272)
             | C_cc_390 := (C_cc_384 when CLK_C_cc_384) default (not CLK_6270)
             | C__416 := C_y or OK_344
             | C_x := C_y or C__368
             | C_x1 := C_x or C_cc_390
             | C_444 := (not C_y) and C__368
             | C_448 := (not C_x) and C_cc_390
             | C_451 := not C_d_357
             | d_yy := VMAXD_1873+2
             | d_next_yy := VMAXD_2146+2
             | d_biterate := VMAXD_2308+2
             | d_mx := VMAXC+vc_2459
             | d_next_stable := VMAXB_2516+vc_2504
             | d_s := VMAXD_2681+2
             | d_XZX_147 := VMAXB_2728+vc_2718
             | d_C := VMAXU_3686+1
             | d_C_328 := VMAXB_3735+vc_3723
             | d_C_331 := VMAXU_3832+1
             | d_C_y := VMAXB_3872+CST_COST_AND
             | d_OK_344 := VMAXL+vc_3958
             | d_C_d_357 := VMAXL_4077+vc_4126
             | d_C__368 := VMAXL_4201+vc_4250
             | d_C_cc_390 := VMAXL_4457+vc_4506
             | d_C__416 := VMAXB_4664+CST_COST_OR
             | d_C_x := VMAXB_4708+CST_COST_OR
             | d_C_x1 := VMAXB_4797+CST_COST_OR
             | d_C_444 := VMAXB_4881+CST_COST_AND
             | d_C_448 := VMAXB_4964+CST_COST_AND
             | d_C_451 := VMAXU_5008+1
             | done := (d_x2_internal when CLK_d_x2) default (d_C_x1 when CLK_21)
             | done_973 := (d_x1_internal when CLK_d_x1) default (done_979 when CLK_78)
             | done_979 := (d_x21 when CLK_d_x21) default (done_1647 when CLK_75)
             | done_983 := (XZX when CLK_d_x1) cell CLK_stable_0 init 0
             | done_995 := (XZX_994 when CLK_d_x1) cell CLK_stable_0 init 0
             | done_1006 := (d_error_internal when CLK_d_error) default (done_1013 when CLK_6266)
             | done_1013 := (d_err_235 when CLK_d_error) default (done_1749 when CLK_6266)
             | done_1017 := (d_x when CLK_d_x) cell CLK_stable_0 init 0
             | done_1027 := (XZX_1026 when CLK_d_x) cell CLK_stable_0 init 0
             | done_1042 := (d_OK when CLK_OK) default (done_1051 when CLK_24)
             | done_1051 := (d_c_internal when CLK_OK) default (done_2222 when CLK_24)
             | done_1061 := (d_bb when CLK_C_d) default (done_1070 when CLK_6272)
             | done_1070 := (d_C_cc when CLK_OK) default (done_1042 when CLK_24)
             | done_1075 := (d_cc when CLK_C_d) cell CLK_stable_0 init 0
             | done_1089 := (d_d when CLK_d_d) cell CLK_stable_0 init 0
             | done_1110 := (d_dd when CLK_C_d) default (done_1061 when CLK_6272)
             | done_1122 := (XZX_1121 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1143 := (XZX_1142 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1158 := (d_aa when CLK_C_d) cell CLK_stable_0 init 0
             | done_1168 := (d_XZX_80 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1178 := (d_XZX_84 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1188 := (d_x_1 when CLK_d_x_1) cell CLK_stable_0 init 0
             | done_1207 := (XZX_1206 when CLK_d_x_1) cell CLK_stable_0 init 0
             | done_1218 := (d_XZX_91 when CLK_d_x_1) cell CLK_stable_0 init 0
             | done_1228 := (d_y when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1238 := (d_bb_110 when CLK_d_x2) cell CLK_stable_0 init 0
             | XZX_1257 := VMAXW_1735+CST_COST_TEST
             | XZX_1269 := VMAXW_1830+CST_COST_TEST
             | done_1280 := (XZX_1279 when CLK_d_d) cell CLK_stable_0 init 0
             | XZX_1310 := VMAXW_1908+CST_COST_TEST
             | XZX_1322 := VMAXW_2103+CST_COST_TEST
             | XZX_1332 := VMAXB_2065+vc_2055
             | XZX_1351 := VMAXB_2015+vc_2006
             | XZX_1364 := VMAXB_1965+vc_1955
             | XZX_1391 := VMAXW_2222+CST_COST_TEST
             | XZX_1401 := VMAXU_2189+1
             | XZX_1411 := VMAXW_2265+CST_COST_TEST
             | done_1440 := (XZX_1439 when CLK_d_d) cell CLK_stable_0 init 0
             | XZX_1483 := VMAXW_2595+CST_COST_TEST
             | XZX_1493 := VMAXU_2562+vc_2556
             | XZX_1506 := VMAXW_2638+CST_COST_TEST
             | done_1530 := (d_XZX_164 when CLK_d_XZX_164) cell CLK_stable_0 init 0
             | done_1541 := (XZX_1540 when CLK_C_d) cell CLK_stable_0 init 0
             | done_1552 := (d_x_168 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1562 := (XZX_1561 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1581 := (XZX_1580 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1597 := (d_x_177 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1607 := (XZX_1606 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1626 := (XZX_1625 when CLK_d_x2) cell CLK_stable_0 init 0
             | done_1647 := (d_x2 when CLK_d_x2) default (done when CLK_21)
             | done_1651 := (XZX_1650 when CLK_d_x21) cell CLK_stable_0 init 0
             | done_1663 := (XZX_1662 when CLK_d_x21) cell CLK_stable_0 init 0
             | done_1674 := (d_bb_212 when CLK_d_x) cell CLK_stable_0 init 0
             | done_1684 := (d_cc_213 when CLK_d_x) cell CLK_stable_0 init 0
             | done_1694 := (d_err2 when CLK_err2_0) default (done_1700 when CLK_6225)
             | done_1700 := (d_C_error when CLK_C_cc_384) default (done_1928 when CLK_6270)
             | done_1704 := (XZX_1703 when CLK_C_cc_384) cell CLK_stable_0 init 0
             | done_1724 := (d_bb_1 when CLK_C_cc_384) cell CLK_stable_0 init 0
             | done_1734 := (d_cc_2 when CLK_C_cc_384) cell CLK_stable_0 init 0
             | done_1749 := (d_C_err when CLK_OK) default (done_1969 when CLK_24)
             | done_1753 := (XZX_1752 when CLK_d_error) cell CLK_stable_0 init 0
             | done_1765 := (XZX_1764 when CLK_d_error) cell CLK_stable_0 init 0
             | XZX_1813 := VMAXB_3788+vc_3776
             | done_1844 := (d_error when CLK_d_error) default (done_1006 when CLK_6266)
             | done_1854 := (d_C_d when CLK_C_d) default (done_1110 when CLK_6272)
             | done_1878 := (d_C_ when CLK_C_d) default (done_1854 when CLK_6272)
             | done_1903 := (d_C_373 when CLK_C_d) default (done_1878 when CLK_6272)
             | done_1921 := (d_C_376 when CLK_OK) default (done_1903 when CLK_24)
             | done_1928 := (d_C_cc_384 when CLK_C_cc_384) default (done_1921 when CLK_6270)
             | done_1969 := (d_C_error_398 when CLK_OK) default (done_1694 when CLK_24)
             | XZX_2010 := VMAXU_4842+1
             | XZX_2026 := VMAXU_4925+1
             | done_2043 := ((d_CLK_bb when CLK_C_d) default (0 when CLK_27)) cell CLK_stable_0 init 0
             | done_2051 := ((d_CLK_bb_1_0 when CLK_C_cc_384) default (0 when CLK_44)) cell CLK_stable_0 init 0
             | done_2059 := ((d_CLK_d_0 when CLK_d_d) default (0 when CLK_30)) cell CLK_stable_0 init 0
             | done_2067 := ((d_CLK_x_1_0 when CLK_d_x_1) default (0 when CLK_33)) cell CLK_stable_0 init 0
             | done_2075 := ((d_CLK_276 when CLK_d_CLK_276) default (0 when CLK_36)) cell CLK_stable_0 init 0
             | done_2087 := (d_CLK_66 when CLK_d_CLK_66) default (0 when CLK)
             | done_2095 := (d_CLK_240 when CLK_d_CLK_240) default (0 when CLK_12)
             | done_2103 := (d_CLK_242 when CLK_d_CLK_242) default (0 when CLK_15)
             | done_2111 := (d_CLK_244 when CLK_d_CLK_244) default (0 when CLK_18)
             | done_2119 := (d_CLK_x2_0 when CLK_d_x2) default (0 when CLK_21)
             | done_2127 := (d_CLK_a when CLK_OK) default (0 when CLK_24)
             | done_2135 := ((d_CLK_x_0 when CLK_d_x) default (0 when CLK_47)) cell CLK_stable_0 init 0
             | done_2143 := ((d_CLK_err2_0 when CLK_err2_0) default (0 when CLK_50)) cell CLK_stable_0 init 0
             | done_2151 := (d_CLK_XZX_164_0 when CLK_d_XZX_164) default (0 when CLK_72)
             | done_2159 := (d_CLK_x21_0 when CLK_d_x21) default (0 when CLK_75)
             | done_2167 := ((d_CLK_error_0 when CLK_d_error) default (0 when CLK_57)) cell CLK_stable_0 init 0
             | done_2175 := (d_CLK_x1_0 when CLK_d_x1) default (0 when CLK_78)
             | done_2183 := (d_CLK_324 when CLK_d_CLK_324) default (0 when CLK_81)
             | done_2191 := (d_CLK_326 when CLK_d_CLK_326) default (0 when CLK_85)
             | done_2199 := (d_CLK_328 when CLK_d_CLK_328) default (0 when CLK_87)
             | done_2209 := (d_a_internal when CLK_OK) cell CLK_stable_0 init 0
             | done_2222 := (d_b_internal when CLK_OK) default (done_2209 when CLK_24)
             | done_2254 := (d_x1 when CLK_d_x1) default (done_973 when CLK_78)
             | VMAXDelay := (c1_1206 when CLK_628) default (0 when CLK_629)
             | c1_1206 := pre_d_next_stable+vc_1181
             | pre_d_next_stable := d_next_stable$1 init d_CLK_stable
             | vc_1181 := TAB_ASSIGN[integer(__TC__#_logical)] when CLK_stable_0
             | VMAXW_1735 := (d_pre_next_yy when CLK_1164) default (VMAX_2229 when CLK_6181)
             | VMAXW_1830 := (XZX_1279 when CLK_1257) default (VMAX_1837 when CLK_6179)
             | VMAX_1837 := (d_CLK_d_0 when CLK_558) default (0 when CLK_6094)
             | VMAXD_1873 := (Y_1875 when CLK_1289) default (d_C_cc_390 when CLK_1290)
             | Y_1875 := (XZX_1269 when CLK_1274) default (0 when CLK_1275)
             | VMAXW_1908 := (d_yy when CLK_1339) default (VMAX_1915 when CLK_1340)
             | VMAX_1915 := (d_CLK_240 when CLK_1318) default (0 when CLK_6259)
             | vc_1955 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_1965 := (X_1966 when CLK_1383) default (0 when CLK_1384)
             | X_1966 := (d_mx when CLK_1358) default (d_yy when CLK_6106) default (0 when CLK_6257)
             | vc_2006 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2015 := (X_2016 when CLK_1428) default (0 when CLK_1429)
             | X_2016 := (d_yy when CLK_1403) default (XZX_1364 when CLK_6108) default (0 when CLK_6254)
             | vc_2055 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2065 := (X_2066 when CLK_1473) default (0 when CLK_1474)
             | X_2066 := (XZX_1351 when CLK_1448) default (0 when CLK_1449)
             | VMAXW_2103 := (XZX_1332 when CLK_1521) default (VMAX_2110 when CLK_1522)
             | VMAX_2110 := (d_CLK_66 when CLK_1500) default (0 when CLK_6250)
             | VMAXD_2146 := (Y_2148 when CLK_1553) default (d_biterate when CLK_1554)
             | Y_2148 := (XZX_1322 when CLK_1538) default (0 when CLK_1539)
             | VMAXU_2189 := (X_2190 when CLK_1593) default (0 when CLK_1594)
             | X_2190 := (VMAXDelay when CLK_1575) default (0 when CLK_1576)
             | VMAXW_2222 := (XZX_1401 when CLK_1639) default (VMAX_2229 when CLK_6177)
             | VMAXW_2265 := (0 when CLK_1685) default (VMAX_2272 when CLK_6175)
             | VMAX_2272 := (d_CLK_d_0 when CLK_558) default (0 when CLK_6094)
             | VMAXD_2308 := (Y_2310 when CLK_1717) default (d_yy when CLK_1718)
             | Y_2310 := (XZX_1411 when CLK_1702) default (0 when CLK_1703)
             | VMAXC := (XZX_1439 when CLK_1831) default (VMAX_2394 when CLK_6156)
             | VMAX_2394 := (0 when CLK_1809) default (VMAX_2400 when CLK_1810)
             | VMAX_2400 := (0 when CLK_1788) default (d_C_d_357 when CLK_1789)
             | d_pre_next_yy := (c1_2479 when CLK_1877) default (VMAX_2465 when CLK_1878)
             | c1_2479 := pre_d_next_yy+vc_2459
             | pre_d_next_yy := d_next_yy$1 init d_CLK_stable
             | vc_2459 := TAB_ASSIGN[integer(__TC__#_real)] when CLK_stable_0
             | VMAX_2465 := (0 when CLK_1856) default (VMAXDelay when CLK_1857)
             | vc_2504 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2516 := (X_2517 when CLK_1917) default (d_s when CLK_1918)
             | X_2517 := (d_s when CLK_1895) default (d_cst_epsilon when CLK_6110) default (0 when CLK_6240)
             | vc_2556 := TAB_UMINUS[integer(__TC__#_real)] when CLK_stable_0
             | VMAXU_2562 := (X_2563 when CLK_1953) default (0 when CLK_1954)
             | X_2563 := (d_XZX_147 when CLK_1935) default (0 when CLK_1936)
             | VMAXW_2595 := (XZX_1493 when CLK_2001) default (VMAX_2602 when CLK_2002)
             | VMAX_2602 := (d_CLK_244 when CLK_1980) default (0 when CLK_6235)
             | VMAXW_2638 := (d_XZX_147 when CLK_2048) default (VMAX_2645 when CLK_2049)
             | VMAX_2645 := (d_CLK_242 when CLK_2027) default (0 when CLK_6233)
             | VMAXD_2681 := (Y_2683 when CLK_2080) default (d_XZX_147 when CLK_2081)
             | Y_2683 := (XZX_1506 when CLK_2065) default (0 when CLK_2066)
             | vc_2718 := TAB_MINUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_2728 := (X_2729 when CLK_2122) default (d_next_yy when CLK_2123)
             | X_2729 := (d_next_yy when CLK_2100) default (d_yy when CLK_6104) default (0 when CLK_6229)
             | VMAXU_3686 := (X_3687 when CLK_3073) default (0 when CLK_3074)
             | X_3687 := (d_biterate when CLK_3055) default (0 when CLK_3056)
             | vc_3723 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_3735 := (X_3736 when CLK_3118) default (0 when CLK_3119)
             | X_3736 := (d_XZX_147 when CLK_1935) default (0 when (^0)) default (0 when CLK_1936)
             | vc_3776 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_stable_0
             | VMAXB_3788 := (X_3789 when CLK_3163) default (0 when CLK_3164)
             | X_3789 := (d_XZX_147 when CLK_1935) default (0 when (^0)) default (0 when CLK_1936)
             | VMAXU_3832 := (X_3833 when CLK_3201) default (0 when CLK_3202)
             | X_3833 := (XZX_1813 when CLK_3183) default (0 when CLK_3184)
             | VMAXB_3872 := (X_3873 when CLK_3240) default (d_next_stable when CLK_3241)
             | X_3873 := (d_next_stable when CLK_3218) default (d_biterate when CLK_6122) default (0 when CLK_6217)
             | VMAXL := (d_OK when CLK_3307) default (VMAX_3917 when CLK_6150)
             | VMAX_3917 := (VMAXDelay when CLK_3285) default (VMAX_3923 when CLK_3286)
             | VMAX_3923 := (0 when CLK_3264) default (done_1844 when CLK_3265)
             | vc_3958 := CST_COST_TEST+vc_3960
             | vc_3960 := TAB_ASSIGN[integer(XZX_4510)] when CLK_stable_0
             | VMAXL_4077 := (d_C_d when CLK_3455) default (VMAX_4085 when CLK_6147)
             | VMAX_4085 := (VMAXDelay when CLK_3433) default (VMAX_4091 when CLK_3434)
             | VMAX_4091 := (0 when CLK_3412) default (d_OK_344 when CLK_3413)
             | vc_4126 := CST_COST_TEST+vc_4128
             | vc_4128 := TAB_ASSIGN[integer(XZX_4510)] when CLK_stable_0
             | VMAXL_4201 := (d_C_ when CLK_3567) default (VMAX_4209 when CLK_6144)
             | VMAX_4209 := (VMAXDelay when CLK_3545) default (VMAX_4215 when CLK_3546)
             | VMAX_4215 := (0 when CLK_3524) default (d_mx when CLK_3525)
             | vc_4250 := CST_COST_TEST+vc_4252
             | vc_4252 := TAB_ASSIGN[integer(XZX_4510)] when CLK_stable_0
             | VMAXL_4457 := (d_C_cc_384 when CLK_3794) default (VMAX_4465 when CLK_6141)
             | VMAX_4465 := (VMAXDelay when CLK_3772) default (VMAX_4471 when CLK_3773)
             | VMAX_4471 := (0 when CLK_3751) default (d_C__368 when CLK_3752)
             | vc_4506 := CST_COST_TEST+vc_4508
             | vc_4508 := TAB_ASSIGN[integer(XZX_4510)] when CLK_stable_0
             | XZX_4510 := __TC__#_logical when CLK_stable_0
             | VMAXB_4664 := (X_4665 when CLK_3952) default (0 when CLK_3953)
             | X_4665 := (d_C_y when CLK_3927) default (d_OK_344 when CLK_6126) default (0 when CLK_6210)
             | VMAXB_4708 := (X_4709 when CLK_3994) default (d_C_y when CLK_3995)
             | X_4709 := (d_C_y when CLK_3969) default (d_C__368 when CLK_6130) default (0 when CLK_6207)
             | VMAXB_4797 := (X_4798 when CLK_4078) default (d_C_x when CLK_4079)
             | X_4798 := (d_C_x when CLK_4053) default (d_C_cc_390 when CLK_6136) default (0 when CLK_6204)
             | VMAXU_4842 := (X_4843 when CLK_4116) default (0 when CLK_4117)
             | X_4843 := (d_C_y when CLK_4098) default (0 when CLK_4099)
             | VMAXB_4881 := (X_4882 when CLK_4157) default (0 when CLK_4158)
             | X_4882 := (XZX_2010 when CLK_4135) default (d_C__368 when CLK_6128) default (0 when CLK_6199)
             | VMAXU_4925 := (X_4926 when CLK_4195) default (0 when CLK_4196)
             | X_4926 := (d_C_x when CLK_4177) default (0 when CLK_4178)
             | VMAXB_4964 := (X_4965 when CLK_4236) default (0 when CLK_4237)
             | X_4965 := (XZX_2026 when CLK_4214) default (d_C_cc_390 when CLK_6134) default (0 when CLK_6194)
             | VMAXU_5008 := (X_5009 when CLK_4274) default (0 when CLK_4275)
             | X_5009 := (d_C_d_357 when CLK_4256) default (0 when CLK_4257)
             |)
          |)
         where 
         event CLK_6272, CLK_6270, CLK_6266, CLK_6263, CLK_6259, CLK_6257, CLK_6254, CLK_6250, CLK_6240, CLK_6235, CLK_6233, CLK_6229, CLK_6225, CLK_6217, CLK_6210, CLK_6207, CLK_6204, CLK_6199, CLK_6194, CLK_6181, CLK_6179, CLK_6177, CLK_6175, CLK_6156, 
              CLK_6150, CLK_6147, CLK_6144, CLK_6141, CLK_6136, CLK_6134, CLK_6130, CLK_6128, CLK_6126, CLK_6122, CLK_6110, CLK_6108, CLK_6106, CLK_6104, CLK_6094, CLK_6076, CLK_5941, CLK_5934, CLK_5932, CLK_5929, CLK_5927, CLK_5922, CLK_5920, CLK_5917, 
              CLK_5915, CLK_5910, CLK_5890, CLK_5846, CLK_c1_1757, CLK_c1_713, CLK_5819, CLK_c1_3167, CLK_5813, CLK_c1_724, CLK_c1_757, CLK_5800, CLK_c1_3211, CLK_5788, CLK_c1_3178, CLK_c1_1713, CLK_c1_2849, CLK_5715, CLK_5713, CLK_5711, CLK_5709, 
              CLK_5697, CLK_5693, CLK_5691, CLK_5689, CLK_5685, CLK_5683, CLK_5081, CLK_4275, CLK_4274, CLK_4257, CLK_4256, CLK_4237, CLK_4236, CLK_4215, CLK_4214, CLK_4196, CLK_4195, CLK_4178, CLK_4177, CLK_4158, CLK_4157, CLK_4136, CLK_4135, CLK_4117, 
              CLK_4116, CLK_4099, CLK_4098, CLK_4079, CLK_4078, CLK_4058, CLK_4057, CLK_4054, CLK_4053, CLK_3995, CLK_3994, CLK_3974, CLK_3973, CLK_3970, CLK_3969, CLK_3953, CLK_3952, CLK_3932, CLK_3931, CLK_3928, CLK_3927, CLK_3794, CLK_3773, CLK_3772, 
              CLK_3752, CLK_3751, CLK_3567, CLK_3546, CLK_3545, CLK_3525, CLK_3524, CLK_3455, CLK_3434, CLK_3433, CLK_3413, CLK_3412, CLK_3307, CLK_3286, CLK_3285, CLK_3265, CLK_3264, CLK_3241, CLK_3240, CLK_3219, CLK_3218, CLK_3202, CLK_3201, CLK_3184, 
              CLK_3183, CLK_3164, CLK_3163, CLK_3119, CLK_3118, CLK_3074, CLK_3073, CLK_3056, CLK_3055, CLK_2577, CLK_2555, CLK_2528, CLK_2506, CLK_2237, CLK_2123, CLK_2122, CLK_2101, CLK_2100, CLK_2081, CLK_2080, CLK_2066, CLK_2065, CLK_2049, CLK_2048, 
              CLK_2027, CLK_2002, CLK_2001, CLK_1980, CLK_1954, CLK_1953, CLK_1936, CLK_1935, CLK_1918, CLK_1917, CLK_1900, CLK_1899, CLK_1896, CLK_1895, CLK_1878, CLK_1877, CLK_1857, CLK_1856, CLK_1831, CLK_1810, CLK_1809, CLK_1789, CLK_1788, CLK_1718, 
              CLK_1717, CLK_1703, CLK_1702, CLK_1685, CLK_1639, CLK_1594, CLK_1593, CLK_1576, CLK_1575, CLK_1554, CLK_1553, CLK_1539, CLK_1538, CLK_1522, CLK_1521, CLK_1500, CLK_1474, CLK_1473, CLK_1449, CLK_1448, CLK_1429, CLK_1428, CLK_1408, CLK_1407, 
              CLK_1404, CLK_1403, CLK_1384, CLK_1383, CLK_1363, CLK_1362, CLK_1359, CLK_1358, CLK_1340, CLK_1339, CLK_1318, CLK_1290, CLK_1289, CLK_1275, CLK_1274, CLK_1257, CLK_1164, CLK_1143, CLK_1117, CLK_629, CLK_628, CLK_558, CLK_231, CLK_208, 
              CLK_181, CLK_159, CLK_87, CLK_d_CLK_328, CLK_85, CLK_d_CLK_326, CLK_81, CLK_d_CLK_324, CLK_78, CLK_d_x1, CLK_75, CLK_d_x21, CLK_72, CLK_d_XZX_164, CLK_57, CLK_d_error, CLK_50, CLK_err2_0, CLK_47, CLK_d_x, CLK_44, CLK_C_cc_384, CLK_36, 
              CLK_d_CLK_276, CLK_33, CLK_d_x_1, CLK_30, CLK_d_d, CLK_27, CLK_C_d, CLK_24, CLK_OK, CLK_21, CLK_d_x2, CLK_18, CLK_d_CLK_244, CLK_15, CLK_d_CLK_242, CLK_12, CLK_d_CLK_240, CLK, CLK_d_CLK_66;
         boolean biterate, C, C_y, OK_344, C_d_357, C__368, C_cc_390, C__416, C_x, C_x1, C_444, C_448, C_451;
         integer d_a_internal, d_b_internal, d_c_internal, d_x2_internal, d_x1_internal, d_error_internal, d_x, d_OK, d_bb, d_cc, d_d, d_dd, d_aa, d_XZX_80, d_XZX_84, d_x_1, d_XZX_91, d_y, d_bb_110, d_yy, d_next_yy, d_biterate, d_mx, d_next_stable, d_s, 
                d_XZX_147, d_XZX_164, d_x_168, d_x_177, d_x21, d_bb_212, d_cc_213, d_err2, d_bb_1, d_cc_2, d_err_235, d_C, d_C_328, d_C_331, d_C_y, d_OK_344, d_C_cc, d_C_d, d_C_d_357, d_C_, d_C__368, d_C_373, d_C_376, d_C_cc_384, d_C_cc_390, d_C_error, 
                d_C_error_398, d_C__416, d_C_x, d_C_err, d_C_x1, d_C_444, d_C_448, d_C_451, d_CLK_bb, d_CLK_bb_1_0, d_CLK_d_0, d_CLK_x_1_0, d_CLK_276, d_CLK_66, d_CLK_240, d_CLK_242, d_CLK_244, d_CLK_x2_0, d_CLK_a, d_CLK_x_0, d_CLK_err2_0, 
                d_CLK_XZX_164_0, d_CLK_x21_0, d_CLK_error_0, d_CLK_x1_0, d_CLK_324, d_CLK_326, d_CLK_328, done, done_973, done_979, XZX, done_983, XZX_994, done_995, done_1006, done_1013, done_1017, XZX_1026, done_1027, done_1042, done_1051, done_1061, 
                done_1070, done_1075, done_1089, done_1110, XZX_1121, done_1122, XZX_1142, done_1143, done_1158, done_1168, done_1178, done_1188, XZX_1206, done_1207, done_1218, done_1228, done_1238, XZX_1257, XZX_1269, XZX_1279, done_1280, XZX_1310, 
                XZX_1322, XZX_1332, XZX_1351, XZX_1364, XZX_1391, XZX_1401, XZX_1411, XZX_1439, done_1440, XZX_1483, XZX_1493, XZX_1506, done_1530, XZX_1540, done_1541, done_1552, XZX_1561, done_1562, XZX_1580, done_1581, done_1597, XZX_1606, done_1607, 
                XZX_1625, done_1626, done_1647, XZX_1650, done_1651, XZX_1662, done_1663, done_1674, done_1684, done_1694, done_1700, XZX_1703, done_1704, done_1724, done_1734, done_1749, XZX_1752, done_1753, XZX_1764, done_1765, XZX_1813, done_1844, 
                done_1854, done_1878, done_1903, done_1921, done_1928, done_1969, XZX_2010, XZX_2026, done_2043, done_2051, done_2059, done_2067, done_2075, done_2087, done_2095, done_2103, done_2111, done_2119, done_2127, done_2135, done_2143, 
                done_2151, done_2159, done_2167, done_2175, done_2183, done_2191, done_2199, done_2209, done_2222, done_2254, VMAX_709, VMAX_753, VMAXDelay, c1_1206, pre_d_next_stable, vc_1181, VMAX_1699, VMAXW_1735, VMAXW_1830, VMAX_1837, VMAXD_1873, 
                Y_1875, VMAXW_1908, VMAX_1915, vc_1955, VMAXB_1965, X_1966, vc_2006, VMAXB_2015, X_2016, vc_2055, VMAXB_2065, X_2066, VMAXW_2103, VMAX_2110, VMAXD_2146, Y_2148, VMAXU_2189, X_2190, VMAXW_2222, VMAX_2229, VMAXW_2265, VMAX_2272, VMAXD_2308, 
                Y_2310, VMAXC, VMAX_2394, VMAX_2400, d_pre_next_yy, c1_2479, pre_d_next_yy, vc_2459, VMAX_2465, vc_2504, VMAXB_2516, X_2517, vc_2556, VMAXU_2562, X_2563, VMAXW_2595, VMAX_2602, VMAXW_2638, VMAX_2645, VMAXD_2681, Y_2683, vc_2718, VMAXB_2728,
                X_2729, VMAX_2817, VMAX_3163, VMAX_3207, VMAXU_3686, X_3687, vc_3723, VMAXB_3735, X_3736, vc_3776, VMAXB_3788, X_3789, VMAXU_3832, X_3833, VMAXB_3872, X_3873, VMAXL, VMAX_3917, VMAX_3923, vc_3958, vc_3960, VMAXL_4077, VMAX_4085, VMAX_4091, 
                vc_4126, vc_4128, VMAXL_4201, VMAX_4209, VMAX_4215, vc_4250, vc_4252, VMAXL_4457, VMAX_4465, VMAX_4471, vc_4506, vc_4508;
         __TC__ XZX_4510;
         integer VMAXB_4664, X_4665, VMAXB_4708, X_4709, VMAXB_4797, X_4798, VMAXU_4842, X_4843, VMAXB_4881, X_4882, VMAXU_4925, X_4926, VMAXB_4964, X_4965, VMAXU_5008, X_5009;
         process ACT_CLK_d_CLK_66 =
              ( )
            (| CLK_d_CLK_66 ^= VMAXW_5268 ^= c1_5285
             | (| CLK_1500 := when (d_CLK_66>0)
                | CLK_1501 := when (not (d_CLK_66>0))
                |)
             | (| CLK_4550 := when (c1_5285>0)
                | CLK_4551 := when (not (c1_5285>0))
                |)
             | (| d_CLK_66 := VMAXW_5268+CST_COST_TEST
                | VMAXW_5268 := (d_biterate when CLK_4550) default (0 when CLK_4551)
                | c1_5285 := d_biterate when CLK_d_CLK_66
                |)
             |)
            where 
            event CLK_4551, CLK_4550, CLK_1501;
            integer VMAXW_5268, c1_5285;
            end
         %ACT_CLK_d_CLK_66%; 
         process ACT_CLK_d_CLK_240 =
              ( )
            (| CLK_d_CLK_240 ^= VMAXW_5309 ^= c1_5326
             | (| CLK_1318 := when (d_CLK_240>0)
                | CLK_1319 := when (not (d_CLK_240>0))
                |)
             | (| CLK_4586 := when (c1_5326>0)
                | CLK_4587 := when (not (c1_5326>0))
                |)
             | (| d_CLK_240 := VMAXW_5309+CST_COST_TEST
                | VMAXW_5309 := (d_C when CLK_4586) default (0 when CLK_4587)
                | c1_5326 := d_C when CLK_d_CLK_240
                |)
             |)
            where 
            event CLK_4587, CLK_4586, CLK_1319;
            integer VMAXW_5309, c1_5326;
            end
         %ACT_CLK_d_CLK_240%; 
         process ACT_CLK_d_CLK_242 =
              ( )
            (| CLK_d_CLK_242 ^= VMAXW_5350 ^= c1_5367
             | (| CLK_2027 := when (d_CLK_242>0)
                | CLK_2028 := when (not (d_CLK_242>0))
                |)
             | (| CLK_4622 := when (c1_5367>0)
                | CLK_4623 := when (not (c1_5367>0))
                |)
             | (| d_CLK_242 := VMAXW_5350+CST_COST_TEST
                | VMAXW_5350 := (d_C_328 when CLK_4622) default (0 when CLK_4623)
                | c1_5367 := d_C_328 when CLK_d_CLK_242
                |)
             |)
            where 
            event CLK_4623, CLK_4622, CLK_2028;
            integer VMAXW_5350, c1_5367;
            end
         %ACT_CLK_d_CLK_242%; 
         process ACT_CLK_d_CLK_244 =
              ( )
            (| CLK_d_CLK_244 ^= VMAXW_5391 ^= c1_5408
             | (| CLK_1980 := when (d_CLK_244>0)
                | CLK_1981 := when (not (d_CLK_244>0))
                |)
             | (| CLK_4658 := when (c1_5408>0)
                | CLK_4659 := when (not (c1_5408>0))
                |)
             | (| d_CLK_244 := VMAXW_5391+CST_COST_TEST
                | VMAXW_5391 := (d_C_331 when CLK_4658) default (0 when CLK_4659)
                | c1_5408 := d_C_331 when CLK_d_CLK_244
                |)
             |)
            where 
            event CLK_4659, CLK_4658, CLK_1981;
            integer VMAXW_5391, c1_5408;
            end
         %ACT_CLK_d_CLK_244%; 
         process ACT_CLK_d_x2 =
              ( )
            (| CLK_d_x2 ^= VMAX ^= c2 ^= VMAXW_1648 ^= c1_1670 ^= VMAXW_1692 ^= vc_2877 ^= VMAXB_2887 ^= vc_2929 ^= VMAXB_2939 ^= X_2940 ^= VMAXU_2986 ^= X_2987 ^= vc_3023 ^= VMAXB_3032 ^= X_3033 ^= vc_3065 ^= VMAXB_3075 ^= X_3076 ^= vc_3116 ^= VMAXU_3122 
               ^= X_3123 ^= VMAXW_5432 ^= c1_5449 ^= VMAXO ^= c2_5990 ^= vc_5999
             | (| CLK_110 := when (d_CLK_x2_0>c2)
                | CLK_111 := when (not (d_CLK_x2_0>c2))
                |)
             | (| CLK_131 := when (d_x_168>VMAX)
                | CLK_132 := when (not (d_x_168>VMAX))
                |)
             | (| CLK_1049 := when (d_CLK_x2_0>0)
                | CLK_1050 := when (not (d_CLK_x2_0>0))
                |)
             | (| CLK_1071 := when (c1_1670>VMAX_1699)
                | CLK_1072 := when (not (c1_1670>VMAX_1699))
                |)
             | (| CLK_2258 := when ((d_bb_110>d_y) and (d_bb_110>d_CLK_x2_0))
                | CLK_2259 := when (not ((d_bb_110>d_y) and (d_bb_110>d_CLK_x2_0)))
                |)
             | (| CLK_2262 := when (d_y>d_CLK_x2_0)
                | CLK_2263 := when (not (d_y>d_CLK_x2_0))
                |)
             | (| CLK_2303 := when ((XZX_1580>0) and (XZX_1580>d_CLK_x2_0))
                | CLK_2304 := when (not ((XZX_1580>0) and (XZX_1580>d_CLK_x2_0)))
                |)
             | (| CLK_2307 := when (0>d_CLK_x2_0)
                | CLK_2308 := when (not (0>d_CLK_x2_0))
                |)
             | (| CLK_2328 := when (X_2940>0)
                | CLK_2329 := when (not (X_2940>0))
                |)
             | (| CLK_2348 := when (XZX_1561>d_CLK_x2_0)
                | CLK_2349 := when (not (XZX_1561>d_CLK_x2_0))
                |)
             | (| CLK_2366 := when (X_2987>0)
                | CLK_2367 := when (not (X_2987>0))
                |)
             | (| CLK_2397 := when (X_3033>0)
                | CLK_2398 := when (not (X_3033>0))
                |)
             | (| CLK_2415 := when ((XZX_1625>0) and (XZX_1625>d_CLK_x2_0))
                | CLK_2416 := when (not ((XZX_1625>0) and (XZX_1625>d_CLK_x2_0)))
                |)
             | (| CLK_2440 := when (X_3076>0)
                | CLK_2441 := when (not (X_3076>0))
                |)
             | (| CLK_2460 := when (XZX_1606>d_CLK_x2_0)
                | CLK_2461 := when (not (XZX_1606>d_CLK_x2_0))
                |)
             | (| CLK_2478 := when (X_3123>0)
                | CLK_2479 := when (not (X_3123>0))
                |)
             | (| CLK_4692 := when (c1_5449>0)
                | CLK_4693 := when (not (c1_5449>0))
                |)
             | (| CLK_5170 := when (d_x2_internal>c2_5990)
                | CLK_5171 := when (not (d_x2_internal>c2_5990))
                |)
             | (| CLK_5703 := CLK_2307 ^+ CLK_2415 |)
             | (| CLK_5705 := CLK_2303 ^+ CLK_2307 |)
             | (| CLK_5707 := CLK_2258 ^+ CLK_2262 |)
             | (| CLK_6058 := CLK_d_x2 ^- CLK_5707 |)
             | (| CLK_6060 := CLK_d_x2 ^- CLK_5705 |)
             | (| CLK_6066 := CLK_d_x2 ^- CLK_5703 |)
             | (| CLK_6112 := CLK_2262 ^- CLK_2258 |)
             | (| CLK_6114 := CLK_2307 ^- CLK_2303 |)
             | (| CLK_6116 := CLK_2307 ^- CLK_2415 |)
             | (| d_x2 := VMAXO+vc_5999
                | d_x2_internal := (d_x_168 when CLK_131) default (VMAX when CLK_132)
                | d_y := VMAXW_1648+CST_COST_TEST
                | d_bb_110 := VMAXW_1692+CST_COST_TEST
                | d_x_168 := VMAXU_2986+vc_3116
                | d_x_177 := VMAXU_3122+vc_3116
                | d_CLK_x2_0 := VMAXW_5432+CST_COST_TEST
                | XZX_1561 := VMAXB_2939+vc_2929
                | XZX_1580 := VMAXB_2887+vc_2877
                | XZX_1606 := VMAXB_3075+vc_3065
                | XZX_1625 := VMAXB_3032+vc_3023
                | VMAX := (d_CLK_x2_0 when CLK_110) default (d_C_x1 when CLK_111)
                | c2 := d_C_x1 when CLK_d_x2
                | VMAXW_1648 := (d_yy when CLK_1071) default (VMAX_1699 when CLK_1072)
                | c1_1670 := d_yy when CLK_d_x2
                | VMAXW_1692 := (d_XZX_164 when CLK_1117) default (VMAX_1699 when CLK_6076)
                | VMAX_1699 := (d_CLK_x2_0 when CLK_1049) default (0 when CLK_1050)
                | vc_2877 := TAB_MINUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_2887 := (X_3033 when CLK_2397) default (0 when CLK_2398)
                | vc_2929 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_2939 := (X_2940 when CLK_2328) default (0 when CLK_2329)
                | X_2940 := (XZX_1580 when CLK_2303) default (0 when CLK_6114) default (d_CLK_x2_0 when CLK_6060)
                | VMAXU_2986 := (X_2987 when CLK_2366) default (0 when CLK_2367)
                | X_2987 := (XZX_1561 when CLK_2348) default (d_CLK_x2_0 when CLK_2349)
                | vc_3023 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_3032 := (X_3033 when CLK_2397) default (0 when CLK_2398)
                | X_3033 := (d_bb_110 when CLK_2258) default (d_y when CLK_6112) default (d_CLK_x2_0 when CLK_6058)
                | vc_3065 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x2
                | VMAXB_3075 := (X_3076 when CLK_2440) default (0 when CLK_2441)
                | X_3076 := (XZX_1625 when CLK_2415) default (0 when CLK_6116) default (d_CLK_x2_0 when CLK_6066)
                | vc_3116 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x2
                | VMAXU_3122 := (X_3123 when CLK_2478) default (0 when CLK_2479)
                | X_3123 := (XZX_1606 when CLK_2460) default (d_CLK_x2_0 when CLK_2461)
                | VMAXW_5432 := (d_C_y when CLK_4692) default (0 when CLK_4693)
                | c1_5449 := d_C_y when CLK_d_x2
                | VMAXO := (d_x2_internal when CLK_5170) default (done when CLK_5171)
                | c2_5990 := done when CLK_d_x2
                | vc_5999 := TAB_COST_WRITE[integer(__TC__#_real)] when CLK_d_x2
                |)
             |)
            where 
            event CLK_6116, CLK_6114, CLK_6112, CLK_6066, CLK_6060, CLK_6058, CLK_5707, CLK_5705, CLK_5703, CLK_5171, CLK_5170, CLK_4693, CLK_4692, CLK_2479, CLK_2478, CLK_2461, CLK_2460, CLK_2441, CLK_2440, CLK_2416, CLK_2415, CLK_2398, CLK_2397, 
                 CLK_2367, CLK_2366, CLK_2349, CLK_2348, CLK_2329, CLK_2328, CLK_2308, CLK_2307, CLK_2304, CLK_2303, CLK_2263, CLK_2262, CLK_2259, CLK_2258, CLK_1072, CLK_1071, CLK_1050, CLK_1049, CLK_132, CLK_131, CLK_111, CLK_110;
            integer VMAX, c2, VMAXW_1648, c1_1670, VMAXW_1692, vc_2877, VMAXB_2887, vc_2929, VMAXB_2939, X_2940, VMAXU_2986, X_2987, vc_3023, VMAXB_3032, X_3033, vc_3065, VMAXB_3075, X_3076, vc_3116, VMAXU_3122, X_3123, VMAXW_5432, c1_5449, VMAXO, c2_5990,
                   vc_5999;
            end
         %ACT_CLK_d_x2%; 
         process ACT_CLK_OK =
              ( )
            (| CLK_OK ^= C_cc ^= C_376 ^= C_error_398 ^= C_err ^= vc_972 ^= VMAXB_984 ^= X_985 ^= c2_1002 ^= c2_3949 ^= VMAXU_3988 ^= X_3989 ^= c2_4001 ^= VMAXL_4327 ^= VMAX_4335 ^= VMAX_4341 ^= c2_4346 ^= vc_4377 ^= vc_4379 ^= VMAXL_4581 ^= VMAX_4589 ^= 
               VMAX_4595 ^= c2_4600 ^= vc_4630 ^= vc_4632 ^= XZX_4634 ^= VMAXB_4751 ^= X_4752 ^= c2_4769 ^= VMAXW_5471 ^= c1_5488 ^= VMAXI ^= VMAXI_5921 ^= c2_5928 ^= VMAXI_5952 ^= c2_5959 ^= vc_5968
             | (| CLK_C_d := when OK
                | CLK_C_d ^= C_d ^= C_ ^= C_373 ^= d_bb ^= d_cc ^= d_dd ^= d_aa ^= d_XZX_80 ^= d_XZX_84 ^= d_C_d ^= d_C_ ^= d_C_373 ^= d_CLK_bb ^= XZX_1121 ^= XZX_1142 ^= XZX_1540
                | ACT_CLK_C_d{}
                | CLK_27 := when (not OK)
                |)
             | (| CLK_C_cc_384 := when C_cc
                | CLK_C_cc_384 ^= C_cc_384 ^= C_error ^= d_bb_1 ^= d_cc_2 ^= d_C_cc_384 ^= d_C_error ^= d_CLK_bb_1_0 ^= XZX_1703
                | ACT_CLK_C_cc_384{}
                | CLK_44 := when (not C_cc)
                |)
             | (| CLK_d_error := when C_err
                | CLK_d_error ^= d_error ^= d_error_internal ^= d_err_235 ^= d_CLK_error_0 ^= XZX_1752 ^= XZX_1764 ^= VMAX_3561 ^= VMAX_3605
                | ACT_CLK_d_error{}
                | CLK_57 := when (not C_err)
                |)
             | (| CLK_420 := when ((d_a_internal>0) and (d_a_internal>d_CLK_a))
                | CLK_421 := when (not ((d_a_internal>0) and (d_a_internal>d_CLK_a)))
                |)
             | (| CLK_424 := when (0>d_CLK_a)
                | CLK_425 := when (not (0>d_CLK_a))
                |)
             | (| CLK_446 := when (X_985>c2_1002)
                | CLK_447 := when (not (X_985>c2_1002))
                |)
             | (| CLK_3307 := when (d_OK>c2_3949)
                | CLK_3308 := when (not (d_OK>c2_3949))
                |)
             | (| CLK_3327 := when (d_OK>d_CLK_a)
                | CLK_3328 := when (not (d_OK>d_CLK_a))
                |)
             | (| CLK_3345 := when (X_3989>c2_4001)
                | CLK_3346 := when (not (X_3989>c2_4001))
                |)
             | (| CLK_3638 := when (d_CLK_a>c2_4346)
                | CLK_3639 := when (not (d_CLK_a>c2_4346))
                |)
             | (| CLK_3659 := when (d_OK>VMAX_4341)
                | CLK_3660 := when (not (d_OK>VMAX_4341))
                |)
             | (| CLK_3863 := when (d_CLK_a>c2_4600)
                | CLK_3864 := when (not (d_CLK_a>c2_4600))
                |)
             | (| CLK_3884 := when (d_C_cc>VMAX_4595)
                | CLK_3885 := when (not (d_C_cc>VMAX_4595))
                |)
             | (| CLK_4011 := when ((d_C_376>d_C_error_398) and (d_C_376>d_CLK_a))
                | CLK_4012 := when (not ((d_C_376>d_C_error_398) and (d_C_376>d_CLK_a)))
                |)
             | (| CLK_4015 := when (d_C_error_398>d_CLK_a)
                | CLK_4016 := when (not (d_C_error_398>d_CLK_a))
                |)
             | (| CLK_4036 := when (X_4752>c2_4769)
                | CLK_4037 := when (not (X_4752>c2_4769))
                |)
             | (| CLK_4723 := when (c1_5488>0)
                | CLK_4724 := when (not (c1_5488>0))
                |)
             | (| CLK_5107 := when (d_a>0)
                | CLK_5108 := when (not (d_a>0))
                |)
             | (| CLK_5128 := when (d_b>c2_5928)
                | CLK_5129 := when (not (d_b>c2_5928))
                |)
             | (| CLK_5149 := when (d_c>c2_5959)
                | CLK_5150 := when (not (d_c>c2_5959))
                |)
             | (| CLK_5687 := CLK_4011 ^+ CLK_4015 |)
             | (| CLK_5729 := CLK_420 ^+ CLK_424 |)
             | (| CLK_5759 := CLK_d_error ^+ CLK_err2_0 |)
             | (| CLK_c1_3565 := CLK_d_error ^* CLK_err2_0
                | ACT_CLK_c1_3565{}
                |)
             | (| CLK_5763 := CLK_C_cc_384 ^+ CLK_d_error |)
             | (| CLK_5765 := CLK_d_error ^+ CLK_d_CLK_276 |)
             | (| CLK_c1_3609 := CLK_d_error ^* CLK_d_CLK_276
                | ACT_CLK_c1_3609{}
                |)
             | (| CLK_5774 := CLK_5763 ^+ CLK_C_d |)
             | (| CLK_5943 := CLK_d_error ^- CLK_2928 |)
             | (| CLK_5945 := CLK_d_error ^- CLK_2976 |)
             | (| CLK_5951 := CLK_d_error ^- CLK_2950 |)
             | (| CLK_5953 := CLK_d_error ^- CLK_2998 |)
             | (| CLK_6036 := CLK_OK ^- CLK_5729 |)
             | (| CLK_6039 := CLK_OK ^- CLK_5687 |)
             | (| CLK_6052 := CLK_OK ^- CLK_3681 |)
             | (| CLK_6055 := CLK_OK ^- CLK_3906 |)
             | (| CLK_6088 := CLK_424 ^- CLK_420 |)
             | (| CLK_6132 := CLK_4015 ^- CLK_4011 |)
             | (| d_a_internal := VMAXI+vc_5968
                | d_b_internal := VMAXI_5921+vc_5968
                | d_c_internal := VMAXI_5952+vc_5968
                | d_OK := VMAXB_984+vc_972
                | d_C_cc := VMAXU_3988+1
                | d_C_376 := VMAXL_4327+vc_4377
                | d_C_error_398 := VMAXL_4581+vc_4630
                | d_C_err := VMAXB_4751+CST_COST_OR
                | d_CLK_a := VMAXW_5471+CST_COST_TEST
                | C_cc := not OK
                | C_376 := (C_373 when CLK_C_d) default (not CLK_27)
                | C_error_398 := (C_error when CLK_C_cc_384) default (not CLK_44)
                | C_err := C_376 or C_error_398
                | vc_972 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_OK
                | VMAXB_984 := (X_985 when CLK_446) default (c2_1002 when CLK_447)
                | X_985 := (d_a_internal when CLK_420) default (0 when CLK_6088) default (d_CLK_a when CLK_6036)
                | c2_1002 := done_1051 when CLK_OK
                | c2_3949 := VMAX_3917 when CLK_OK
                | VMAXU_3988 := (X_3989 when CLK_3345) default (c2_4001 when CLK_3346)
                | X_3989 := (d_OK when CLK_3327) default (d_CLK_a when CLK_3328)
                | c2_4001 := done_1042 when CLK_OK
                | VMAXL_4327 := (d_C_373 when CLK_3681) default (VMAX_4335 when CLK_6052)
                | VMAX_4335 := (d_OK when CLK_3659) default (VMAX_4341 when CLK_3660)
                | VMAX_4341 := (d_CLK_a when CLK_3638) default (done_1903 when CLK_3639)
                | c2_4346 := done_1903 when CLK_OK
                | vc_4377 := CST_COST_TEST+vc_4379
                | vc_4379 := TAB_ASSIGN[integer(XZX_4634)] when CLK_OK
                | VMAXL_4581 := (d_C_error when CLK_3906) default (VMAX_4589 when CLK_6055)
                | VMAX_4589 := (d_C_cc when CLK_3884) default (VMAX_4595 when CLK_3885)
                | VMAX_4595 := (d_CLK_a when CLK_3863) default (done_1694 when CLK_3864)
                | c2_4600 := done_1694 when CLK_OK
                | vc_4630 := CST_COST_TEST+vc_4632
                | vc_4632 := TAB_ASSIGN[integer(XZX_4634)] when CLK_OK
                | XZX_4634 := __TC__#_logical when CLK_OK
                | VMAXB_4751 := (X_4752 when CLK_4036) default (c2_4769 when CLK_4037)
                | X_4752 := (d_C_376 when CLK_4011) default (d_C_error_398 when CLK_6132) default (d_CLK_a when CLK_6039)
                | c2_4769 := done_1969 when CLK_OK
                | VMAXW_5471 := (VMAXDelay when CLK_4723) default (0 when CLK_4724)
                | c1_5488 := VMAXDelay when CLK_OK
                | VMAXI := (d_a when CLK_5107) default (0 when CLK_5108)
                | VMAXI_5921 := (d_b when CLK_5128) default (done_2209 when CLK_5129)
                | c2_5928 := done_2209 when CLK_OK
                | VMAXI_5952 := (d_c when CLK_5149) default (done_2222 when CLK_5150)
                | c2_5959 := done_2222 when CLK_OK
                | vc_5968 := TAB_COST_READ[integer(__TC__#_real)] when CLK_OK
                |)
             |)
            where 
            event CLK_6132, CLK_6088, CLK_6055, CLK_6052, CLK_6039, CLK_6036, CLK_5953, CLK_5951, CLK_5945, CLK_5943, CLK_5774, CLK_c1_3609, CLK_5765, CLK_5763, CLK_c1_3565, CLK_5759, CLK_5729, CLK_5687, CLK_5150, CLK_5149, CLK_5129, CLK_5128, CLK_5108, 
                 CLK_5107, CLK_4724, CLK_4723, CLK_4037, CLK_4036, CLK_4016, CLK_4015, CLK_4012, CLK_4011, CLK_3906, CLK_3885, CLK_3884, CLK_3864, CLK_3863, CLK_3681, CLK_3660, CLK_3659, CLK_3639, CLK_3638, CLK_3346, CLK_3345, CLK_3328, CLK_3327, CLK_3308,
                 CLK_2998, CLK_2976, CLK_2950, CLK_2928, CLK_447, CLK_446, CLK_425, CLK_424, CLK_421, CLK_420;
            boolean C_cc, C_376, C_error_398, C_err;
            integer vc_972, VMAXB_984, X_985, c2_1002, VMAX_3561, VMAX_3605, c2_3949, VMAXU_3988, X_3989, c2_4001, VMAXL_4327, VMAX_4335, VMAX_4341, c2_4346, vc_4377, vc_4379, VMAXL_4581, VMAX_4589, VMAX_4595, c2_4600, vc_4630, vc_4632;
            __TC__ XZX_4634;
            integer VMAXB_4751, X_4752, c2_4769, VMAXW_5471, c1_5488, VMAXI, VMAXI_5921, c2_5928, VMAXI_5952, c2_5959, vc_5968;
            process ACT_CLK_C_d =
                 ( )
               (| CLK_C_d ^= vc_1026 ^= VMAXB_1036 ^= X_1037 ^= c2_1054 ^= vc_1079 ^= VMAXB_1089 ^= X_1090 ^= vc_1232 ^= VMAXB_1242 ^= X_1243 ^= vc_1284 ^= VMAXB_1294 ^= X_1295 ^= vc_1330 ^= VMAXB_1340 ^= X_1341 ^= c2_1358 ^= VMAXW_1380 ^= c1_1402 ^= 
                  VMAXW_1424 ^= c1_1445 ^= VMAXW_1467 ^= c1_1488 ^= VMAXW_2765 ^= VMAX_2772 ^= vc_4025 ^= VMAXB_4037 ^= c2_4055 ^= c2_4117 ^= vc_4152 ^= VMAXB_4162 ^= c2_4179 ^= c2_4241 ^= vc_4276 ^= VMAXB_4288 ^= X_4289 ^= c2_4305 ^= c2_4368 ^= 
                  VMAXW_5041 ^= VMAX_5048 ^= c1_5052 ^= c1_5063
                | (| CLK_d_d := when C_d
                   | CLK_d_d ^= d_d ^= d_CLK_d_0 ^= XZX_1279 ^= XZX_1439
                   | ACT_CLK_d_d{}
                   | CLK_30 := when (not C_d)
                   |)
                | (| CLK_d_x_1 := when C_
                   | CLK_d_x_1 ^= d_x_1 ^= d_XZX_91 ^= d_CLK_x_1_0 ^= XZX_1206
                   | ACT_CLK_d_x_1{}
                   | CLK_33 := when (not C_)
                   |)
                | (| CLK_d_CLK_276 := when C_373
                   | CLK_d_CLK_276 ^= d_CLK_276
                   | ACT_CLK_d_CLK_276{}
                   | CLK_36 := when (not C_373)
                   |)
                | (| CLK_464 := when ((d_XZX_80>d_aa) and (d_XZX_80>d_CLK_bb))
                   | CLK_465 := when (not ((d_XZX_80>d_aa) and (d_XZX_80>d_CLK_bb)))
                   |)
                | (| CLK_468 := when (d_aa>d_CLK_bb)
                   | CLK_469 := when (not (d_aa>d_CLK_bb))
                   |)
                | (| CLK_490 := when (X_1037>c2_1054)
                   | CLK_491 := when (not (X_1037>c2_1054))
                   |)
                | (| CLK_510 := when ((d_XZX_84>d_aa) and (d_XZX_84>d_CLK_bb))
                   | CLK_511 := when (not ((d_XZX_84>d_aa) and (d_XZX_84>d_CLK_bb)))
                   |)
                | (| CLK_532 := when (X_1090>0)
                   | CLK_533 := when (not (X_1090>0))
                   |)
                | (| CLK_648 := when ((0>d_cc) and (0>d_CLK_bb))
                   | CLK_649 := when (not ((0>d_cc) and (0>d_CLK_bb)))
                   |)
                | (| CLK_652 := when (d_cc>d_CLK_bb)
                   | CLK_653 := when (not (d_cc>d_CLK_bb))
                   |)
                | (| CLK_673 := when (X_1243>0)
                   | CLK_674 := when (not (X_1243>0))
                   |)
                | (| CLK_693 := when (d_bb>d_CLK_bb)
                   | CLK_694 := when (not (d_bb>d_CLK_bb))
                   |)
                | (| CLK_711 := when (X_1295>0)
                   | CLK_712 := when (not (X_1295>0))
                   |)
                | (| CLK_729 := when ((XZX_1142>XZX_1121) and (XZX_1142>d_CLK_bb))
                   | CLK_730 := when (not ((XZX_1142>XZX_1121) and (XZX_1142>d_CLK_bb)))
                   |)
                | (| CLK_733 := when (XZX_1121>d_CLK_bb)
                   | CLK_734 := when (not (XZX_1121>d_CLK_bb))
                   |)
                | (| CLK_754 := when (X_1341>c2_1358)
                   | CLK_755 := when (not (X_1341>c2_1358))
                   |)
                | (| CLK_779 := when (d_CLK_bb>0)
                   | CLK_780 := when (not (d_CLK_bb>0))
                   |)
                | (| CLK_801 := when (c1_1402>VMAX_2772)
                   | CLK_802 := when (not (c1_1402>VMAX_2772))
                   |)
                | (| CLK_848 := when (c1_1445>VMAX_2772)
                   | CLK_849 := when (not (c1_1445>VMAX_2772))
                   |)
                | (| CLK_894 := when (c1_1488>VMAX_2772)
                   | CLK_895 := when (not (c1_1488>VMAX_2772))
                   |)
                | (| CLK_2168 := when (d_bb>VMAX_2772)
                   | CLK_2169 := when (not (d_bb>VMAX_2772))
                   |)
                | (| CLK_3363 := when ((d_dd>0) and (d_dd>d_CLK_bb))
                   | CLK_3364 := when (not ((d_dd>0) and (d_dd>d_CLK_bb)))
                   |)
                | (| CLK_3367 := when (0>d_CLK_bb)
                   | CLK_3368 := when (not (0>d_CLK_bb))
                   |)
                | (| CLK_3388 := when (X_4289>c2_4055)
                   | CLK_3389 := when (not (X_4289>c2_4055))
                   |)
                | (| CLK_3455 := when (d_C_d>c2_4117)
                   | CLK_3456 := when (not (d_C_d>c2_4117))
                   |)
                | (| CLK_3500 := when (X_4289>c2_4179)
                   | CLK_3501 := when (not (X_4289>c2_4179))
                   |)
                | (| CLK_3567 := when (d_C_>c2_4241)
                   | CLK_3568 := when (not (d_C_>c2_4241))
                   |)
                | (| CLK_3612 := when (X_4289>c2_4305)
                   | CLK_3613 := when (not (X_4289>c2_4305))
                   |)
                | (| CLK_3681 := when (d_C_373>c2_4368)
                   | CLK_3682 := when (not (d_C_373>c2_4368))
                   |)
                | (| CLK_4299 := when (c1_5052>0)
                   | CLK_4300 := when (not (c1_5052>0))
                   |)
                | (| CLK_4321 := when (c1_5063>VMAX_5048)
                   | CLK_4322 := when (not (c1_5063>VMAX_5048))
                   |)
                | (| CLK_5695 := CLK_3363 ^+ CLK_3367 |)
                | (| CLK_5721 := CLK_729 ^+ CLK_733 |)
                | (| CLK_5723 := CLK_648 ^+ CLK_652 |)
                | (| CLK_5725 := CLK_468 ^+ CLK_510 |)
                | (| CLK_5727 := CLK_464 ^+ CLK_468 |)
                | (| CLK_6005 := CLK_C_d ^- CLK_5727 |)
                | (| CLK_6007 := CLK_C_d ^- CLK_5725 |)
                | (| CLK_6010 := CLK_C_d ^- CLK_5723 |)
                | (| CLK_6015 := CLK_C_d ^- CLK_5721 |)
                | (| CLK_6018 := CLK_C_d ^- CLK_5695 |)
                | (| CLK_6090 := CLK_468 ^- CLK_510 |)
                | (| CLK_6092 := CLK_468 ^- CLK_464 |)
                | (| CLK_6096 := CLK_652 ^- CLK_648 |)
                | (| CLK_6098 := CLK_733 ^- CLK_729 |)
                | (| CLK_6124 := CLK_3367 ^- CLK_3363 |)
                | (| d_bb := VMAXB_1036+vc_1026
                   | d_cc := VMAXB_1089+vc_1079
                   | d_dd := VMAXB_1340+vc_1330
                   | d_aa := VMAXW_1380+CST_COST_TEST
                   | d_XZX_80 := VMAXW_1424+CST_COST_TEST
                   | d_XZX_84 := VMAXW_1467+CST_COST_TEST
                   | d_C_d := VMAXB_4037+vc_4025
                   | d_C_ := VMAXB_4162+vc_4152
                   | d_C_373 := VMAXB_4288+vc_4276
                   | d_CLK_bb := VMAXW_5041+CST_COST_TEST
                   | XZX_1121 := VMAXB_1242+vc_1232
                   | XZX_1142 := VMAXB_1294+vc_1284
                   | XZX_1540 := VMAXW_2765+CST_COST_TEST
                   | vc_1026 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1036 := (X_1037 when CLK_490) default (c2_1054 when CLK_491)
                   | X_1037 := (d_XZX_80 when CLK_464) default (d_aa when CLK_6092) default (d_CLK_bb when CLK_6005)
                   | c2_1054 := done_1070 when CLK_C_d
                   | vc_1079 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1089 := (X_1090 when CLK_532) default (0 when CLK_533)
                   | X_1090 := (d_XZX_84 when CLK_510) default (d_aa when CLK_6090) default (d_CLK_bb when CLK_6007)
                   | vc_1232 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1242 := (X_1243 when CLK_673) default (0 when CLK_674)
                   | X_1243 := (0 when CLK_648) default (d_cc when CLK_6096) default (d_CLK_bb when CLK_6010)
                   | vc_1284 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1294 := (X_1295 when CLK_711) default (0 when CLK_712)
                   | X_1295 := (d_bb when CLK_693) default (d_CLK_bb when CLK_694)
                   | vc_1330 := TAB_MINUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_1340 := (X_1341 when CLK_754) default (c2_1358 when CLK_755)
                   | X_1341 := (XZX_1142 when CLK_729) default (XZX_1121 when CLK_6098) default (d_CLK_bb when CLK_6015)
                   | c2_1358 := done_1061 when CLK_C_d
                   | VMAXW_1380 := (d_a_internal when CLK_801) default (VMAX_2772 when CLK_802)
                   | c1_1402 := d_a_internal when CLK_C_d
                   | VMAXW_1424 := (d_b_internal when CLK_848) default (VMAX_2772 when CLK_849)
                   | c1_1445 := d_b_internal when CLK_C_d
                   | VMAXW_1467 := (d_c_internal when CLK_894) default (VMAX_2772 when CLK_895)
                   | c1_1488 := d_c_internal when CLK_C_d
                   | VMAXW_2765 := (d_bb when CLK_2168) default (VMAX_2772 when CLK_2169)
                   | VMAX_2772 := (d_CLK_bb when CLK_779) default (0 when CLK_780)
                   | vc_4025 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_4037 := (X_4289 when CLK_3388) default (c2_4055 when CLK_3389)
                   | c2_4055 := done_1110 when CLK_C_d
                   | c2_4117 := VMAX_4085 when CLK_C_d
                   | vc_4152 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_4162 := (X_4289 when CLK_3500) default (c2_4179 when CLK_3501)
                   | c2_4179 := done_1854 when CLK_C_d
                   | c2_4241 := VMAX_4209 when CLK_C_d
                   | vc_4276 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_d
                   | VMAXB_4288 := (X_4289 when CLK_3612) default (c2_4305 when CLK_3613)
                   | X_4289 := (d_dd when CLK_3363) default (0 when CLK_6124) default (d_CLK_bb when CLK_6018)
                   | c2_4305 := done_1878 when CLK_C_d
                   | c2_4368 := VMAX_4335 when CLK_C_d
                   | VMAXW_5041 := (d_OK when CLK_4321) default (VMAX_5048 when CLK_4322)
                   | VMAX_5048 := (d_CLK_a when CLK_4299) default (0 when CLK_4300)
                   | c1_5052 := d_CLK_a when CLK_C_d
                   | c1_5063 := d_OK when CLK_C_d
                   |)
                |)
               where 
               event CLK_6124, CLK_6098, CLK_6096, CLK_6092, CLK_6090, CLK_6018, CLK_6015, CLK_6010, CLK_6007, CLK_6005, CLK_5727, CLK_5725, CLK_5723, CLK_5721, CLK_5695, CLK_4322, CLK_4321, CLK_4300, CLK_4299, CLK_3682, CLK_3613, CLK_3612, CLK_3568, 
                    CLK_3501, CLK_3500, CLK_3456, CLK_3389, CLK_3388, CLK_3368, CLK_3367, CLK_3364, CLK_3363, CLK_2169, CLK_2168, CLK_895, CLK_894, CLK_849, CLK_848, CLK_802, CLK_801, CLK_780, CLK_779, CLK_755, CLK_754, CLK_734, CLK_733, CLK_730, CLK_729, 
                    CLK_712, CLK_711, CLK_694, CLK_693, CLK_674, CLK_673, CLK_653, CLK_652, CLK_649, CLK_648, CLK_533, CLK_532, CLK_511, CLK_510, CLK_491, CLK_490, CLK_469, CLK_468, CLK_465, CLK_464;
               integer vc_1026, VMAXB_1036, X_1037, c2_1054, vc_1079, VMAXB_1089, X_1090, vc_1232, VMAXB_1242, X_1243, vc_1284, VMAXB_1294, X_1295, vc_1330, VMAXB_1340, X_1341, c2_1358, VMAXW_1380, c1_1402, VMAXW_1424, c1_1445, VMAXW_1467, c1_1488, 
                      VMAXW_2765, VMAX_2772, vc_4025, VMAXB_4037, c2_4055, c2_4117, vc_4152, VMAXB_4162, c2_4179, c2_4241, vc_4276, VMAXB_4288, X_4289, c2_4305, c2_4368, VMAXW_5041, VMAX_5048, c1_5052, c1_5063;
               process ACT_CLK_d_d =
                    ( )
                  (| CLK_d_d ^= VMAXW_1127 ^= c1_1149 ^= vc_1781 ^= VMAXB_1791 ^= X_1792 ^= c2_1853 ^= c2_2288 ^= VMAXW_2343 ^= VMAX_2350 ^= c2_2426 ^= VMAXW_5131 ^= VMAX_5138 ^= c1_5142 ^= c1_5153
                   | (| CLK_558 := when (d_CLK_d_0>0)
                      | CLK_559 := when (not (d_CLK_d_0>0))
                      |)
                   | (| CLK_580 := when (c1_1149>VMAX_2350)
                      | CLK_581 := when (not (c1_1149>VMAX_2350))
                      |)
                   | (| CLK_1183 := when ((d_d>0) and (d_d>d_CLK_d_0))
                      | CLK_1184 := when (not ((d_d>0) and (d_d>d_CLK_d_0)))
                      |)
                   | (| CLK_1187 := when (0>d_CLK_d_0)
                      | CLK_1188 := when (not (0>d_CLK_d_0))
                      |)
                   | (| CLK_1208 := when (X_1792>0)
                      | CLK_1209 := when (not (X_1792>0))
                      |)
                   | (| CLK_1257 := when (XZX_1279>c2_1853)
                      | CLK_1258 := when (not (XZX_1279>c2_1853))
                      |)
                   | (| CLK_1685 := when (0>c2_2288)
                      | CLK_1686 := when (not (0>c2_2288))
                      |)
                   | (| CLK_1765 := when (d_d>VMAX_2350)
                      | CLK_1766 := when (not (d_d>VMAX_2350))
                      |)
                   | (| CLK_1831 := when (XZX_1439>c2_2426)
                      | CLK_1832 := when (not (XZX_1439>c2_2426))
                      |)
                   | (| CLK_4391 := when (c1_5142>0)
                      | CLK_4392 := when (not (c1_5142>0))
                      |)
                   | (| CLK_4413 := when (c1_5153>VMAX_5138)
                      | CLK_4414 := when (not (c1_5153>VMAX_5138))
                      |)
                   | (| CLK_5717 := CLK_1183 ^+ CLK_1187 |)
                   | (| CLK_5998 := CLK_d_d ^- CLK_5717 |)
                   | (| CLK_6102 := CLK_1187 ^- CLK_1183 |)
                   | (| d_d := VMAXW_1127+CST_COST_TEST
                      | d_CLK_d_0 := VMAXW_5131+CST_COST_TEST
                      | XZX_1279 := VMAXB_1791+vc_1781
                      | XZX_1439 := VMAXW_2343+CST_COST_TEST
                      | VMAXW_1127 := (d_dd when CLK_580) default (VMAX_2350 when CLK_581)
                      | c1_1149 := d_dd when CLK_d_d
                      | vc_1781 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_d
                      | VMAXB_1791 := (X_1792 when CLK_1208) default (0 when CLK_1209)
                      | X_1792 := (d_d when CLK_1183) default (0 when CLK_6102) default (d_CLK_d_0 when CLK_5998)
                      | c2_1853 := VMAX_1837 when CLK_d_d
                      | c2_2288 := VMAX_2272 when CLK_d_d
                      | VMAXW_2343 := (d_d when CLK_1765) default (VMAX_2350 when CLK_1766)
                      | VMAX_2350 := (d_CLK_d_0 when CLK_558) default (0 when CLK_559)
                      | c2_2426 := VMAX_2394 when CLK_d_d
                      | VMAXW_5131 := (d_C_d when CLK_4413) default (VMAX_5138 when CLK_4414)
                      | VMAX_5138 := (d_CLK_bb when CLK_4391) default (0 when CLK_4392)
                      | c1_5142 := d_CLK_bb when CLK_d_d
                      | c1_5153 := d_C_d when CLK_d_d
                      |)
                   |)
                  where 
                  event CLK_6102, CLK_5998, CLK_5717, CLK_4414, CLK_4413, CLK_4392, CLK_4391, CLK_1832, CLK_1766, CLK_1765, CLK_1686, CLK_1258, CLK_1209, CLK_1208, CLK_1188, CLK_1187, CLK_1184, CLK_1183, CLK_581, CLK_580, CLK_559;
                  integer VMAXW_1127, c1_1149, vc_1781, VMAXB_1791, X_1792, c2_1853, c2_2288, VMAXW_2343, VMAX_2350, c2_2426, VMAXW_5131, VMAX_5138, c1_5142, c1_5153;
                  end
               %ACT_CLK_d_d%; 
               process ACT_CLK_d_x_1 =
                    ( )
                  (| CLK_d_x_1 ^= vc_1512 ^= VMAXU_1518 ^= X_1519 ^= vc_1555 ^= VMAXB_1565 ^= X_1566 ^= VMAXW_1604 ^= VMAX_1611 ^= c1_1626 ^= VMAXW_5176 ^= VMAX_5183 ^= c1_5187 ^= c1_5198
                   | (| CLK_914 := when (d_XZX_91>d_CLK_x_1_0)
                      | CLK_915 := when (not (d_XZX_91>d_CLK_x_1_0))
                      |)
                   | (| CLK_932 := when (X_1519>0)
                      | CLK_933 := when (not (X_1519>0))
                      |)
                   | (| CLK_952 := when ((XZX_1206>0) and (XZX_1206>d_CLK_x_1_0))
                      | CLK_953 := when (not ((XZX_1206>0) and (XZX_1206>d_CLK_x_1_0)))
                      |)
                   | (| CLK_956 := when (0>d_CLK_x_1_0)
                      | CLK_957 := when (not (0>d_CLK_x_1_0))
                      |)
                   | (| CLK_977 := when (X_1566>0)
                      | CLK_978 := when (not (X_1566>0))
                      |)
                   | (| CLK_1002 := when (d_CLK_x_1_0>0)
                      | CLK_1003 := when (not (d_CLK_x_1_0>0))
                      |)
                   | (| CLK_1024 := when (c1_1626>VMAX_1611)
                      | CLK_1025 := when (not (c1_1626>VMAX_1611))
                      |)
                   | (| CLK_4440 := when (c1_5187>0)
                      | CLK_4441 := when (not (c1_5187>0))
                      |)
                   | (| CLK_4462 := when (c1_5198>VMAX_5183)
                      | CLK_4463 := when (not (c1_5198>VMAX_5183))
                      |)
                   | (| CLK_5719 := CLK_952 ^+ CLK_956 |)
                   | (| CLK_5990 := CLK_d_x_1 ^- CLK_5719 |)
                   | (| CLK_6100 := CLK_956 ^- CLK_952 |)
                   | (| d_x_1 := VMAXB_1565+vc_1555
                      | d_XZX_91 := VMAXW_1604+CST_COST_TEST
                      | d_CLK_x_1_0 := VMAXW_5176+CST_COST_TEST
                      | XZX_1206 := VMAXU_1518+vc_1512
                      | vc_1512 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x_1
                      | VMAXU_1518 := (X_1519 when CLK_932) default (0 when CLK_933)
                      | X_1519 := (d_XZX_91 when CLK_914) default (d_CLK_x_1_0 when CLK_915)
                      | vc_1555 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x_1
                      | VMAXB_1565 := (X_1566 when CLK_977) default (0 when CLK_978)
                      | X_1566 := (XZX_1206 when CLK_952) default (0 when CLK_6100) default (d_CLK_x_1_0 when CLK_5990)
                      | VMAXW_1604 := (d_bb when CLK_1024) default (VMAX_1611 when CLK_1025)
                      | VMAX_1611 := (d_CLK_x_1_0 when CLK_1002) default (0 when CLK_1003)
                      | c1_1626 := d_bb when CLK_d_x_1
                      | VMAXW_5176 := (d_C_ when CLK_4462) default (VMAX_5183 when CLK_4463)
                      | VMAX_5183 := (d_CLK_bb when CLK_4440) default (0 when CLK_4441)
                      | c1_5187 := d_CLK_bb when CLK_d_x_1
                      | c1_5198 := d_C_ when CLK_d_x_1
                      |)
                   |)
                  where 
                  event CLK_6100, CLK_5990, CLK_5719, CLK_4463, CLK_4462, CLK_4441, CLK_4440, CLK_1025, CLK_1024, CLK_1003, CLK_1002, CLK_978, CLK_977, CLK_957, CLK_956, CLK_953, CLK_952, CLK_933, CLK_932, CLK_915, CLK_914;
                  integer vc_1512, VMAXU_1518, X_1519, vc_1555, VMAXB_1565, X_1566, VMAXW_1604, VMAX_1611, c1_1626, VMAXW_5176, VMAX_5183, c1_5187, c1_5198;
                  end
               %ACT_CLK_d_x_1%; 
               process ACT_CLK_d_CLK_276 =
                    ( )
                  (| CLK_d_CLK_276 ^= VMAXW_5221 ^= VMAX_5228 ^= c1_5232 ^= c1_5243
                   | (| CLK_4492 := when (c1_5232>0)
                      | CLK_4493 := when (not (c1_5232>0))
                      |)
                   | (| CLK_4514 := when (c1_5243>VMAX_5228)
                      | CLK_4515 := when (not (c1_5243>VMAX_5228))
                      |)
                   | (| d_CLK_276 := VMAXW_5221+CST_COST_TEST
                      | VMAXW_5221 := (d_C_373 when CLK_4514) default (VMAX_5228 when CLK_4515)
                      | VMAX_5228 := (d_CLK_bb when CLK_4492) default (0 when CLK_4493)
                      | c1_5232 := d_CLK_bb when CLK_d_CLK_276
                      | c1_5243 := d_C_373 when CLK_d_CLK_276
                      |)
                   |)
                  where 
                  event CLK_4515, CLK_4514, CLK_4493, CLK_4492;
                  integer VMAXW_5221, VMAX_5228, c1_5232, c1_5243;
                  end
               %ACT_CLK_d_CLK_276%; 
               end
            %ACT_CLK_C_d%; 
            process ACT_CLK_C_cc_384 =
                 ( )
               (| CLK_C_cc_384 ^= vc_3371 ^= VMAXB_3383 ^= X_3384 ^= VMAXW_3467 ^= c1_3489 ^= VMAXW_3511 ^= VMAX_3518 ^= c1_3532 ^= vc_4405 ^= VMAXB_4417 ^= c2_4435 ^= c2_4497 ^= vc_4532 ^= VMAXB_4542 ^= X_4543 ^= c2_4559 ^= c2_4621 ^= VMAXW_5086 ^= 
                  VMAX_5093 ^= c1_5097 ^= c1_5108
                | (| CLK_d_x := when C_cc_384
                   | CLK_d_x ^= d_x ^= d_bb_212 ^= d_cc_213 ^= d_CLK_x_0 ^= XZX_1026
                   | ACT_CLK_d_x{}
                   | CLK_47 := when (not C_cc_384)
                   |)
                | (| CLK_err2_0 := when C_error
                   | CLK_err2_0 ^= err2 ^= d_err2 ^= d_CLK_err2_0
                   | ACT_CLK_err2_0{}
                   | CLK_50 := when (not C_error)
                   |)
                | (| CLK_2730 := when ((d_cc_2>0) and (d_cc_2>d_CLK_bb_1_0))
                   | CLK_2731 := when (not ((d_cc_2>0) and (d_cc_2>d_CLK_bb_1_0)))
                   |)
                | (| CLK_2734 := when (0>d_CLK_bb_1_0)
                   | CLK_2735 := when (not (0>d_CLK_bb_1_0))
                   |)
                | (| CLK_2755 := when (X_3384>0)
                   | CLK_2756 := when (not (X_3384>0))
                   |)
                | (| CLK_2833 := when (d_CLK_bb_1_0>0)
                   | CLK_2834 := when (not (d_CLK_bb_1_0>0))
                   |)
                | (| CLK_2855 := when (c1_3489>VMAX_3518)
                   | CLK_2856 := when (not (c1_3489>VMAX_3518))
                   |)
                | (| CLK_2902 := when (c1_3532>VMAX_3518)
                   | CLK_2903 := when (not (c1_3532>VMAX_3518))
                   |)
                | (| CLK_3701 := when ((d_bb_1>0) and (d_bb_1>d_CLK_bb_1_0))
                   | CLK_3702 := when (not ((d_bb_1>0) and (d_bb_1>d_CLK_bb_1_0)))
                   |)
                | (| CLK_3727 := when (X_4543>c2_4435)
                   | CLK_3728 := when (not (X_4543>c2_4435))
                   |)
                | (| CLK_3794 := when (d_C_cc_384>c2_4497)
                   | CLK_3795 := when (not (d_C_cc_384>c2_4497))
                   |)
                | (| CLK_3839 := when (X_4543>c2_4559)
                   | CLK_3840 := when (not (X_4543>c2_4559))
                   |)
                | (| CLK_3906 := when (d_C_error>c2_4621)
                   | CLK_3907 := when (not (d_C_error>c2_4621))
                   |)
                | (| CLK_4345 := when (c1_5097>0)
                   | CLK_4346 := when (not (c1_5097>0))
                   |)
                | (| CLK_4367 := when (c1_5108>VMAX_5093)
                   | CLK_4368 := when (not (c1_5108>VMAX_5093))
                   |)
                | (| CLK_5699 := CLK_2734 ^+ CLK_3701 |)
                | (| CLK_5701 := CLK_2730 ^+ CLK_2734 |)
                | (| CLK_5972 := CLK_C_cc_384 ^- CLK_5701 |)
                | (| CLK_5976 := CLK_C_cc_384 ^- CLK_5699 |)
                | (| CLK_6118 := CLK_2734 ^- CLK_2730 |)
                | (| CLK_6120 := CLK_2734 ^- CLK_3701 |)
                | (| d_bb_1 := VMAXW_3467+CST_COST_TEST
                   | d_cc_2 := VMAXW_3511+CST_COST_TEST
                   | d_C_cc_384 := VMAXB_4417+vc_4405
                   | d_C_error := VMAXB_4542+vc_4532
                   | d_CLK_bb_1_0 := VMAXW_5086+CST_COST_TEST
                   | XZX_1703 := VMAXB_3383+vc_3371
                   | vc_3371 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_cc_384
                   | VMAXB_3383 := (X_3384 when CLK_2755) default (0 when CLK_2756)
                   | X_3384 := (d_cc_2 when CLK_2730) default (0 when CLK_6118) default (d_CLK_bb_1_0 when CLK_5972)
                   | VMAXW_3467 := (d_b_internal when CLK_2855) default (VMAX_3518 when CLK_2856)
                   | c1_3489 := d_b_internal when CLK_C_cc_384
                   | VMAXW_3511 := (d_c_internal when CLK_2902) default (VMAX_3518 when CLK_2903)
                   | VMAX_3518 := (d_CLK_bb_1_0 when CLK_2833) default (0 when CLK_2834)
                   | c1_3532 := d_c_internal when CLK_C_cc_384
                   | vc_4405 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_cc_384
                   | VMAXB_4417 := (X_4543 when CLK_3727) default (c2_4435 when CLK_3728)
                   | c2_4435 := done_1921 when CLK_C_cc_384
                   | c2_4497 := VMAX_4465 when CLK_C_cc_384
                   | vc_4532 := TAB_COST_RELA[integer(__TC__#_real),integer(__TC__#_real)] when CLK_C_cc_384
                   | VMAXB_4542 := (X_4543 when CLK_3839) default (c2_4559 when CLK_3840)
                   | X_4543 := (d_bb_1 when CLK_3701) default (0 when CLK_6120) default (d_CLK_bb_1_0 when CLK_5976)
                   | c2_4559 := done_1928 when CLK_C_cc_384
                   | c2_4621 := VMAX_4589 when CLK_C_cc_384
                   | VMAXW_5086 := (d_C_cc when CLK_4367) default (VMAX_5093 when CLK_4368)
                   | VMAX_5093 := (d_CLK_a when CLK_4345) default (0 when CLK_4346)
                   | c1_5097 := d_CLK_a when CLK_C_cc_384
                   | c1_5108 := d_C_cc when CLK_C_cc_384
                   |)
                |)
               where 
               event CLK_6120, CLK_6118, CLK_5976, CLK_5972, CLK_5701, CLK_5699, CLK_4368, CLK_4367, CLK_4346, CLK_4345, CLK_3907, CLK_3840, CLK_3839, CLK_3795, CLK_3728, CLK_3727, CLK_3702, CLK_3701, CLK_2903, CLK_2902, CLK_2856, CLK_2855, CLK_2834, 
                    CLK_2833, CLK_2756, CLK_2755, CLK_2735, CLK_2734, CLK_2731, CLK_2730;
               integer vc_3371, VMAXB_3383, X_3384, VMAXW_3467, c1_3489, VMAXW_3511, VMAX_3518, c1_3532, vc_4405, VMAXB_4417, c2_4435, c2_4497, vc_4532, VMAXB_4542, X_4543, c2_4559, c2_4621, VMAXW_5086, VMAX_5093, c1_5097, c1_5108;
               process ACT_CLK_d_x =
                    ( )
                  (| CLK_d_x ^= vc_876 ^= VMAXB ^= X_889 ^= vc_929 ^= VMAXU ^= X_937 ^= VMAXW_3281 ^= c1_3303 ^= VMAXW_3325 ^= VMAX_3332 ^= c1_3346 ^= VMAXW_5511 ^= VMAX_5518 ^= c1_5522 ^= c1_5533
                   | (| CLK_339 := when ((d_cc_213>d_bb_212) and (d_cc_213>d_CLK_x_0))
                      | CLK_340 := when (not ((d_cc_213>d_bb_212) and (d_cc_213>d_CLK_x_0)))
                      |)
                   | (| CLK_343 := when (d_bb_212>d_CLK_x_0)
                      | CLK_344 := when (not (d_bb_212>d_CLK_x_0))
                      |)
                   | (| CLK_364 := when (X_889>0)
                      | CLK_365 := when (not (X_889>0))
                      |)
                   | (| CLK_384 := when (XZX_1026>d_CLK_x_0)
                      | CLK_385 := when (not (XZX_1026>d_CLK_x_0))
                      |)
                   | (| CLK_402 := when (X_937>0)
                      | CLK_403 := when (not (X_937>0))
                      |)
                   | (| CLK_2642 := when (d_CLK_x_0>0)
                      | CLK_2643 := when (not (d_CLK_x_0>0))
                      |)
                   | (| CLK_2664 := when (c1_3303>VMAX_3332)
                      | CLK_2665 := when (not (c1_3303>VMAX_3332))
                      |)
                   | (| CLK_2711 := when (c1_3346>VMAX_3332)
                      | CLK_2712 := when (not (c1_3346>VMAX_3332))
                      |)
                   | (| CLK_4747 := when (c1_5522>0)
                      | CLK_4748 := when (not (c1_5522>0))
                      |)
                   | (| CLK_4769 := when (c1_5533>VMAX_5518)
                      | CLK_4770 := when (not (c1_5533>VMAX_5518))
                      |)
                   | (| CLK_5731 := CLK_339 ^+ CLK_343 |)
                   | (| CLK_5962 := CLK_d_x ^- CLK_5731 |)
                   | (| CLK_6086 := CLK_343 ^- CLK_339 |)
                   | (| d_x := VMAXU+vc_929
                      | d_bb_212 := VMAXW_3281+CST_COST_TEST
                      | d_cc_213 := VMAXW_3325+CST_COST_TEST
                      | d_CLK_x_0 := VMAXW_5511+CST_COST_TEST
                      | XZX_1026 := VMAXB+vc_876
                      | vc_876 := TAB_PLUS[integer(__TC__#_real),integer(__TC__#_real)] when CLK_d_x
                      | VMAXB := (X_889 when CLK_364) default (0 when CLK_365)
                      | X_889 := (d_cc_213 when CLK_339) default (d_bb_212 when CLK_6086) default (d_CLK_x_0 when CLK_5962)
                      | vc_929 := TAB_UMINUS[integer(__TC__#_real)] when CLK_d_x
                      | VMAXU := (X_937 when CLK_402) default (0 when CLK_403)
                      | X_937 := (XZX_1026 when CLK_384) default (d_CLK_x_0 when CLK_385)
                      | VMAXW_3281 := (d_bb_1 when CLK_2664) default (VMAX_3332 when CLK_2665)
                      | c1_3303 := d_bb_1 when CLK_d_x
                      | VMAXW_3325 := (d_cc_2 when CLK_2711) default (VMAX_3332 when CLK_2712)
                      | VMAX_3332 := (d_CLK_x_0 when CLK_2642) default (0 when CLK_2643)
                      | c1_3346 := d_cc_2 when CLK_d_x
                      | VMAXW_5511 := (d_C_cc_384 when CLK_4769) default (VMAX_5518 when CLK_4770)
                      | VMAX_5518 := (d_CLK_bb_1_0 when CLK_4747) default (0 when CLK_4748)
                      | c1_5522 := d_CLK_bb_1_0 when CLK_d_x
                      | c1_5533 := d_C_cc_384 when CLK_d_x
                      |)
                   |)
                  where 
                  event CLK_6086, CLK_5962, CLK_5731, CLK_4770, CLK_4769, CLK_4748, CLK_4747, CLK_2712, CLK_2711, CLK_2665, CLK_2664, CLK_2643, CLK_2642, CLK_403, CLK_402, CLK_385, CLK_384, CLK_365, CLK_364, CLK_344, CLK_343, CLK_340, CLK_339;
                  integer vc_876, VMAXB, X_889, vc_929, VMAXU, X_937, VMAXW_3281, c1_3303, VMAXW_3325, VMAX_3332, c1_3346, VMAXW_5511, VMAX_5518, c1_5522, c1_5533;
                  end
               %ACT_CLK_d_x%; 
               process ACT_CLK_err2_0 =
                    ( )
                  (| CLK_err2_0 ^= VMAXW_3421 ^= VMAX_3428 ^= c2_3433 ^= c1_3443 ^= VMAXW_5556 ^= VMAX_5563 ^= c1_5567 ^= c1_5578
                   | (| CLK_2783 := when (d_CLK_err2_0>c2_3433)
                      | CLK_2784 := when (not (d_CLK_err2_0>c2_3433))
                      |)
                   | (| CLK_2805 := when (c1_3443>VMAX_3428)
                      | CLK_2806 := when (not (c1_3443>VMAX_3428))
                      |)
                   | (| CLK_4797 := when (c1_5567>0)
                      | CLK_4798 := when (not (c1_5567>0))
                      |)
                   | (| CLK_4819 := when (c1_5578>VMAX_5563)
                      | CLK_4820 := when (not (c1_5578>VMAX_5563))
                      |)
                   | (| d_err2 := VMAXW_3421+CST_COST_TEST
                      | d_CLK_err2_0 := VMAXW_5556+CST_COST_TEST
                      | VMAXW_3421 := (XZX_1703 when CLK_2805) default (VMAX_3428 when CLK_2806)
                      | VMAX_3428 := (d_CLK_err2_0 when CLK_2783) default (done_1700 when CLK_2784)
                      | c2_3433 := done_1700 when CLK_err2_0
                      | c1_3443 := XZX_1703 when CLK_err2_0
                      | VMAXW_5556 := (d_C_error when CLK_4819) default (VMAX_5563 when CLK_4820)
                      | VMAX_5563 := (d_CLK_bb_1_0 when CLK_4797) default (0 when CLK_4798)
                      | c1_5567 := d_CLK_bb_1_0 when CLK_err2_0
                      | c1_5578 := d_C_error when CLK_err2_0
                      |)
                   |)
                  where 
                  event CLK_4820, CLK_4819, CLK_4798, CLK_4797, CLK_2806, CLK_2805, CLK_2784, CLK_2783;
                  integer VMAXW_3421, VMAX_3428, c2_3433, c1_3443, VMAXW_5556, VMAX_5563, c1_5567, c1_5578;
                  end
               %ACT_CLK_err2_0%; 
               end
            %ACT_CLK_C_cc_384%; 
            process ACT_CLK_d_error =
                 ( )
               (| CLK_d_error ^= VMAX_836 ^= c2_841 ^= VMAXW_3554 ^= VMAXW_3598 ^= VMAXD_3642 ^= Y_3644 ^= c2_3655 ^= VMAXW_5681 ^= VMAX_5688 ^= c1_5692 ^= c1_5703 ^= VMAXO_6046 ^= c2_6053 ^= vc_6062
                | (| CLK_297 := when (d_CLK_error_0>c2_841)
                   | CLK_298 := when (not (d_CLK_error_0>c2_841))
                   |)
                | (| CLK_318 := when (d_err_235>VMAX_836)
                   | CLK_319 := when (not (d_err_235>VMAX_836))
                   |)
                | (| CLK_3015 := when (XZX_1764>d_CLK_error_0)
                   | CLK_3016 := when (not (XZX_1764>d_CLK_error_0))
                   |)
                | (| CLK_3032 := when (Y_3644>c2_3655)
                   | CLK_3033 := when (not (Y_3644>c2_3655))
                   |)
                | (| CLK_4915 := when (c1_5692>0)
                   | CLK_4916 := when (not (c1_5692>0))
                   |)
                | (| CLK_4937 := when (c1_5703>VMAX_5688)
                   | CLK_4938 := when (not (c1_5703>VMAX_5688))
                   |)
                | (| CLK_5212 := when (d_error_internal>c2_6053)
                   | CLK_5213 := when (not (d_error_internal>c2_6053))
                   |)
                | (| d_error := VMAXO_6046+vc_6062
                   | d_error_internal := (d_err_235 when CLK_318) default (VMAX_836 when CLK_319)
                   | d_err_235 := VMAXD_3642+2
                   | d_CLK_error_0 := VMAXW_5681+CST_COST_TEST
                   | XZX_1752 := VMAXW_3554+CST_COST_TEST
                   | XZX_1764 := VMAXW_3598+CST_COST_TEST
                   | VMAX_836 := (d_CLK_error_0 when CLK_297) default (done_1013 when CLK_298)
                   | c2_841 := done_1013 when CLK_d_error
                   | VMAXW_3554 := (d_err2 when CLK_2950) default (VMAX_3561 when CLK_5951)
                   | VMAX_3561 := (d_CLK_err2_0 when CLK_2928) default (0 when CLK_5943)
                   | VMAXW_3598 := (0 when CLK_2998) default (VMAX_3605 when CLK_5953)
                   | VMAX_3605 := (d_CLK_276 when CLK_2976) default (0 when CLK_5945)
                   | VMAXD_3642 := (Y_3644 when CLK_3032) default (done_1749 when CLK_3033)
                   | Y_3644 := (XZX_1764 when CLK_3015) default (d_CLK_error_0 when CLK_3016)
                   | c2_3655 := done_1749 when CLK_d_error
                   | VMAXW_5681 := (d_C_err when CLK_4937) default (VMAX_5688 when CLK_4938)
                   | VMAX_5688 := (d_CLK_a when CLK_4915) default (0 when CLK_4916)
                   | c1_5692 := d_CLK_a when CLK_d_error
                   | c1_5703 := d_C_err when CLK_d_error
                   | VMAXO_6046 := (d_error_internal when CLK_5212) default (done_1006 when CLK_5213)
                   | c2_6053 := done_1006 when CLK_d_error
                   | vc_6062 := TAB_COST_WRITE[integer(__TC__#_logical)] when CLK_d_error
                   |)
                |)
               where 
               event CLK_5213, CLK_5212, CLK_4938, CLK_4937, CLK_4916, CLK_4915, CLK_3033, CLK_3032, CLK_3016, CLK_3015, CLK_319, CLK_318, CLK_298, CLK_297;
               integer VMAX_836, c2_841, VMAXW_3554, VMAXW_3598, VMAXD_3642, Y_3644, c2_3655, VMAXW_5681, VMAX_5688, c1_5692, c1_5703, VMAXO_6046, c2_6053, vc_6062;
               end
            %ACT_CLK_d_error%; 
            process ACT_CLK_c1_3565 =
                 ( )
               (| CLK_c1_3565 ^= c1_3565 ^= c1_3576 ^= c2_3577
                | (| CLK_2928 := when (c1_3565>0)
                   | CLK_2929 := when (not (c1_3565>0))
                   |)
                | (| CLK_2950 := when (c1_3576>c2_3577)
                   | CLK_2951 := when (not (c1_3576>c2_3577))
                   |)
                | (| c1_3565 := d_CLK_err2_0 when CLK_c1_3565
                   | c1_3576 := d_err2 when CLK_c1_3565
                   | c2_3577 := VMAX_3561 when CLK_c1_3565
                   |)
                |)
               where 
               event CLK_2951, CLK_2929;
               integer c1_3565, c1_3576, c2_3577;
               end
            %ACT_CLK_c1_3565%; 
            process ACT_CLK_c1_3609 =
                 ( )
               (| CLK_c1_3609 ^= c1_3609 ^= c2_3621
                | (| CLK_2976 := when (c1_3609>0)
                   | CLK_2977 := when (not (c1_3609>0))
                   |)
                | (| CLK_2998 := when (0>c2_3621)
                   | CLK_2999 := when (not (0>c2_3621))
                   |)
                | (| c1_3609 := d_CLK_276 when CLK_c1_3609
                   | c2_3621 := VMAX_3605 when CLK_c1_3609
                   |)
                |)
               where 
               event CLK_2999, CLK_2977;
               integer c1_3609, c2_3621;
               end
            %ACT_CLK_c1_3609%; 
            end
         %ACT_CLK_OK%; 
         process ACT_CLK_d_XZX_164 =
              ( )
            (| CLK_d_XZX_164 ^= VMAXC_2809 ^= VMAX_2823 ^= vc_2859 ^= VMAXW_5602 ^= c1_5619
             | (| CLK_2194 := when (d_CLK_XZX_164_0>0)
                | CLK_2195 := when (not (d_CLK_XZX_164_0>0))
                |)
             | (| CLK_2215 := when (d_CLK_XZX_164_0>VMAX_2823)
                | CLK_2216 := when (not (d_CLK_XZX_164_0>VMAX_2823))
                |)
             | (| CLK_4855 := when (c1_5619>0)
                | CLK_4856 := when (not (c1_5619>0))
                |)
             | (| d_XZX_164 := VMAXC_2809+vc_2859
                | d_CLK_XZX_164_0 := VMAXW_5602+CST_COST_TEST
                | VMAXC_2809 := (XZX_1540 when CLK_2237) default (VMAX_2817 when CLK_5941)
                | VMAX_2817 := (d_CLK_XZX_164_0 when CLK_2215) default (VMAX_2823 when CLK_2216)
                | VMAX_2823 := (d_CLK_XZX_164_0 when CLK_2194) default (0 when CLK_2195)
                | vc_2859 := TAB_ASSIGN[integer(__TC__#_real)] when CLK_d_XZX_164
                | VMAXW_5602 := (d_C__416 when CLK_4855) default (0 when CLK_4856)
                | c1_5619 := d_C__416 when CLK_d_XZX_164
                |)
             |)
            where 
            event CLK_4856, CLK_4855, CLK_2216, CLK_2215, CLK_2195, CLK_2194;
            integer VMAXC_2809, VMAX_2823, vc_2859, VMAXW_5602, c1_5619;
            end
         %ACT_CLK_d_XZX_164%; 
         process ACT_CLK_d_x21 =
              ( )
            (| CLK_d_x21 ^= VMAXW_3156 ^= VMAXW_3200 ^= VMAXD_3244 ^= Y_3246 ^= c2_3257 ^= VMAXW_5641 ^= c1_5658
             | (| CLK_2594 := when (XZX_1662>d_CLK_x21_0)
                | CLK_2595 := when (not (XZX_1662>d_CLK_x21_0))
                |)
             | (| CLK_2612 := when (Y_3246>c2_3257)
                | CLK_2613 := when (not (Y_3246>c2_3257))
                |)
             | (| CLK_4890 := when (c1_5658>0)
                | CLK_4891 := when (not (c1_5658>0))
                |)
             | (| d_x21 := VMAXD_3244+2
                | d_CLK_x21_0 := VMAXW_5641+CST_COST_TEST
                | XZX_1650 := VMAXW_3156+CST_COST_TEST
                | XZX_1662 := VMAXW_3200+CST_COST_TEST
                | VMAXW_3156 := (d_x_1 when CLK_2528) default (VMAX_3163 when CLK_5932)
                | VMAX_3163 := (d_CLK_324 when CLK_2506) default (0 when CLK_5927)
                | VMAXW_3200 := (d_x_177 when CLK_2577) default (VMAX_3207 when CLK_5934)
                | VMAX_3207 := (d_CLK_x2_0 when CLK_2555) default (0 when CLK_5929)
                | VMAXD_3244 := (Y_3246 when CLK_2612) default (done_1647 when CLK_2613)
                | Y_3246 := (XZX_1662 when CLK_2594) default (d_CLK_x21_0 when CLK_2595)
                | c2_3257 := done_1647 when CLK_d_x21
                | VMAXW_5641 := (d_C_x when CLK_4890) default (0 when CLK_4891)
                | c1_5658 := d_C_x when CLK_d_x21
                |)
             |)
            where 
            event CLK_4891, CLK_4890, CLK_2613, CLK_2612, CLK_2595, CLK_2594;
            integer VMAXW_3156, VMAXW_3200, VMAXD_3244, Y_3246, c2_3257, VMAXW_5641, c1_5658;
            end
         %ACT_CLK_d_x21%; 
         process ACT_CLK_d_x1 =
              ( )
            (| CLK_d_x1 ^= VMAXW ^= VMAXW_746 ^= VMAXD ^= Y ^= c2_803 ^= VMAXW_5727 ^= c1_5744 ^= VMAXO_6015 ^= c2_6022 ^= vc_6031
             | (| CLK_247 := when (XZX_994>d_CLK_x1_0)
                | CLK_248 := when (not (XZX_994>d_CLK_x1_0))
                |)
             | (| CLK_265 := when (Y>c2_803)
                | CLK_266 := when (not (Y>c2_803))
                |)
             | (| CLK_4972 := when (c1_5744>0)
                | CLK_4973 := when (not (c1_5744>0))
                |)
             | (| CLK_5191 := when (d_x1_internal>c2_6022)
                | CLK_5192 := when (not (d_x1_internal>c2_6022))
                |)
             | (| d_x1 := VMAXO_6015+vc_6031
                | d_x1_internal := VMAXD+2
                | d_CLK_x1_0 := VMAXW_5727+CST_COST_TEST
                | XZX := VMAXW+CST_COST_TEST
                | XZX_994 := VMAXW_746+CST_COST_TEST
                | VMAXW := (d_x when CLK_181) default (VMAX_709 when CLK_5920)
                | VMAX_709 := (d_CLK_326 when CLK_159) default (0 when CLK_5915)
                | VMAXW_746 := (d_x21 when CLK_231) default (VMAX_753 when CLK_5922)
                | VMAX_753 := (d_CLK_x21_0 when CLK_208) default (0 when CLK_5917)
                | VMAXD := (Y when CLK_265) default (done_979 when CLK_266)
                | Y := (XZX_994 when CLK_247) default (d_CLK_x1_0 when CLK_248)
                | c2_803 := done_979 when CLK_d_x1
                | VMAXW_5727 := (d_C_x1 when CLK_4972) default (0 when CLK_4973)
                | c1_5744 := d_C_x1 when CLK_d_x1
                | VMAXO_6015 := (d_x1_internal when CLK_5191) default (done_973 when CLK_5192)
                | c2_6022 := done_973 when CLK_d_x1
                | vc_6031 := TAB_COST_WRITE[integer(__TC__#_real)] when CLK_d_x1
                |)
             |)
            where 
            event CLK_5192, CLK_5191, CLK_4973, CLK_4972, CLK_266, CLK_265, CLK_248, CLK_247;
            integer VMAXW, VMAXW_746, VMAXD, Y, c2_803, VMAXW_5727, c1_5744, VMAXO_6015, c2_6022, vc_6031;
            end
         %ACT_CLK_d_x1%; 
         process ACT_CLK_d_CLK_324 =
              ( )
            (| CLK_d_CLK_324 ^= VMAXW_5767 ^= c1_5784
             | (| CLK_5007 := when (c1_5784>0)
                | CLK_5008 := when (not (c1_5784>0))
                |)
             | (| d_CLK_324 := VMAXW_5767+CST_COST_TEST
                | VMAXW_5767 := (d_C_444 when CLK_5007) default (0 when CLK_5008)
                | c1_5784 := d_C_444 when CLK_d_CLK_324
                |)
             |)
            where 
            event CLK_5008, CLK_5007;
            integer VMAXW_5767, c1_5784;
            end
         %ACT_CLK_d_CLK_324%; 
         process ACT_CLK_d_CLK_326 =
              ( )
            (| CLK_d_CLK_326 ^= VMAXW_5808 ^= c1_5825
             | (| CLK_5045 := when (c1_5825>0)
                | CLK_5046 := when (not (c1_5825>0))
                |)
             | (| d_CLK_326 := VMAXW_5808+CST_COST_TEST
                | VMAXW_5808 := (d_C_448 when CLK_5045) default (0 when CLK_5046)
                | c1_5825 := d_C_448 when CLK_d_CLK_326
                |)
             |)
            where 
            event CLK_5046, CLK_5045;
            integer VMAXW_5808, c1_5825;
            end
         %ACT_CLK_d_CLK_326%; 
         process ACT_CLK_d_CLK_328 =
              ( )
            (| CLK_d_CLK_328 ^= VMAXW_5849 ^= c1_5866
             | (| CLK_1143 := when (d_CLK_328>0)
                | CLK_1144 := when (not (d_CLK_328>0))
                |)
             | (| CLK_5081 := when (c1_5866>0)
                | CLK_5082 := when (not (c1_5866>0))
                |)
             | (| d_CLK_328 := VMAXW_5849+CST_COST_TEST
                | VMAXW_5849 := (d_C_451 when CLK_5081) default (0 when CLK_5082)
                | c1_5866 := d_C_451 when CLK_d_CLK_328
                |)
             |)
            where 
            event CLK_5082, CLK_1144;
            integer VMAXW_5849, c1_5866;
            end
         %ACT_CLK_d_CLK_328%; 
         process ACT_CLK_c1_2849 =
              ( )
            (| CLK_c1_2849 ^= c1_2849 ^= c2_2850
             | (| CLK_2237 := when (c1_2849>c2_2850)
                | CLK_2238 := when (not (c1_2849>c2_2850))
                |)
             | (| c1_2849 := XZX_1540 when CLK_c1_2849
                | c2_2850 := VMAX_2817 when CLK_c1_2849
                |)
             |)
            where 
            event CLK_2238;
            integer c1_2849, c2_2850;
            end
         %ACT_CLK_c1_2849%; 
         process ACT_CLK_c1_1713 =
              ( )
            (| CLK_c1_1713 ^= c1_1713 ^= c2_1714
             | (| CLK_1117 := when (c1_1713>c2_1714)
                | CLK_1118 := when (not (c1_1713>c2_1714))
                |)
             | (| c1_1713 := d_XZX_164 when CLK_c1_1713
                | c2_1714 := VMAX_1699 when CLK_c1_1713
                |)
             |)
            where 
            event CLK_1118;
            integer c1_1713, c2_1714;
            end
         %ACT_CLK_c1_1713%; 
         process ACT_CLK_c1_3178 =
              ( )
            (| CLK_c1_3178 ^= c1_3178 ^= c2_3179
             | (| CLK_2528 := when (c1_3178>c2_3179)
                | CLK_2529 := when (not (c1_3178>c2_3179))
                |)
             | (| c1_3178 := d_x_1 when CLK_c1_3178
                | c2_3179 := VMAX_3163 when CLK_c1_3178
                |)
             |)
            where 
            event CLK_2529;
            integer c1_3178, c2_3179;
            end
         %ACT_CLK_c1_3178%; 
         process ACT_CLK_c1_3211 =
              ( )
            (| CLK_c1_3211 ^= c1_3211 ^= c1_3222 ^= c2_3223
             | (| CLK_2555 := when (c1_3211>0)
                | CLK_2556 := when (not (c1_3211>0))
                |)
             | (| CLK_2577 := when (c1_3222>c2_3223)
                | CLK_2578 := when (not (c1_3222>c2_3223))
                |)
             | (| c1_3211 := d_CLK_x2_0 when CLK_c1_3211
                | c1_3222 := d_x_177 when CLK_c1_3211
                | c2_3223 := VMAX_3207 when CLK_c1_3211
                |)
             |)
            where 
            event CLK_2578, CLK_2556;
            integer c1_3211, c1_3222, c2_3223;
            end
         %ACT_CLK_c1_3211%; 
         process ACT_CLK_c1_757 =
              ( )
            (| CLK_c1_757 ^= c1_757 ^= c1_768 ^= c2_769
             | (| CLK_208 := when (c1_757>0)
                | CLK_209 := when (not (c1_757>0))
                |)
             | (| CLK_231 := when (c1_768>c2_769)
                | CLK_233 := when (not (c1_768>c2_769))
                |)
             | (| c1_757 := d_CLK_x21_0 when CLK_c1_757
                | c1_768 := d_x21 when CLK_c1_757
                | c2_769 := VMAX_753 when CLK_c1_757
                |)
             |)
            where 
            event CLK_233, CLK_209;
            integer c1_757, c1_768, c2_769;
            end
         %ACT_CLK_c1_757%; 
         process ACT_CLK_c1_724 =
              ( )
            (| CLK_c1_724 ^= c1_724 ^= c2_725
             | (| CLK_181 := when (c1_724>c2_725)
                | CLK_182 := when (not (c1_724>c2_725))
                |)
             | (| c1_724 := d_x when CLK_c1_724
                | c2_725 := VMAX_709 when CLK_c1_724
                |)
             |)
            where 
            event CLK_182;
            integer c1_724, c2_725;
            end
         %ACT_CLK_c1_724%; 
         process ACT_CLK_c1_3167 =
              ( )
            (| CLK_c1_3167 ^= c1_3167
             | (| CLK_2506 := when (c1_3167>0)
                | CLK_2507 := when (not (c1_3167>0))
                |)
             | (| c1_3167 := d_CLK_324 when CLK_c1_3167 |)
             |)
            where 
            event CLK_2507;
            integer c1_3167;
            end
         %ACT_CLK_c1_3167%; 
         process ACT_CLK_c1_713 =
              ( )
            (| CLK_c1_713 ^= c1_713
             | (| CLK_159 := when (c1_713>0)
                | CLK_160 := when (not (c1_713>0))
                |)
             | (| c1_713 := d_CLK_326 when CLK_c1_713 |)
             |)
            where 
            event CLK_160;
            integer c1_713;
            end
         %ACT_CLK_c1_713%; 
         process ACT_CLK_c1_1757 =
              ( )
            (| CLK_c1_1757 ^= c1_1757 ^= c1_2244
             | (| CLK_1164 := when (c1_1757>VMAX_2229)
                | CLK_1165 := when (not (c1_1757>VMAX_2229))
                |)
             | (| CLK_1639 := when (c1_2244>VMAX_2229)
                | CLK_1640 := when (not (c1_2244>VMAX_2229))
                |)
             | (| c1_1757 := d_pre_next_yy when CLK_c1_1757
                | VMAX_2229 := (d_CLK_328 when CLK_1143) default (0 when CLK_6263)
                | c1_2244 := XZX_1401 when CLK_c1_1757
                |)
             |)
            where 
            event CLK_1640, CLK_1165;
            integer c1_1757, c1_2244;
            end
         %ACT_CLK_c1_1757%; 
         end
      %ACT_CLK_stable_0%; 
      end
   %equationSolving_COST%; 
end %M_equationSolving_COST_TRA%; 
