process VTON_FLIGHT =
     { integer NUL_CODE, LIN_CODE, TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A; }
     ( ? event H;
     )
   (| (| (| initialize := H_0
          | (active_process,active_block1,active_block2,active_block3) := ON_FLIGHT{}(active_partition,initialize)
          |) where event initialize; end
       | CONTEXT{NUL_CODE,LIN_CODE}
       | (| HE := HE_1
          | SCREEN{TICK_NUMBER,FRONT_NUMBER,TICK_HEIGHT,DELTA,TICK_WIDTH,ESP_HEIGHT,STRING_HEIGHT,MIN_A,MAX_A}
          |) where event HE; end
       | (| BACK{} |)/ HE
       | (| HE := ^active_partition
          | HE_1 := HE
          |) where HE; end
       |)/ HE_1, V4, V3, V2, V1, C4, C3, C2, C1, H_0, active_partition, active_block3, active_block2, active_block1, active_process |)
   where 
   use apex; 
   use CONTEXT_LIB, SCREEN_LIB; 
   process BACK =
        ( ? ProcessID_type active_process;
            integer active_block1;
            integer active_block2;
            integer active_block3;
          ! event HE;
            boolean C1;
            boolean C2;
            boolean C3;
            boolean C4;
            ProcessID_type V1;
            integer V2;
            integer V3;
            integer V4;
        )
      (| HE := active_process ^+ active_block1 ^+ active_block2 ^+ active_block3
       | C1 := ^active_process
       | C2 := ^active_block1
       | C3 := ^active_block2
       | C4 := ^active_block3
       | V1 := active_process
       | V2 := active_block1
       | V3 := active_block2
       | V4 := active_block3
       |)
   ; 
   process CONTEXT =
        { integer NUL_CODE, LIN_CODE; }
        ( ? event H;
          ! event H_0;
            integer active_partition;
        )
      (| (| (| HE := H
             | S_PACE_MAKER{NUL_CODE,LIN_CODE}
             |) where event HE; end
          | SCAN{}
          |)/ HES |)
      where 
      process SCAN =
           ( ? event HES;
             ! integer active_partition;
           )
         (| active_partition := GET_ACTIVE_PARTITION()
          | b_init := (not HES)$1 init true
          | active_partition ^= when (not b_init)
          |)
         where 
         boolean b_init;
         process GET_ACTIVE_PARTITION =
              ( ! integer active_partition;
              )
         
         ; 
         end
      ; 
      event HES;
      end
   ; 
   process SCREEN =
        { integer TICK_NUMBER, FRONT_NUMBER, TICK_HEIGHT, DELTA, TICK_WIDTH, ESP_HEIGHT, STRING_HEIGHT, MIN_A, MAX_A; }
        ( ? event H_0;
            event HE;
            boolean C1;
            boolean C2;
            boolean C3;
            boolean C4;
            ProcessID_type V1;
            integer V2;
            integer V3;
            integer V4;
        )
      (| (| X := WSET{TICK_NUMBER,FRONT_NUMBER,10*TICK_HEIGHT,DELTA+DELTA+TICK_WIDTH}(SCREEN,HE)
          | INITSCREEN{}
          | (| WBOOL{3*TICK_HEIGHT,TICK_HEIGHT,DELTA,TICK_WIDTH}(SCREEN,C2,X)
             | WBOOL{(-TICK_HEIGHT)-(6*ESP_HEIGHT),TICK_HEIGHT,DELTA,TICK_WIDTH}(SCREEN,C3,X)
             | WBOOL{((-6)*TICK_HEIGHT)-(5*ESP_HEIGHT),TICK_HEIGHT,DELTA,TICK_WIDTH}(SCREEN,C4,X)
             |)
          | (| WINT{(2*TICK_HEIGHT)-(9*ESP_HEIGHT),TICK_HEIGHT,DELTA,TICK_WIDTH,MIN_A,MAX_A,STRING_HEIGHT}(SCREEN,V2,X)
             | WINT{((-3)*TICK_HEIGHT)-(8*ESP_HEIGHT),TICK_HEIGHT,DELTA,TICK_WIDTH,MIN_A,MAX_A,STRING_HEIGHT}(SCREEN,V3,X)
             | WINT{((-8)*TICK_HEIGHT)-(6*ESP_HEIGHT),TICK_HEIGHT,DELTA,TICK_WIDTH,MIN_A,MAX_A,STRING_HEIGHT}(SCREEN,V4,X)
             |)
          |)/ SCREEN, X |)
      where 
      process WINT =
           { integer Y_POS, HEIGHT, DELTA, WIDTH, C_min, C_max, STRING_HEIGHT; }
           ( ? integer SCREEN;
               integer C;
               integer X;
           )
         (| H := ^C
          | ECRAN := SCREEN when H
          | X0 := X when H
          | C_aff := (C when ((C<C_max) when (C>C_min))) default (C_max when (not (C<C_max))) default (C_min when (not (C>C_min)))
          | WSTRING(ECRAN,C_aff,X0,Y_POS-STRING_HEIGHT)
          |)
         where 
         boolean chang;
         event H;
         integer ECRAN;
         integer X0, X1, Y0, Y1, diff, C_ret_aff, C_aff;
         real prop, Y0_rel, Y1_rel;
         function inttoreal =
              ( ? integer x;
                ! real y;
              )
         
         ; 
         function realtoint =
              ( ? real x;
                ! integer y;
              )
         
         ; 
         end
      ; 
      integer X, SCREEN;
      end
   ; 
   process ON_FLIGHT =
        ( ? PartitionID_type active_partition_ID;
            event initialize;
          ! ProcessID_type active_process_ID;
            integer active_block1;
            integer active_block2;
            integer active_block3;
        )
      (| (| (end_processing1,active_block1) := POSITION_INDICATOR{1,6}(active_process_ID,timedout,board cell (^active_process_ID),buff1 cell (^active_process_ID),buff2 cell (^active_process_ID),evt cell (^active_process_ID))
          | (end_processing2,active_block2) := FUEL_INDICATOR{2,6}(active_process_ID,timedout,buff1 cell (^active_process_ID),sema cell (^active_process_ID),s_port cell (^active_process_ID),evt cell (^active_process_ID),global_params cell (^
                                             active_process_ID))
          | (end_processing3,active_block3) := PARAMETER_REFRESHER{3,6}(active_process_ID,timedout,board cell (^active_process_ID),buff2 cell (^active_process_ID),sema cell (^active_process_ID),evt cell (^active_process_ID),global_params cell (^
                                             active_process_ID))
          | (| global_params := 3.14 when initialize
             | (board,ret_board) := CREATE_BLACKBOARD{}("board" when initialize,50)
             | (buff2,ret_buff2) := CREATE_BUFFER{}("buffer2" when initialize,3,50,#FIFO)
             | (buff1,ret_buff1) := CREATE_BUFFER{}("buffer1" when initialize,3,50,#FIFO)
             | (evt,ret_evt) := CREATE_EVENT{}("event" when initialize)
             | (sema,ret_sema) := CREATE_SEMAPHORE{}("semaphore" when initialize,1,2,#FIFO)
             | (s_port,ret_sport) := CREATE_SAMPLING_PORT{}("s_port" when initialize,4,#SOURCE,5.0)
             |)
          | (| (active_process_ID,timedout) := PARTITION_LEVEL_OS{1}(active_partition_ID,initialize,end_processing)
             | end_processing := end_processing1 ^+ end_processing2 ^+ end_processing3
             |)
          |)/ timedout, sema, evt, s_port, buff2, buff1, board, global_params, end_processing3, end_processing2, end_processing1 |)
      where 
      ReturnCode_type ret_buff1, ret_buff2, ret_board, ret_evt, ret_sema, ret_sport;
      event end_processing, end_processing1, end_processing2, end_processing3;
      process POSITION_INDICATOR =
           { integer PID;
             integer NB_BLOCK; }
           ( ? ProcessID_type active_process_ID;
               [MAX_NUMBER_OF_PROCESSES]boolean timedout;
               Comm_ComponentID_type board;
               Comm_ComponentID_type buff1;
               Comm_ComponentID_type buff2;
               Comm_ComponentID_type evt;
             ! event end_processing;
               integer active_block;
           )
         (| (| (end_processing,active_block) := CONTROL{PID,NB_BLOCK}(active_process_ID,timedout,ret1,ret2,ret3,ret5)
             | (| (ret1,ret2,ret3,ret5) := COMPUTE{}(active_block,buff2,evt,board,buff1) |)
             |)/ ret5, ret3, ret2, ret1 |)
         where 
         integer zout1, out1;
         boolean c1;
         process CONTROL =
              { integer PID;
                integer NB_BLOCK; }
              ( ? integer active_process_ID;
                  [MAX_NUMBER_OF_PROCESSES]boolean timedout;
                  ReturnCode_type ret1;
                  ReturnCode_type ret2;
                  ReturnCode_type ret3;
                  ReturnCode_type ret5;
                ! event end_processing;
                  integer active_block;
              )
            (| trigger := active_process_ID=PID
             | active_block := (zactive_block when zblocked) default (0 when (zactive_block=(NB_BLOCK-1))) default (zactive_block+1)
             | zactive_block := active_block$1 init (-1)
             | service_call := when ((active_block=1) or (active_block=2) or (active_block=3) or (active_block=5))
             | continue := ret1 ^+ ret2 ^+ ret3 ^+ ret5
             | blocked := (service_call ^- continue) default (false when service_call) default zblocked
             | zblocked := blocked$1 init false
             | blocked ^= active_block ^= when trigger
             | end_processing := when (active_block=(NB_BLOCK-1))
             |)
            where 
            event continue, service_call;
            integer zactive_block;
            boolean trigger, zblocked, blocked;
            end
         ; 
         process COMPUTE =
              ( ? integer active_block;
                  Comm_ComponentID_type buff2;
                  Comm_ComponentID_type evt;
                  Comm_ComponentID_type board;
                  Comm_ComponentID_type buff1;
                ! ReturnCode_type ret1;
                  ReturnCode_type ret2;
                  ReturnCode_type ret3;
                  ReturnCode_type ret5;
              )
            (| (| (| trigger0 := when (active_block=0)
                   | rep1 := SET_DATE{}(when trigger0)
                   |)
                | (| trigger1 := when (active_block=1)
                   | ret1 := SEND_BUFFER{1}((var buff2) when trigger1,99999.0,2,10.0)
                   |)
                | (| trigger2 := when (active_block=2)
                   | ret2 := WAIT_EVENT{1}((var evt) when trigger2,20.0)
                   |)
                | (| trigger3 := when (active_block=3)
                   | (diag_area,diag_size,ret3) := READ_BLACKBOARD{1}((var board) when trigger3,2.0)
                   |)
                | (| trigger5 := when (active_block=5)
                   | ret5 := SEND_BUFFER{1}((var buff1) when trigger5,(var rep2.Message_Area) when trigger5,(var rep2.Message_Size) when trigger5,10.0)
                   |)
                | (| trigger4 := when (active_block=4)
                   | rep2 := COMPUTE_POS{}((var rep1) when trigger4,(var diag_area) when trigger4,(var diag_size) when trigger4)
                   |)
                |)/ rep2, diag_size, diag_area, rep1 |)
            where 
            event trigger0, trigger1, trigger2, trigger3, trigger4, trigger5;
            process SET_DATE =
                 ( ? event request;
                   ! Message_type rep1;
                 )
               (| rep1.Message_Area := 0.000010 when request
                | rep1.Message_Size := 10 when request
                |)
            ; 
            process COMPUTE_POS =
                 ( ? Message_type rep1;
                     MessageArea_type diag_area;
                     MessageSize_type diag_size;
                   ! Message_type rep2;
                 )
               (| rep2.Message_Area := rep1.Message_Area+diag_area
                | rep2.Message_Size := rep1.Message_Size+diag_size
                |)
            ; 
            Message_type rep1, rep2;
            MessageArea_type diag_area;
            MessageSize_type diag_size;
            end
         ; 
         ReturnCode_type ret1, ret2, ret3, ret5;
         end
      ; 
      process FUEL_INDICATOR =
           { integer PID;
             integer NB_BLOCK; }
           ( ? ProcessID_type active_process_ID;
               [MAX_NUMBER_OF_PROCESSES]boolean timedout;
               Comm_ComponentID_type buff1;
               Comm_ComponentID_type sema;
               Comm_ComponentID_type s_port;
               Comm_ComponentID_type evt;
               real global_params;
             ! event end_processing;
               integer active_block;
           )
         (| (| (end_processing,active_block) := CONTROL{PID,NB_BLOCK}(active_process_ID,timedout,ret0,ret1,ret3,ret4,ret5)
             | (| (ret0,ret1,ret3,ret4,ret5) := COMPUTE{}(active_block,buff1,sema,s_port,evt,global_params) |)
             |)/ ret5, ret4, ret3, ret1, ret0 |)
         where 
         integer zout2, out2;
         boolean c1;
         process CONTROL =
              { integer PID;
                integer NB_BLOCK; }
              ( ? integer active_process_ID;
                  [MAX_NUMBER_OF_PROCESSES]boolean timedout;
                  ReturnCode_type ret0;
                  ReturnCode_type ret1;
                  ReturnCode_type ret3;
                  ReturnCode_type ret4;
                  ReturnCode_type ret5;
                ! event end_processing;
                  integer active_block;
              )
            (| trigger := active_process_ID=PID
             | active_block := (zactive_block when zblocked) default (0 when (zactive_block=(NB_BLOCK-1))) default (zactive_block+1)
             | zactive_block := active_block$1 init (-1)
             | service_call := when ((active_block=0) or (active_block=1) or (active_block=3) or (active_block=4) or (active_block=5))
             | continue := ret0 ^+ ret1 ^+ ret3 ^+ ret4 ^+ ret5
             | blocked := (service_call ^- continue) default (false when service_call) default zblocked
             | zblocked := blocked$1 init false
             | blocked ^= active_block ^= when trigger
             | end_processing := when (active_block=(NB_BLOCK-1))
             |)
            where 
            event continue, service_call;
            integer zactive_block;
            boolean trigger, zblocked, blocked;
            end
         ; 
         process COMPUTE =
              ( ? integer active_block;
                  Comm_ComponentID_type buff1;
                  Comm_ComponentID_type sema;
                  Comm_ComponentID_type s_port;
                  Comm_ComponentID_type evt;
                  real global_params;
                ! ReturnCode_type ret0;
                  ReturnCode_type ret1;
                  ReturnCode_type ret3;
                  ReturnCode_type ret4;
                  ReturnCode_type ret5;
              )
            (| (| (| trigger0 := when (active_block=0)
                   | (mess_area,mess_size,ret0) := RECEIVE_BUFFER{2}((var buff1) when trigger0,10.0)
                   |)/ mess_size, mess_area
                | (| trigger1 := when (active_block=1)
                   | ret1 := WAIT_SEMAPHORE{2}((var sema) when trigger1,20.0)
                   |)
                | (| trigger2 := when (active_block=2)
                   | final_rep := COMPUTE_FUEL{}((var global_params) when trigger2)
                   |)
                | (| trigger3 := when (active_block=3)
                   | ret3 := SIGNAL_SEMAPHORE{}((var sema) when trigger3)
                   |)
                | (| trigger5 := when (active_block=5)
                   | ret5 := RESET_EVENT{}((var evt) when trigger5)
                   |)
                | (| trigger4 := when (active_block=4)
                   | ret4 := WRITE_SAMPLING_PORT{2}((var s_port) when trigger4,(var final_rep.Message_Area) when trigger4,(var final_rep.Message_Size) when trigger4)
                   |)
                |)/ final_rep |)
            where 
            event trigger0, trigger1, trigger2, trigger3, trigger4, trigger5;
            process COMPUTE_FUEL =
                 ( ? real global_params;
                   ! Message_type final_rep;
                 )
               (| final_rep.Message_Area := global_params
                | final_rep.Message_Size := 5
                |)
            ; 
            MessageArea_type mess_area;
            MessageSize_type mess_size;
            Message_type final_rep;
            end
         ; 
         ReturnCode_type ret0, ret1, ret3, ret4, ret5;
         end
      ; 
      process PARAMETER_REFRESHER =
           { integer PID;
             integer NB_BLOCK; }
           ( ? ProcessID_type active_process_ID;
               [MAX_NUMBER_OF_PROCESSES]boolean timedout;
               Comm_ComponentID_type board;
               Comm_ComponentID_type buff2;
               Comm_ComponentID_type sema;
               Comm_ComponentID_type evt;
               real global_params;
             ! event end_processing;
               integer active_block;
           )
         (| (| (end_processing,active_block) := CONTROL{PID,NB_BLOCK}(active_process_ID,timedout,ret0,ret1,ret3,ret4,ret5)
             | (| (ret0,ret1,ret3,ret4,ret5) := COMPUTE{}(active_block,buff2,sema,board,evt,global_params) |)
             |)/ ret5, ret4, ret3, ret1, ret0 |)
         where 
         integer zout3;
         boolean c1;
         process CONTROL =
              { integer PID;
                integer NB_BLOCK; }
              ( ? integer active_process_ID;
                  [MAX_NUMBER_OF_PROCESSES]boolean timedout;
                  ReturnCode_type ret0;
                  ReturnCode_type ret1;
                  ReturnCode_type ret3;
                  ReturnCode_type ret4;
                  ReturnCode_type ret5;
                ! event end_processing;
                  integer active_block;
              )
            (| trigger := active_process_ID=PID
             | active_block := (zactive_block when zblocked) default (0 when (zactive_block=(NB_BLOCK-1))) default (zactive_block+1)
             | zactive_block := active_block$1 init (-1)
             | service_call := when ((active_block=0) or (active_block=1) or (active_block=3) or (active_block=4) or (active_block=5))
             | continue := ret0 ^+ ret1 ^+ ret3 ^+ ret4 ^+ ret5
             | blocked := (service_call ^- continue) default (false when service_call) default zblocked
             | zblocked := blocked$1 init false
             | blocked ^= active_block ^= when trigger
             | end_processing := when (active_block=(NB_BLOCK-1))
             |)
            where 
            event continue, service_call;
            integer zactive_block;
            boolean trigger, zblocked, blocked;
            end
         ; 
         process COMPUTE =
              ( ? integer active_block;
                  Comm_ComponentID_type buff2;
                  Comm_ComponentID_type sema;
                  Comm_ComponentID_type board;
                  Comm_ComponentID_type evt;
                  real global_params;
                ! ReturnCode_type ret0;
                  ReturnCode_type ret1;
                  ReturnCode_type ret3;
                  ReturnCode_type ret4;
                  ReturnCode_type ret5;
              )
            (| (| (| trigger0 := when (active_block=0)
                   | (mess_area,mess_size,ret0) := RECEIVE_BUFFER{3}((var buff2) when trigger0,2.0)
                   |)/ mess_size, mess_area
                | (| trigger1 := when (active_block=1)
                   | ret1 := WAIT_SEMAPHORE{3}((var sema) when trigger1,5.0)
                   |)
                | (| trigger2 := when (active_block=2)
                   | diag := REFRESH_PARAMS{}((var global_params) when trigger2)
                   |)
                | (| trigger3 := when (active_block=3)
                   | ret3 := SIGNAL_SEMAPHORE{}((var sema) when trigger3)
                   |)
                | (| trigger4 := when (active_block=4)
                   | ret4 := DISPLAY_BLACKBOARD{}((var board) when trigger4,(var diag.Message_Area) when trigger4,(var diag.Message_Size) when trigger4)
                   |)
                | (| trigger5 := when (active_block=5)
                   | ret5 := SET_EVENT{}((var evt) when trigger5)
                   |)
                |)/ diag |)
            where 
            event trigger0, trigger1, trigger2, trigger3, trigger4, trigger5;
            process REFRESH_PARAMS =
                 ( ? real global_params;
                   ! Message_type diag;
                 )
               (| diag.Message_Area := global_params
                | diag.Message_Size := 15
                |)
            ; 
            MessageArea_type mess_area;
            MessageSize_type mess_size;
            Message_type diag;
            end
         ; 
         ReturnCode_type ret0, ret1, ret3, ret4, ret5;
         end
      ; 
      process PARTITION_LEVEL_OS =
           { integer Partition_ID; }
           ( ? PartitionID_type active_partition_ID;
               event initialize;
               event end_processing;
             ! ProcessID_type active_ID;
               [MAX_NUMBER_OF_PROCESSES]boolean timedout;
           )
         (| (pid1,pid2,pid3) := PROCESS_CREATION{}(initialize)
          | return_code1 := START{}(pid1)
          | return_code2 := START{}(pid2)
          | return_code3 := START{}(pid3)
          | partition_is_running := when (active_partition_ID=Partition_ID)
          | success := PROCESS_SCHEDULINGREQUEST{}(when partition_is_running)
          | (active_process_ID,status) := PROCESS_GETACTIVE{}(when success)
          | timedout := UPDATE_COUNTERS{}()
          | timedout ^= when partition_is_running
          | return_code4 := SUSPEND_SELF{}(7.0 when end_processing)
          |)
         where 
         boolean success;
         event partition_is_running;
         ProcessStatus_type status;
         ReturnCode_type return_code1, return_code2, return_code3, return_code4;
         ProcessID_type pid1, pid2, pid3;
         process PROCESS_CREATION =
              ( ? event initialize;
                ! ProcessID_type pid1;
                  ProcessID_type pid2;
                  ProcessID_type pid3;
              )
            (| recorded1 := PROCESS_RECORDING{}("position_indicator" when initialize)
             | recorded2 := PROCESS_RECORDING{}("fuel_indicator" when initialize)
             | recorded3 := PROCESS_RECORDING{}("parameter_refresher" when initialize)
             | att1.Name := "position_indicator"
             | att1.Entry_Point := 0.1
             | att1.Stack_Size := 1
             | att1.Base_Priority := 3
             | att1.Period := -1.0
             | att1.Time_Capacity := 1.0
             | att1.Deadline := #SOFT
             | att1 ^= when recorded1
             | (pid1,ret1) := CREATE_PROCESS{}(att1)
             | att2.Name := "fuel_indicator"
             | att2.Entry_Point := 0.2
             | att2.Stack_Size := 2
             | att2.Base_Priority := 2
             | att2.Period := -1.0
             | att2.Time_Capacity := 2.0
             | att2.Deadline := #SOFT
             | att2 ^= when recorded2
             | (pid2,ret2) := CREATE_PROCESS{}(att2)
             | att3.Name := "parameter_refresher"
             | att3.Entry_Point := 0.3
             | att3.Stack_Size := 3
             | att3.Base_Priority := 1
             | att3.Period := -1.0
             | att3.Time_Capacity := 4.0
             | att3.Deadline := #HARD
             | att3 ^= when recorded3
             | (pid3,ret3) := CREATE_PROCESS{}(att3)
             |)
            where 
            boolean recorded1, recorded2, recorded3;
            ProcessAttributes_type att1, att2, att3;
            ReturnCode_type ret1, ret2, ret3;
            end
         ; 
         end
      ; 
      real global_params;
      Comm_ComponentID_type board, buff1, buff2, s_port, evt, sema;
      [MAX_NUMBER_OF_PROCESSES]boolean timedout;
      end
   ; 
   ProcessID_type active_process, V1;
   integer active_block1, active_block2, active_block3, active_partition, V2, V3, V4;
   event H_0, HE, HE_1;
   boolean C1, C2, C3, C4;
   end
; 
