process SecondDegree_ABSTRACT =
     ( ? real a, b, c;
       ! boolean err;
         real x21, x2;
         boolean stable, C_bb, OK, C_err, C_x21;
     )
   pragmas 
      GreyBox "SecondDegree"
   end pragmas
   (| (| Tick_357 := true
       | when Tick_357 ^= stable ^= C_bb ^= C_x21
       | when stable ^= a ^= b ^= c ^= OK
       | when C_bb ^= x2
       | when OK ^= C_err
       | when C_err ^= err
       | when C_x21 ^= x21
       |)
    | (| nlabel :: (err, x21, x2, C_bb, C_err, C_x21) := SecondDegree_Cluster_1()
       | nlabel ^= when Tick_357
       |)
    | (| nlabel_359 :: SecondDegree_Cluster_2(c)
       | nlabel_359 ^= when stable
       |)
    | (| nlabel_360 :: SecondDegree_Cluster_3(b)
       | nlabel_360 ^= when stable
       |)
    | (| nlabel_361 :: OK := SecondDegree_Cluster_4(a)
       | nlabel_361 ^= when Tick_357
       |)
    | (| nlabel_384 :: stable := SecondDegree_Cluster_delays()
       | nlabel_384 ^= when Tick_357
       |)
    | (| c --> nlabel
       | b --> nlabel
       | a --> nlabel
       | nlabel_359 --> nlabel_360
       | nlabel_359 --> nlabel
       | c --> nlabel_359
       | a --> nlabel_359
       | nlabel_360 --> nlabel
       | b --> nlabel_360
       | a --> nlabel_360
       | nlabel_361 --> nlabel_360
       | nlabel_361 --> nlabel_359
       | nlabel_361 --> nlabel
       | c --> nlabel_361
       | a --> nlabel_361
       | nlabel_361 --> nlabel_384
       | nlabel_360 --> nlabel_384
       | nlabel_359 --> nlabel_384
       | nlabel --> nlabel_384
       |)
    |)
   where 
   boolean Tick_357;
   label nlabel, nlabel_359, nlabel_360, nlabel_361, nlabel_384; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err;
            real x21;
            real x2;
            boolean C_bb;
            boolean C_err;
            boolean C_x21;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster {a,b,c}
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_1%; 
   action SecondDegree_Cluster_2 =
        ( ? real c;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster {a,c}
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_2%; 
   action SecondDegree_Cluster_3 =
        ( ? real b;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster {a,b}
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_3%; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
          ! boolean OK;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster {a}
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_4%; 
   action SecondDegree_Cluster_delays =
        ( ! boolean stable init true;
        )
      pragmas 
         DelayCluster
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_delays%; 
   end
%SecondDegree_ABSTRACT%; 
