process TRAIN_BOOL_TRA =
     ( ? boolean H, HV11, HV12, HLW1, HNW1, HV21, HV22, HLW2, HNW2, HREPARER1, HPANNE1, HDEFAILLANCE1, HREPARER2, HPANNE2, HDEFAILLANCE2;
         real V11, V12, LW1;
         integer NW1;
         real V21, V22, LW2;
         integer NW2;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= H
       | ACT_Tick{}
       |) |)
   where 
   constant real DMIN = 2500.0;
   constant real XT1 = 0.0;
   constant real XT2 = 10.0;
   constant real XT3 = 2480.0;
   constant real XT4 = 2520.0;
   constant real XT5 = 5000.0;
   constant integer DEL1 = 30;
   constant integer DEL2 = 15;
   constant integer DEL3 = 13;
   constant integer DEL_BARRIERE = 5;
   constant integer YV = 140;
   constant integer SENS = 1;
   constant integer NSLIDER = 1;
   constant integer NSLIDER_1745 = 2;
   constant integer YV2 = 120;
   constant integer YV2_1923 = 120;
   constant integer YV_2035 = 370;
   constant integer SENS_2038 = -1;
   constant integer NSLIDER_2041 = 3;
   constant integer NSLIDER_3368 = 4;
   constant integer YV2_3394 = 350;
   constant integer YV2_3490 = 350;
   constant integer XBAR = 520;
   constant integer YBAR = 310;
   constant integer XBAR_3966 = 520;
   constant integer YBAR_3967 = 80;
   constant real DIST1 = XT2-XT1;
   constant real DIST2 = XT3-XT2;
   constant integer X_4728 = 170;
   constant integer Y_4731 = 220;
   constant boolean INITIAL = true;
   constant boolean INITIAL_5011 = true;
   constant integer X_5404 = 170;
   constant integer Y_5405 = 200;
   constant boolean INITIAL_5440 = true;
   constant boolean INITIAL_5664 = true;
   constant boolean INITIAL_5775 = true;
   constant integer F_5854 = 1;
   constant integer X1_5855 = 498;
   constant integer Y1_5858 = 72;
   constant integer X2_5861 = 514;
   constant integer Y2_5864 = 88;
   constant integer F_6011 = 1;
   constant integer X1_6012 = 498;
   constant integer Y1_6013 = 302;
   constant integer X2_6016 = 514;
   constant integer Y2_6017 = 318;
   constant integer F_6161 = 0;
   constant integer Y_6162 = 60;
   constant integer X1_6165 = 120;
   constant integer X2_6168 = 240;
   constant integer X3_6171 = 360;
   constant integer XX2_6185 = 220;
   constant integer YY2 = 80;
   constant integer XX2_6243 = 340;
   constant integer YY2_6246 = 80;
   constant integer XX2_6296 = 460;
   constant integer YY2_6299 = 80;
   constant integer F_6354 = 0;
   constant integer Y_6355 = 100;
   constant integer X1_6357 = 120;
   constant integer X2_6358 = 240;
   constant integer X3_6359 = 360;
   constant integer XX2_6371 = 220;
   constant integer YY2_6374 = 120;
   constant integer XX2_6428 = 340;
   constant integer YY2_6431 = 120;
   constant integer XX2_6481 = 460;
   constant integer YY2_6484 = 120;
   constant integer F_6543 = 0;
   constant integer Y_6544 = 200;
   constant integer X1_6545 = 137;
   constant integer X2_6548 = 280;
   constant integer X3_6551 = 400;
   constant integer XX2_6570 = 187;
   constant integer YY2_6574 = 220;
   constant integer XX2_6634 = 380;
   constant integer YY2_6637 = 220;
   constant integer XX2_6687 = 500;
   constant integer YY2_6690 = 220;
   constant integer F_6749 = 0;
   constant integer Y_6750 = 240;
   constant integer X1_6751 = 137;
   constant integer X2_6752 = 280;
   constant integer X3_6753 = 400;
   constant integer XX2_6770 = 187;
   constant integer YY2_6773 = 260;
   constant integer XX2_6833 = 380;
   constant integer YY2_6836 = 260;
   constant integer XX2_6886 = 500;
   constant integer YY2_6889 = 260;
   constant integer M = 100;
   constant integer M_7039 = 40;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZXX2 ^= ZXX1 ^= ZX2 ^= ZX1 ^= VITESSE ^= ZVITESSE ^= VITESSE_1651 ^= ZVITESSE_1652 ^= Z_1691 ^= Z_1705 ^= Z_1719 ^= Z_1733 ^= ZXX2_3152 ^= ZXX1_3153 ^= ZX2_3154 ^= ZX1_3155 ^= VITESSE_3198 ^= ZVITESSE_3199 ^= VITESSE_3274 ^= 
         ZVITESSE_3275 ^= Z_3314 ^= Z_3328 ^= Z_3342 ^= Z_3356 ^= XZX ^= ZACTIF_1 ^= ACTIF_3793 ^= POS_THEORIQUE ^= ACTIF_3828 ^= ZACTIF_2 ^= ACTIF_3862 ^= MOUVEMENT ^= ACTIF_3896 ^= XZX_3997 ^= ZACTIF_4085 ^= ACTIF_4086 ^= ZACTIF_4119 ^= ACTIF_4120 ^= 
         ZACTIF_4152 ^= ACTIF_4154 ^= ZACTIF_4185 ^= ACTIF_4188 ^= ACTIF_4874 ^= ZACTIF_4875 ^= ACTIF_5542 ^= ZACTIF_5543 ^= N_7023 ^= ZN_7024 ^= N_7045 ^= ZN_7046 ^= C_STOP1 ^= C_CLK_825 ^= C_CLK_833 ^= C_STOP2 ^= C_CLK_888 ^= C_CLK_896 ^= C_STOP1_2974 ^=
         C_CLK_1777 ^= C_CLK_1785 ^= C_STOP2_2971 ^= C_CLK_1840 ^= C_CLK_1848 ^= C_CLK_2157 ^= C_CLK_2333 ^= C_HMOD100 ^= C_HV12 ^= HV11_19050 ^= HV12_19056 ^= HLW1_19062 ^= HNW1_19068 ^= HV21_19074 ^= HV22_19080 ^= HLW2_19086 ^= HNW2_19092 ^= 
         HREPARER1_19098 ^= HPANNE1_19104 ^= HDEFAILLANCE1_19110 ^= HREPARER2_19116 ^= HPANNE2_19122 ^= HDEFAILLANCE2_19128 ^= C_X3 ^= C_NWAG ^= C_X3_19140 ^= C_NWAG_19143 ^= C_X3_19146 ^= C_NWAG_19149 ^= C_X3_19152 ^= C_NWAG_19155 ^= C_CLK_4368 ^= 
         C_CLK_4374 ^= C_L ^= C_L_19167 ^= C_N ^= C_N_19173 ^= C_CLK_4404 ^= C_CLK_4406 ^= C_L_19182 ^= C_L_19185 ^= C_N_19188 ^= C_N_19191 ^= C_CLK_4438_19197 ^= C_CLK_4441_19203 ^= C_CLK_4445_19209 ^= C_CLK_4448_19215 ^= C_CLK_5449 ^= C_CLK_5451 ^= 
         C_CLK_5453 ^= C_CLK_5455 ^= C_CLK_5457 ^= C_CLK_5459 ^= C_CLK_5461 ^= C_CLK_5463 ^= C_CLK_5465 ^= C_CLK_5473 ^= C_CLK_5475_19251 ^= C_CLK_5479_19257 ^= C_CLK_5481 ^= C_CLK_5483 ^= C_CLK_5485 ^= C_CLK_5487 ^= C_CLK_5579 ^= C_CLK_5581 ^= C_CLK_5583 
         ^= C_CLK_5585 ^= C_CLK_5623 ^= C_CLK_5625 ^= C_CLK_5627 ^= C_CLK_5629 ^= C_EFFACE ^= C_EFFACE_19307 ^= C_XW0_19312 ^= ZACTIF_19318 ^= C_XW0_19325 ^= ZACTIF_19331 ^= C_XW0_19338 ^= ZACTIF_19344 ^= C_XW0_19351 ^= ZACTIF_19357 ^= C_XW0_19364 ^= 
         ZACTIF_19370 ^= C_XW0_19377 ^= ZACTIF_19383 ^= C_XW0_19390 ^= ZACTIF_19396 ^= C_XW0_19403 ^= ZACTIF_19409 ^= C_XW0_19416 ^= ZACTIF_19422 ^= C_XW0_19429 ^= ZACTIF_19435 ^= C_XW0_19442 ^= ZACTIF_19448 ^= C_XW0_19455 ^= ZACTIF_19461 ^= C_XW0_19468 ^=
         ZACTIF_19474 ^= C_XW0_19481 ^= ZACTIF_19487 ^= C_XW0_19494 ^= ZACTIF_19500 ^= C_XW0_19507 ^= ZACTIF_19513 ^= C_XW0_19520 ^= ZACTIF_19526 ^= C_XW0_19533 ^= ZACTIF_19539 ^= C_XW0_19546 ^= ZACTIF_19552 ^= C_XW0_19559 ^= ZACTIF_19565 ^= C_L2CO_19572 
         ^= C_B2SD_19580 ^= C_L1CO_19588 ^= C_B1SD_19596 ^= C_NXW ^= C_XW0_19605 ^= C_ZXW ^= C_NXW_19611 ^= C_XW0_19614 ^= C_ZXW_19617 ^= C_NXW_19620 ^= C_XW0_19623 ^= C_ZXW_19626 ^= C_NXW_19629 ^= C_XW0_19632 ^= C_ZXW_19635 ^= C_NXW_19638 ^= 
         C_COULEUR_19644 ^= C_COULEUR_19650 ^= C_XW0_19653 ^= C_ZXW_19656 ^= C_XW0_19659 ^= C_XW0_19662 ^= C_XW0_19665 ^= C_XW0_19668 ^= C_XW0_19671 ^= C_NXW_19674 ^= C_ZXW_19677 ^= C_NXW_19680 ^= C_ZXW_19683 ^= C_NXW_19686 ^= C_ZXW_19689 ^= C_NXW_19692 ^=
         C_ZXW_19695 ^= C_NXW_19698 ^= C_ZXW_19701 ^= C_CLK_5503 ^= C_CLK_5507 ^= C_CLK_5511 ^= C_CLK_5515 ^= C_CLK_5519 ^= C_CLK_5523 ^= C_CLK_5527 ^= C_CLK_5531 ^= C_CLK_5535 ^= C_CLK_5539 ^= C_CLK_5541 ^= C_CLK_5549 ^= C_CLK_5557 ^= C_CLK_5565 ^= 
         C_CLK_5573 ^= C_CLK_5587 ^= C_CLK_5595 ^= C_CLK_5601 ^= C_CLK_5609 ^= C_CLK_5617 ^= C_CLK_5865 ^= C_CLK_5867 ^= C_ZN ^= C_ZN_19807 ^= C_FIN_MV_4077 ^= C_FIN_MV ^= C_T1S40_19818 ^= C_T1S41_19826 ^= C_T1S30_19834 ^= C_T1S20_19842 ^= C_T1S10_19850 ^=
         C_T2S10_19858 ^= C_T2S11_19866 ^= C_T2S20_19874 ^= C_T2S30_19882 ^= C_T2S40_19890 ^= C_CLK_2895_19898 ^= C_CLK_2906_19906 ^= C_CLK_3039_19914 ^= C_CLK_3050_19922 ^= C_CLK_4471 ^= C_DN ^= C_CLK_4493 ^= C_CLK_4507 ^= C_CLK_4529 ^= C_DN_19949 ^= 
         C_CLK_4549 ^= C_ZN_19955 ^= C_CLK_4599 ^= C_CLK_4623 ^= C_DN_19964 ^= C_CLK_4675 ^= C_CLK_5261 ^= C_CLK_5263 ^= C_CLK_5265 ^= C_CLK_5267 ^= C_DN_19982 ^= C_CLK_5271 ^= C_ZN_19988 ^= C_CLK_5275 ^= C_DN_19994 ^= C_CLK_5279 ^= C_DN_20000 ^= 
         C_CLK_5283 ^= C_CLK_5501 ^= C_CLK_5505 ^= C_CLK_5509 ^= C_CLK_5513 ^= C_CLK_5517 ^= C_CLK_5521 ^= C_CLK_5525 ^= C_CLK_5529 ^= C_CLK_5533 ^= C_CLK_5537 ^= C_CLK_5543 ^= C_CLK_5547 ^= C_CLK_5553 ^= C_CLK_5559 ^= C_CLK_5561 ^= C_CLK_5563 ^= 
         C_CLK_5567 ^= C_CLK_5569 ^= C_CLK_5571 ^= C_CLK_5575 ^= C_CLK_5577 ^= C_CLK_5591 ^= C_CLK_5593 ^= C_CLK_5599 ^= C_CLK_5603 ^= C_CLK_5605 ^= C_CLK_5607 ^= C_CLK_5611 ^= C_CLK_5613 ^= C_CLK_5615 ^= C_CLK_5619 ^= C_CLK_5621 ^= C_L1CH ^= C_L2CH ^= 
         C_TSTABLE ^= C_TSTABLE_20143 ^= C_CLK_6341 ^= C_CLK_6357 ^= C_CLK_2651_20216 ^= C_CLK_2665_20224 ^= C_CLK_3142_20232 ^= C_CLK_3156_20240 ^= C_CLK_4574 ^= C_TOP_5430 ^= C_ZPASSANT ^= C_ZPASSANT_20270 ^= C_TOP ^= C_ZPASSANT_20279 ^= 
         C_ZPASSANT_20282 ^= C_CLK_5338 ^= C_CLK_5445 ^= C_CLK_5545 ^= C_CLK_5551 ^= C_CLK_5555 ^= C_CLK_5589 ^= C_CLK_5597 ^= C_CLK_5655 ^= C_CLK_5661 ^= ZPASSANT_20342 ^= ZPASSANT_20348 ^= C_MONTER_1_20359 ^= ZPASSANT_20362 ^= ZPASSANT_20368 ^= 
         C_MONTER_4_20379 ^= C_ ^= C_SORTIE_1_5431 ^= C_CLK_4651 ^= C_ZN_20403 ^= C__20406 ^= C_SORTIE_1 ^= C_CLK_5323 ^= C_ZN_20415 ^= C_CLK_5439 ^= C_CLK_5443 ^= C_CLK_5467 ^= C_CLK_5469 ^= C_CLK_5491 ^= C_CLK_5493 ^= C_N0_20440 ^= C_CLK_2753_20448 ^= 
         C_CLK_2762_20456 ^= C_N0_20464 ^= C_CLK_3244_20472 ^= C_CLK_3253_20480 ^= C_ZN_20486 ^= C_ZN_20489 ^= C_CLK_2732_20494 ^= C_CLK_2746_20502 ^= C_CLK_2756_20510 ^= C_CLK_3223_20518 ^= C_CLK_3237_20526 ^= C_CLK_3247_20534 ^= C_T_5 ^= C_TOP_5589 ^= 
         C_DESCENDRE_6 ^= C_CLK_4728 ^= C_TOP_4921 ^= C_DESCENDRE_3 ^= C_F ^= C_CLK_5373 ^= C_T_2 ^= C_CLK_5381 ^= C_CLK_5384 ^= C_ZN_20573 ^= C_CLK_5421 ^= C_CLK_5423 ^= C_CLK_5425 ^= C_CLK_5427 ^= C_CLK_5437 ^= C_CLK_5657 ^= C_CLK_5663 ^= C_CLK_5665 ^= 
         C_OUVRIR_20610 ^= C_ZPASSANT_20621 ^= C_CLK_5431 ^= C_CLK_5759 ^= C_ZN_20631 ^= C_CLK_5873 ^= C_ZN_20637 ^= C_CLK_5879 ^= C_CLK_6339 ^= C_CLK_6355 ^= C_CLK_2859_20651 ^= C_CLK_2870_20659 ^= C_CLK_3003_20667 ^= C_CLK_3014_20675 ^= ZPASSANT_20681 ^=
         C_FERMER ^= C_CLK_5761 ^= C_CLK_5855 ^= C_L1CS ^= C_L2CS ^= C_ZN_20702 ^= C_ZN_20705 ^= C_CLK_5907 ^= C_EB1U ^= C_EB2U ^= C_ZACTIF ^= C_CLK_5951 ^= C_COULEUR_20723 ^= C_B2CU ^= C_ZACTIF_20729 ^= C_CLK_6091 ^= C_COULEUR_20735 ^= C_B1CU ^= 
         C_CLK_6251 ^= C_CLK_6253 ^= C_CLK_6267 ^= C_CLK_6281 ^= C_CLK_6291 ^= C_CLK_6293 ^= C_CLK_6303 ^= C_CLK_6305 ^= C_CLK_6323 ^= C_CLK_6329 ^= C_CLK_6333 ^= C_CLK_6345 ^= C_CLK_6349 ^= C_CLK_6361 ^= C_CLK_2928_20796 ^= C_CLK_2939_20804 ^= 
         C_CLK_3072_20812 ^= C_CLK_3083_20820 ^= ACTIF_20826 ^= ACTIF_20832 ^= C_CLK_5909 ^= C_CLK_5913 ^= C_EB1D ^= C_EB2D ^= C_B2CD ^= C_COULEUR_20859 ^= C_CLK_5936 ^= C_CLK_5938 ^= C_COMMANDE ^= C_FIN_DEF ^= C_CLK_6002 ^= C_DEB_MV ^= C_CLK_6012 ^= 
         C_CLK_6017 ^= C_B1CD ^= C_COULEUR_20889 ^= C_CLK_6062 ^= C_CLK_6064 ^= C_COMMANDE_4222 ^= C_FIN_DEF_4079 ^= C_CLK_6144 ^= C_DEB_MV_4078 ^= C_CLK_6155 ^= C_CLK_6160 ^= C_ZTCLIGNO ^= C_ZTCLIGNO_20919 ^= C_COULEUR_20922 ^= C_COULEUR_20925 ^= 
         C_CLK_6255 ^= C_CLK_6257 ^= C_CLK_6259 ^= C_CLK_6269 ^= C_CLK_6273 ^= C_CLK_6283 ^= C_CLK_6287 ^= C_CLK_6289 ^= C_CLK_6295 ^= C_CLK_6297 ^= C_CLK_6299 ^= C_CLK_6301 ^= C_CLK_6319 ^= C_CLK_6321 ^= C_CLK_6325 ^= C_CLK_6327 ^= C_CLK_6335 ^= 
         C_CLK_6343 ^= C_CLK_6351 ^= C_CLK_6359 ^= C_CLK_6363 ^= C_CLK_6365 ^= C_CLK_6367 ^= C_CLK_6369 ^= C_CLK_6371 ^= C_CLK_6373
       | (| (| RAZSLIDER(1 when C_STOP1) |) |)
       | (| (| RAZSLIDER(2 when C_STOP2) |) |)
       | (| (| RAZSLIDER(3 when C_STOP1_2974) |) |)
       | (| (| RAZSLIDER(4 when C_STOP2_2971) |) |)
       | (| when C_HV12 ^= HV11 ^= HV12 ^= HLW1 ^= HNW1 ^= HV21 ^= HV22 ^= HLW2 ^= HNW2 ^= HREPARER1 ^= HPANNE1 ^= HDEFAILLANCE1 ^= HREPARER2 ^= HPANNE2 ^= HDEFAILLANCE2 ^= C_CLK_4438 ^= C_CLK_4441 ^= C_CLK_4445 ^= C_CLK_4448 ^= C_CLK_5475 ^= C_CLK_5479
          | ACT_C_HV12{}
          |)
       | (| when C_X3 ^= ZACTIF ^= ZACTIF_710 ^= ZACTIF_873 ^= ZACTIF_1035 ^= ZACTIF_1196 ^= X1 ^= XX1 ^= C_XW0 ^= C_XW0_19335 ^= C_XW0_19361 ^= C_XW0_19387 ^= C_XW0_19413
          | ACT_C_X3{}
          |)
       | (| when C_NWAG ^= L ^= LWAG1
          | ACT_C_NWAG{}
          |)
       | (| when C_X3_19140 ^= ZACTIF_588 ^= ZACTIF_754 ^= ZACTIF_916 ^= ZACTIF_1078 ^= ZACTIF_1239 ^= X2 ^= XX2 ^= C_XW0_19322 ^= C_XW0_19348 ^= C_XW0_19374 ^= C_XW0_19400 ^= C_XW0_19426
          | ACT_C_X3_19140{}
          |)
       | (| when C_NWAG_19143 ^= L_1447 ^= LWAG2
          | ACT_C_NWAG_19143{}
          |)
       | (| when C_X3_19146 ^= ZACTIF_2179 ^= ZACTIF_2344 ^= ZACTIF_2505 ^= ZACTIF_2665 ^= ZACTIF_2825 ^= X_2975 ^= XX_2976 ^= C_XW0_19439 ^= C_XW0_19465 ^= C_XW0_19491 ^= C_XW0_19517 ^= C_XW0_19543
          | ACT_C_X3_19146{}
          |)
       | (| when C_NWAG_19149 ^= L_3008 ^= LWAG_3158
          | ACT_C_NWAG_19149{}
          |)
       | (| when C_X3_19152 ^= ZACTIF_2225 ^= ZACTIF_2387 ^= ZACTIF_2547 ^= ZACTIF_2707 ^= ZACTIF_2867 ^= X_3040 ^= XX_3041 ^= C_XW0_19452 ^= C_XW0_19478 ^= C_XW0_19504 ^= C_XW0_19530 ^= C_XW0_19556
          | ACT_C_X3_19152{}
          |)
       | (| when C_NWAG_19155 ^= L_3073 ^= LWAG_3235
          | ACT_C_NWAG_19155{}
          |)
       | (| when C_L ^= L_1653
          | (| L_1653 := (LW1 when HLW1) cell C_L init 10.0e0 |)
          |)
       | (| when C_L_19167 ^= L_1576
          | (| L_1576 := (LW1 when HLW1) cell C_L_19167 init 10.0e0 |)
          |)
       | (| when C_N ^= N_1650
          | (| N_1650 := (NW1 when HNW1) cell C_N init 10 |)
          |)
       | (| when C_N_19173 ^= N
          | (| N := (NW1 when HNW1) cell C_N_19173 init 10 |)
          |)
       | (| when C_L_19182 ^= L_3276
          | (| L_3276 := (LW2 when HLW2) cell C_L_19182 init 10.0e0 |)
          |)
       | (| when C_L_19185 ^= L_3200
          | (| L_3200 := (LW2 when HLW2) cell C_L_19185 init 10.0e0 |)
          |)
       | (| when C_N_19188 ^= N_3273
          | (| N_3273 := (NW2 when HNW2) cell C_N_19188 init 10 |)
          |)
       | (| when C_N_19191 ^= N_3197
          | (| N_3197 := (NW2 when HNW2) cell C_N_19191 init 10 |)
          |)
       | (| when C_EFFACE ^= C_L1CO ^= C_B1SD ^= C_COULEUR_19647
          | ACT_C_EFFACE{}
          |)
       | (| when C_EFFACE_19307 ^= C_L2CO ^= C_B2SD ^= C_COULEUR
          | ACT_C_EFFACE_19307{}
          |)
       | (| when C_NXW ^= LGW_1156 ^= NXW_1283 ^= C_T1S10
          | ACT_C_NXW{}
          |)
       | (| when C_XW0_19605 ^= XW0_1157
          | (| XW0_1157 := (XW0_1176 when C_XW0_19413) default (XW0_1219 when C_CLK_5573) |)
          |)
       | (| when C_ZXW ^= ZXW_1285
          | ACT_C_ZXW{}
          |)
       | (| when C_NXW_19611 ^= LGW_995 ^= NXW_1122 ^= C_T1S20
          | ACT_C_NXW_19611{}
          |)
       | (| when C_XW0_19614 ^= XW0_996
          | (| XW0_996 := (XW0_1015 when C_XW0_19387) default (XW0_1058 when C_CLK_5565) |)
          |)
       | (| when C_ZXW_19617 ^= ZXW_1124
          | ACT_C_ZXW_19617{}
          |)
       | (| when C_NXW_19620 ^= LGW_833 ^= NXW_960 ^= C_T1S30
          | ACT_C_NXW_19620{}
          |)
       | (| when C_XW0_19623 ^= XW0_834
          | (| XW0_834 := (XW0_853 when C_XW0_19361) default (XW0_896 when C_CLK_5557) |)
          |)
       | (| when C_ZXW_19626 ^= ZXW_962
          | ACT_C_ZXW_19626{}
          |)
       | (| when C_NXW_19629 ^= LGW_669 ^= NXW_798 ^= C_T1S41
          | ACT_C_NXW_19629{}
          |)
       | (| when C_XW0_19632 ^= XW0_670
          | (| XW0_670 := (XW0_689 when C_XW0_19335) default (XW0_733 when C_CLK_5549) |)
          |)
       | (| when C_ZXW_19635 ^= ZXW_800
          | ACT_C_ZXW_19635{}
          |)
       | (| when C_NXW_19638 ^= LGW ^= NXW ^= C_T1S40
          | ACT_C_NXW_19638{}
          |)
       | (| when C_XW0_19653 ^= XW0
          | (| XW0 := (XW0_3 when C_XW0) default (XW0_6 when C_CLK_5541) |)
          |)
       | (| when C_ZXW_19656 ^= ZXW
          | ACT_C_ZXW_19656{}
          |)
       | (| when C_XW0_19659 ^= XW0_2786
          | (| XW0_2786 := (XW0_2805 when C_XW0_19543) default (XW0_2847 when C_CLK_5617) |)
          |)
       | (| when C_XW0_19662 ^= XW0_2626
          | (| XW0_2626 := (XW0_2645 when C_XW0_19517) default (XW0_2687 when C_CLK_5609) |)
          |)
       | (| when C_XW0_19665 ^= XW0_2466
          | (| XW0_2466 := (XW0_2485 when C_XW0_19491) default (XW0_2527 when C_CLK_5601) |)
          |)
       | (| when C_XW0_19668 ^= XW0_2304
          | (| XW0_2304 := (XW0_2323 when C_XW0_19465) default (XW0_2366 when C_CLK_5595) |)
          |)
       | (| when C_XW0_19671 ^= XW0_2136
          | (| XW0_2136 := (XW0_2155 when C_XW0_19439) default (XW0_2201 when C_CLK_5587) |)
          |)
       | (| when C_NXW_19674 ^= LGW_2135 ^= NXW_2269 ^= C_T2S10
          | ACT_C_NXW_19674{}
          |)
       | (| when C_ZXW_19677 ^= ZXW_2271
          | ACT_C_ZXW_19677{}
          |)
       | (| when C_NXW_19680 ^= LGW_2303 ^= NXW_2431 ^= C_T2S11
          | ACT_C_NXW_19680{}
          |)
       | (| when C_ZXW_19683 ^= ZXW_2433
          | ACT_C_ZXW_19683{}
          |)
       | (| when C_NXW_19686 ^= LGW_2465 ^= NXW_2591 ^= C_T2S20
          | ACT_C_NXW_19686{}
          |)
       | (| when C_ZXW_19689 ^= ZXW_2593
          | ACT_C_ZXW_19689{}
          |)
       | (| when C_NXW_19692 ^= LGW_2625 ^= NXW_2751 ^= C_T2S30
          | ACT_C_NXW_19692{}
          |)
       | (| when C_ZXW_19695 ^= ZXW_2753
          | ACT_C_ZXW_19695{}
          |)
       | (| when C_NXW_19698 ^= LGW_2785 ^= NXW_2911 ^= C_T2S40
          | ACT_C_NXW_19698{}
          |)
       | (| when C_ZXW_19701 ^= ZXW_2913
          | ACT_C_ZXW_19701{}
          |)
       | (| when C_ZN ^= C_CLK_2895 ^= C_CLK_2906
          | ACT_C_ZN{}
          |)
       | (| when C_ZN_19807 ^= C_CLK_3039 ^= C_CLK_3050
          | ACT_C_ZN_19807{}
          |)
       | (| ACT_C_DN{} |)
       | (| when C_DN_19949 ^= C_COULEUR_20258
          | ACT_C_DN_19949{}
          |)
       | (| when C_ZN_19955 ^= C_CLK_3142 ^= C_CLK_3156
          | ACT_C_ZN_19955{}
          |)
       | (| ACT_C_DN_19964{} |)
       | (| ACT_C_DN_19982{} |)
       | (| when C_ZN_19988 ^= C_CLK_2651 ^= C_CLK_2665
          | ACT_C_ZN_19988{}
          |)
       | (| when C_DN_19994 ^= C_COULEUR_20249
          | ACT_C_DN_19994{}
          |)
       | (| ACT_C_DN_20000{} |)
       | (| when C_TSTABLE ^= TSTABLE_6036
          | (| TSTABLE_6036 := (true when C_L2CH) default (false when C_CLK_6357) |)
          |)
       | (| when C_TSTABLE_20143 ^= TSTABLE
          | (| TSTABLE := (true when C_L1CH) default (false when C_CLK_6341) |)
          |)
       | (| when C_ZPASSANT ^= ZPASSANT_5672
          | ACT_C_ZPASSANT{}
          |)
       | (| when C_ZPASSANT_20270 ^= ZPASSANT_5448
          | ACT_C_ZPASSANT_20270{}
          |)
       | (| when C_ZPASSANT_20279 ^= ZPASSANT
          | ACT_C_ZPASSANT_20279{}
          |)
       | (| when C_ZPASSANT_20282 ^= ZPASSANT_5019
          | ACT_C_ZPASSANT_20282{}
          |)
       | (| when C_ ^= C_N0_20461 ^= C_CLK_3244 ^= C_CLK_3253
          | ACT_C_{}
          |)
       | (| when C_ZN_20403 ^= N_5573
          | ACT_C_ZN_20403{}
          |)
       | (| when C__20406 ^= C_N0 ^= C_CLK_2753 ^= C_CLK_2762
          | ACT_C__20406{}
          |)
       | (| when C_ZN_20415 ^= N_4905
          | ACT_C_ZN_20415{}
          |)
       | (| when C_ZN_20486 ^= C_CLK_3223 ^= C_CLK_3237 ^= C_CLK_3247
          | ACT_C_ZN_20486{}
          |)
       | (| when C_ZN_20489 ^= C_CLK_2732 ^= C_CLK_2746 ^= C_CLK_2756
          | ACT_C_ZN_20489{}
          |)
       | (| when C_ZN_20573 ^= C_OUVRIR
          | ACT_C_ZN_20573{}
          |)
       | (| when C_ZPASSANT_20621 ^= ZPASSANT_5782
          | ACT_C_ZPASSANT_20621{}
          |)
       | (| when C_ZN_20631 ^= C_CLK_3003 ^= C_CLK_3014
          | ACT_C_ZN_20631{}
          |)
       | (| when C_ZN_20637 ^= C_CLK_2859 ^= C_CLK_2870
          | ACT_C_ZN_20637{}
          |)
       | (| when C_ZN_20702 ^= C_CLK_3072 ^= C_CLK_3083
          | ACT_C_ZN_20702{}
          |)
       | (| when C_ZN_20705 ^= C_CLK_2928 ^= C_CLK_2939
          | ACT_C_ZN_20705{}
          |)
       | (| when C_ZACTIF ^= ACTIF_6037
          | ACT_C_ZACTIF{}
          |)
       | (| ACT_C_COULEUR_20723{} |)
       | (| when C_ZACTIF_20729 ^= ACTIF_5884
          | ACT_C_ZACTIF_20729{}
          |)
       | (| ACT_C_COULEUR_20735{} |)
       | (| ACT_C_COULEUR_20859{} |)
       | (| ACT_C_COULEUR_20889{} |)
       | (| when C_ZTCLIGNO ^= TCLIGNO_6040
          | ACT_C_ZTCLIGNO{}
          |)
       | (| when C_ZTCLIGNO_20919 ^= TCLIGNO
          | ACT_C_ZTCLIGNO_20919{}
          |)
       | (| ACT_C_COULEUR_20922{} |)
       | (| ACT_C_COULEUR_20925{} |)
       | (| ZXX2 := Z_1733$1 init XT1
          | ZXX1 := Z_1719$1 init XT1
          | ZX2 := Z_1705$1 init XT1
          | ZX1 := Z_1691$1 init XT1
          | VITESSE := (0.0e0 when C_STOP1) default (V11 when C_CLK_5487) default (ZVITESSE when C_CLK_5451)
          | ZVITESSE := VITESSE$1 init 0.0e0
          | VITESSE_1651 := (0.0e0 when C_STOP2) default (V12 when C_CLK_5485) default (ZVITESSE_1652 when C_CLK_5453)
          | ZVITESSE_1652 := VITESSE_1651$1 init 0.0e0
          | Z_1691 := (X1 when C_X3) default (ZX1 when C_CLK_5455)
          | Z_1705 := (X2 when C_X3_19140) default (ZX2 when C_CLK_5457)
          | Z_1719 := (XX1 when C_X3) default (ZXX1 when C_CLK_5455)
          | Z_1733 := (XX2 when C_X3_19140) default (ZXX2 when C_CLK_5457)
          | ZXX2_3152 := Z_3356$1 init XT1
          | ZXX1_3153 := Z_3342$1 init XT1
          | ZX2_3154 := Z_3328$1 init XT1
          | ZX1_3155 := Z_3314$1 init XT1
          | VITESSE_3198 := (0.0e0 when C_STOP1_2974) default (V21 when C_CLK_5483) default (ZVITESSE_3199 when C_CLK_5459)
          | ZVITESSE_3199 := VITESSE_3198$1 init 0.0e0
          | VITESSE_3274 := (0.0e0 when C_STOP2_2971) default (V22 when C_CLK_5481) default (ZVITESSE_3275 when C_CLK_5461)
          | ZVITESSE_3275 := VITESSE_3274$1 init 0.0e0
          | Z_3314 := (X_2975 when C_X3_19146) default (ZX1_3155 when C_CLK_5463)
          | Z_3328 := (X_3040 when C_X3_19152) default (ZX2_3154 when C_CLK_5465)
          | Z_3342 := (XX_2976 when C_X3_19146) default (ZXX1_3153 when C_CLK_5463)
          | Z_3356 := (XX_3041 when C_X3_19152) default (ZXX2_3152 when C_CLK_5465)
          | XZX := (1 when POS_THEORIQUE) default ((-1) when (not POS_THEORIQUE))
          | ZACTIF_1 := ACTIF_3793$1 init false
          | ACTIF_3793 := (true when HPANNE2) default (false when C_CLK_5475) default (ZACTIF_1 when C_CLK_5449)
          | POS_THEORIQUE := ACTIF_3828$1 init true
          | ACTIF_3828 := (true when C_B2CU) default (false when C_CLK_6283) default (POS_THEORIQUE when C_CLK_6365)
          | ZACTIF_2 := ACTIF_3862$1 init false
          | ACTIF_3862 := (true when HDEFAILLANCE2) default (false when C_CLK_6273) default (ZACTIF_2 when C_CLK_6363)
          | MOUVEMENT := ACTIF_3896$1 init false
          | ACTIF_3896 := (true when C_DEB_MV) default (false when C_CLK_6287) default (MOUVEMENT when C_CLK_6367)
          | XZX_3997 := (1 when ZACTIF_4119) default ((-1) when (not ZACTIF_4119))
          | ZACTIF_4085 := ACTIF_4086$1 init false
          | ACTIF_4086 := (true when HPANNE1) default (false when C_CLK_5479) default (ZACTIF_4085 when C_CLK_5473)
          | ZACTIF_4119 := ACTIF_4120$1 init true
          | ACTIF_4120 := (true when C_B1CU) default (false when C_CLK_6269) default (ZACTIF_4119 when C_CLK_6369)
          | ZACTIF_4152 := ACTIF_4154$1 init false
          | ACTIF_4154 := (true when HDEFAILLANCE1) default (false when C_CLK_6259) default (ZACTIF_4152 when C_CLK_6373)
          | ZACTIF_4185 := ACTIF_4188$1 init false
          | ACTIF_4188 := (true when C_DEB_MV_4078) default (false when C_CLK_6289) default (ZACTIF_4185 when C_CLK_6371)
          | ACTIF_4874 := (true when C_SORTIE_1) default (false when C_CLK_5443) default (ZACTIF_4875 when C_CLK_5467)
          | ZACTIF_4875 := ACTIF_4874$1 init false
          | ACTIF_5542 := (true when C_SORTIE_1_5431) default (false when C_CLK_5493) default (ZACTIF_5543 when C_CLK_5469)
          | ZACTIF_5543 := ACTIF_5542$1 init false
          | N_7023 := (100 when C_HMOD100) default ((ZN_7024-1) when (not C_HMOD100))
          | ZN_7024 := N_7023$1 init 1
          | N_7045 := (40 when C_HV12) default ((ZN_7046-1) when (not C_HV12))
          | ZN_7046 := N_7045$1 init 1
          | C_STOP1 := ZXX1>XT5
          | C_CLK_825 := (VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2))
          | C_CLK_833 := ZXX1<=XT1
          | C_STOP2 := ZXX2>XT5
          | C_CLK_888 := (VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1))
          | C_CLK_896 := ZXX2<=XT1
          | C_STOP1_2974 := ZXX1_3153>XT5
          | C_CLK_1777 := (VITESSE_3198>0.0e0) and ((ZX1_3155>=ZX2_3154) or ((ZX1_3155+DMIN)<ZXX2_3152))
          | C_CLK_1785 := ZXX1_3153<=XT1
          | C_STOP2_2971 := ZXX2_3152>XT5
          | C_CLK_1840 := (VITESSE_3274>0.0e0) and ((ZX2_3154>=ZX1_3155) or ((ZX2_3154+DMIN)<ZXX1_3153))
          | C_CLK_1848 := ZXX2_3152<=XT1
          | C_CLK_2157 := ZACTIF_1 or ZACTIF_2
          | C_CLK_2333 := ZACTIF_4085 or ZACTIF_4152
          | C_HMOD100 := ZN_7024=1
          | C_HV12 := ZN_7046=1
          | HV11_19050 := left_tt ( HV11,C_HV12 )
          | HV12_19056 := left_tt ( HV12,C_HV12 )
          | HLW1_19062 := left_tt ( HLW1,C_HV12 )
          | HNW1_19068 := left_tt ( HNW1,C_HV12 )
          | HV21_19074 := left_tt ( HV21,C_HV12 )
          | HV22_19080 := left_tt ( HV22,C_HV12 )
          | HLW2_19086 := left_tt ( HLW2,C_HV12 )
          | HNW2_19092 := left_tt ( HNW2,C_HV12 )
          | HREPARER1_19098 := left_tt ( HREPARER1,C_HV12 )
          | HPANNE1_19104 := left_tt ( HPANNE1,C_HV12 )
          | HDEFAILLANCE1_19110 := left_tt ( HDEFAILLANCE1,C_HV12 )
          | HREPARER2_19116 := left_tt ( HREPARER2,C_HV12 )
          | HPANNE2_19122 := left_tt ( HPANNE2,C_HV12 )
          | HDEFAILLANCE2_19128 := left_tt ( HDEFAILLANCE2,C_HV12 )
          | C_X3 := C_STOP1 or C_CLK_825
          | C_NWAG := C_CLK_833 and C_X3
          | C_X3_19140 := C_STOP2 or C_CLK_888
          | C_NWAG_19143 := C_CLK_896 and C_X3_19140
          | C_X3_19146 := C_STOP1_2974 or C_CLK_1777
          | C_NWAG_19149 := C_X3_19146 and C_CLK_1785
          | C_X3_19152 := C_STOP2_2971 or C_CLK_1840
          | C_NWAG_19155 := C_CLK_1848 and C_X3_19152
          | C_CLK_4368 := C_STOP1 or HV11_19050
          | C_CLK_4374 := C_STOP2 or HV12_19056
          | C_L := C_NWAG_19143 or HLW1_19062
          | C_L_19167 := C_NWAG or HLW1_19062
          | C_N := C_NWAG_19143 or HNW1_19068
          | C_N_19173 := C_NWAG or HNW1_19068
          | C_CLK_4404 := C_STOP1_2974 or HV21_19074
          | C_CLK_4406 := C_STOP2_2971 or HV22_19080
          | C_L_19182 := C_NWAG_19155 or HLW2_19086
          | C_L_19185 := C_NWAG_19149 or HLW2_19086
          | C_N_19188 := C_NWAG_19155 or HNW2_19092
          | C_N_19191 := C_NWAG_19149 or HNW2_19092
          | C_CLK_4438_19197 := left_tt ( C_CLK_4438,C_HV12 )
          | C_CLK_4441_19203 := left_tt ( C_CLK_4441,C_HV12 )
          | C_CLK_4445_19209 := left_tt ( C_CLK_4445,C_HV12 )
          | C_CLK_4448_19215 := left_tt ( C_CLK_4448,C_HV12 )
          | C_CLK_5449 := not C_CLK_4445_19209
          | C_CLK_5451 := not C_CLK_4368
          | C_CLK_5453 := not C_CLK_4374
          | C_CLK_5455 := not C_X3
          | C_CLK_5457 := not C_X3_19140
          | C_CLK_5459 := not C_CLK_4404
          | C_CLK_5461 := not C_CLK_4406
          | C_CLK_5463 := not C_X3_19146
          | C_CLK_5465 := not C_X3_19152
          | C_CLK_5473 := not C_CLK_4438_19197
          | C_CLK_5475_19251 := left_tt ( C_CLK_5475,C_HV12 )
          | C_CLK_5479_19257 := left_tt ( C_CLK_5479,C_HV12 )
          | C_CLK_5481 := (not C_STOP2_2971) and HV22_19080
          | C_CLK_5483 := (not C_STOP1_2974) and HV21_19074
          | C_CLK_5485 := (not C_STOP2) and HV12_19056
          | C_CLK_5487 := (not C_STOP1) and HV11_19050
          | C_CLK_5579 := (not C_NWAG) and C_X3
          | C_CLK_5581 := (not C_STOP1) and C_CLK_825
          | C_CLK_5583 := (not C_NWAG_19143) and C_X3_19140
          | C_CLK_5585 := (not C_STOP2) and C_CLK_888
          | C_CLK_5623 := (not C_NWAG_19149) and C_X3_19146
          | C_CLK_5625 := (not C_STOP1_2974) and C_CLK_1777
          | C_CLK_5627 := (not C_NWAG_19155) and C_X3_19152
          | C_CLK_5629 := (not C_STOP2_2971) and C_CLK_1840
          | C_EFFACE := ZACTIF_4185 and C_HV12
          | C_EFFACE_19307 := MOUVEMENT and C_HV12
          | C_XW0_19312 := left_tt ( C_XW0,C_X3 )
          | ZACTIF_19318 := left_tt ( ZACTIF,C_X3 )
          | C_XW0_19325 := left_tt ( C_XW0_19322,C_X3_19140 )
          | ZACTIF_19331 := left_tt ( ZACTIF_588,C_X3_19140 )
          | C_XW0_19338 := left_tt ( C_XW0_19335,C_X3 )
          | ZACTIF_19344 := left_tt ( ZACTIF_710,C_X3 )
          | C_XW0_19351 := left_tt ( C_XW0_19348,C_X3_19140 )
          | ZACTIF_19357 := left_tt ( ZACTIF_754,C_X3_19140 )
          | C_XW0_19364 := left_tt ( C_XW0_19361,C_X3 )
          | ZACTIF_19370 := left_tt ( ZACTIF_873,C_X3 )
          | C_XW0_19377 := left_tt ( C_XW0_19374,C_X3_19140 )
          | ZACTIF_19383 := left_tt ( ZACTIF_916,C_X3_19140 )
          | C_XW0_19390 := left_tt ( C_XW0_19387,C_X3 )
          | ZACTIF_19396 := left_tt ( ZACTIF_1035,C_X3 )
          | C_XW0_19403 := left_tt ( C_XW0_19400,C_X3_19140 )
          | ZACTIF_19409 := left_tt ( ZACTIF_1078,C_X3_19140 )
          | C_XW0_19416 := left_tt ( C_XW0_19413,C_X3 )
          | ZACTIF_19422 := left_tt ( ZACTIF_1196,C_X3 )
          | C_XW0_19429 := left_tt ( C_XW0_19426,C_X3_19140 )
          | ZACTIF_19435 := left_tt ( ZACTIF_1239,C_X3_19140 )
          | C_XW0_19442 := left_tt ( C_XW0_19439,C_X3_19146 )
          | ZACTIF_19448 := left_tt ( ZACTIF_2179,C_X3_19146 )
          | C_XW0_19455 := left_tt ( C_XW0_19452,C_X3_19152 )
          | ZACTIF_19461 := left_tt ( ZACTIF_2225,C_X3_19152 )
          | C_XW0_19468 := left_tt ( C_XW0_19465,C_X3_19146 )
          | ZACTIF_19474 := left_tt ( ZACTIF_2344,C_X3_19146 )
          | C_XW0_19481 := left_tt ( C_XW0_19478,C_X3_19152 )
          | ZACTIF_19487 := left_tt ( ZACTIF_2387,C_X3_19152 )
          | C_XW0_19494 := left_tt ( C_XW0_19491,C_X3_19146 )
          | ZACTIF_19500 := left_tt ( ZACTIF_2505,C_X3_19146 )
          | C_XW0_19507 := left_tt ( C_XW0_19504,C_X3_19152 )
          | ZACTIF_19513 := left_tt ( ZACTIF_2547,C_X3_19152 )
          | C_XW0_19520 := left_tt ( C_XW0_19517,C_X3_19146 )
          | ZACTIF_19526 := left_tt ( ZACTIF_2665,C_X3_19146 )
          | C_XW0_19533 := left_tt ( C_XW0_19530,C_X3_19152 )
          | ZACTIF_19539 := left_tt ( ZACTIF_2707,C_X3_19152 )
          | C_XW0_19546 := left_tt ( C_XW0_19543,C_X3_19146 )
          | ZACTIF_19552 := left_tt ( ZACTIF_2825,C_X3_19146 )
          | C_XW0_19559 := left_tt ( C_XW0_19556,C_X3_19152 )
          | ZACTIF_19565 := left_tt ( ZACTIF_2867,C_X3_19152 )
          | C_L2CO_19572 := left_tt ( C_L2CO,C_EFFACE_19307 )
          | C_B2SD_19580 := left_tt ( C_B2SD,C_EFFACE_19307 )
          | C_L1CO_19588 := left_tt ( C_L1CO,C_EFFACE )
          | C_B1SD_19596 := left_tt ( C_B1SD,C_EFFACE )
          | C_NXW := ZACTIF_19422 or ZACTIF_19435
          | C_XW0_19605 := C_XW0_19416 or C_XW0_19429
          | C_ZXW := C_NXW or C_XW0_19605
          | C_NXW_19611 := ZACTIF_19396 or ZACTIF_19409
          | C_XW0_19614 := C_XW0_19390 or C_XW0_19403
          | C_ZXW_19617 := C_NXW_19611 or C_XW0_19614
          | C_NXW_19620 := ZACTIF_19370 or ZACTIF_19383
          | C_XW0_19623 := C_XW0_19364 or C_XW0_19377
          | C_ZXW_19626 := C_NXW_19620 or C_XW0_19623
          | C_NXW_19629 := ZACTIF_19344 or ZACTIF_19357
          | C_XW0_19632 := C_XW0_19338 or C_XW0_19351
          | C_ZXW_19635 := C_NXW_19629 or C_XW0_19632
          | C_NXW_19638 := ZACTIF_19318 or ZACTIF_19331
          | C_COULEUR_19644 := left_tt ( C_COULEUR,C_EFFACE_19307 )
          | C_COULEUR_19650 := left_tt ( C_COULEUR_19647,C_EFFACE )
          | C_XW0_19653 := C_XW0_19312 or C_XW0_19325
          | C_ZXW_19656 := C_NXW_19638 or C_XW0_19653
          | C_XW0_19659 := C_XW0_19546 or C_XW0_19559
          | C_XW0_19662 := C_XW0_19520 or C_XW0_19533
          | C_XW0_19665 := C_XW0_19494 or C_XW0_19507
          | C_XW0_19668 := C_XW0_19468 or C_XW0_19481
          | C_XW0_19671 := C_XW0_19442 or C_XW0_19455
          | C_NXW_19674 := ZACTIF_19448 or ZACTIF_19461
          | C_ZXW_19677 := C_NXW_19674 or C_XW0_19671
          | C_NXW_19680 := ZACTIF_19474 or ZACTIF_19487
          | C_ZXW_19683 := C_NXW_19680 or C_XW0_19668
          | C_NXW_19686 := ZACTIF_19500 or ZACTIF_19513
          | C_ZXW_19689 := C_NXW_19686 or C_XW0_19665
          | C_NXW_19692 := ZACTIF_19526 or ZACTIF_19539
          | C_ZXW_19695 := C_NXW_19692 or C_XW0_19662
          | C_NXW_19698 := ZACTIF_19552 or ZACTIF_19565
          | C_ZXW_19701 := C_NXW_19698 or C_XW0_19659
          | C_CLK_5503 := (not ZACTIF_19552) and ZACTIF_19565
          | C_CLK_5507 := (not ZACTIF_19526) and ZACTIF_19539
          | C_CLK_5511 := (not ZACTIF_19500) and ZACTIF_19513
          | C_CLK_5515 := (not ZACTIF_19474) and ZACTIF_19487
          | C_CLK_5519 := (not ZACTIF_19448) and ZACTIF_19461
          | C_CLK_5523 := (not ZACTIF_19422) and ZACTIF_19435
          | C_CLK_5527 := (not ZACTIF_19396) and ZACTIF_19409
          | C_CLK_5531 := (not ZACTIF_19370) and ZACTIF_19383
          | C_CLK_5535 := (not ZACTIF_19344) and ZACTIF_19357
          | C_CLK_5539 := (not ZACTIF_19318) and ZACTIF_19331
          | C_CLK_5541 := (not C_XW0_19312) and C_XW0_19325
          | C_CLK_5549 := (not C_XW0_19338) and C_XW0_19351
          | C_CLK_5557 := (not C_XW0_19364) and C_XW0_19377
          | C_CLK_5565 := (not C_XW0_19390) and C_XW0_19403
          | C_CLK_5573 := (not C_XW0_19416) and C_XW0_19429
          | C_CLK_5587 := (not C_XW0_19442) and C_XW0_19455
          | C_CLK_5595 := (not C_XW0_19468) and C_XW0_19481
          | C_CLK_5601 := (not C_XW0_19494) and C_XW0_19507
          | C_CLK_5609 := (not C_XW0_19520) and C_XW0_19533
          | C_CLK_5617 := (not C_XW0_19546) and C_XW0_19559
          | C_CLK_5865 := C_L2CO_19572 or C_CLK_4448_19215
          | C_CLK_5867 := C_L1CO_19588 or C_CLK_4441_19203
          | C_ZN := C_HMOD100 or C_B1SD_19596
          | C_ZN_19807 := C_HMOD100 or C_B2SD_19580
          | C_FIN_MV_4077 := C_CLK_5867 or C_B1SD_19596
          | C_FIN_MV := C_CLK_5865 or C_B2SD_19580
          | C_T1S40_19818 := left_tt ( C_T1S40,C_NXW_19638 )
          | C_T1S41_19826 := left_tt ( C_T1S41,C_NXW_19629 )
          | C_T1S30_19834 := left_tt ( C_T1S30,C_NXW_19620 )
          | C_T1S20_19842 := left_tt ( C_T1S20,C_NXW_19611 )
          | C_T1S10_19850 := left_tt ( C_T1S10,C_NXW )
          | C_T2S10_19858 := left_tt ( C_T2S10,C_NXW_19674 )
          | C_T2S11_19866 := left_tt ( C_T2S11,C_NXW_19680 )
          | C_T2S20_19874 := left_tt ( C_T2S20,C_NXW_19686 )
          | C_T2S30_19882 := left_tt ( C_T2S30,C_NXW_19692 )
          | C_T2S40_19890 := left_tt ( C_T2S40,C_NXW_19698 )
          | C_CLK_2895_19898 := left_tt ( C_CLK_2895,C_ZN )
          | C_CLK_2906_19906 := left_tt ( C_CLK_2906,C_ZN )
          | C_CLK_3039_19914 := left_tt ( C_CLK_3039,C_ZN_19807 )
          | C_CLK_3050_19922 := left_tt ( C_CLK_3050,C_ZN_19807 )
          | C_CLK_4471 := C_XW0_19605 or C_T1S10_19850
          | C_DN := C_T1S20_19842 or C_T1S10_19850
          | C_CLK_4493 := C_T1S20_19842 and C_T1S10_19850
          | C_CLK_4507 := C_XW0_19614 or C_T1S20_19842
          | C_CLK_4529 := C_T1S30_19834 and C_T1S20_19842
          | C_DN_19949 := C_T1S30_19834 or C_T1S20_19842
          | C_CLK_4549 := C_XW0_19623 or C_T1S30_19834
          | C_ZN_19955 := C_HMOD100 or C_T1S41_19826
          | C_CLK_4599 := C_XW0_19632 or C_T1S41_19826
          | C_CLK_4623 := C_T1S40_19818 and C_T1S30_19834
          | C_DN_19964 := C_T1S40_19818 or C_T1S30_19834
          | C_CLK_4675 := C_XW0_19653 or C_T1S40_19818
          | C_CLK_5261 := C_T2S10_19858 and C_T2S20_19874
          | C_CLK_5263 := C_T2S20_19874 and C_T2S30_19882
          | C_CLK_5265 := C_T2S30_19882 and C_T2S40_19890
          | C_CLK_5267 := C_XW0_19671 or C_T2S10_19858
          | C_DN_19982 := C_T2S10_19858 or C_T2S20_19874
          | C_CLK_5271 := C_XW0_19668 or C_T2S11_19866
          | C_ZN_19988 := C_HMOD100 or C_T2S11_19866
          | C_CLK_5275 := C_XW0_19665 or C_T2S20_19874
          | C_DN_19994 := C_T2S20_19874 or C_T2S30_19882
          | C_CLK_5279 := C_XW0_19662 or C_T2S30_19882
          | C_DN_20000 := C_T2S30_19882 or C_T2S40_19890
          | C_CLK_5283 := C_XW0_19659 or C_T2S40_19890
          | C_CLK_5501 := (not C_CLK_5283) and C_NXW_19698
          | C_CLK_5505 := (not C_CLK_5279) and C_NXW_19692
          | C_CLK_5509 := (not C_CLK_5275) and C_NXW_19686
          | C_CLK_5513 := (not C_CLK_5271) and C_NXW_19680
          | C_CLK_5517 := (not C_CLK_5267) and C_NXW_19674
          | C_CLK_5521 := (not C_CLK_4471) and C_NXW
          | C_CLK_5525 := (not C_CLK_4507) and C_NXW_19611
          | C_CLK_5529 := (not C_CLK_4549) and C_NXW_19620
          | C_CLK_5533 := (not C_CLK_4599) and C_NXW_19629
          | C_CLK_5537 := (not C_CLK_4675) and C_NXW_19638
          | C_CLK_5543 := (not C_XW0_19653) and C_T1S40_19818
          | C_CLK_5547 := (not C_CLK_4623) and C_T1S40_19818
          | C_CLK_5553 := (not C_XW0_19632) and C_T1S41_19826
          | C_CLK_5559 := (not C_XW0_19623) and C_T1S30_19834
          | C_CLK_5561 := (not C_CLK_4529) and C_T1S30_19834
          | C_CLK_5563 := (not C_T1S40_19818) and C_T1S30_19834
          | C_CLK_5567 := (not C_XW0_19614) and C_T1S20_19842
          | C_CLK_5569 := (not C_CLK_4493) and C_T1S20_19842
          | C_CLK_5571 := (not C_T1S30_19834) and C_T1S20_19842
          | C_CLK_5575 := (not C_XW0_19605) and C_T1S10_19850
          | C_CLK_5577 := (not C_T1S20_19842) and C_T1S10_19850
          | C_CLK_5591 := (not C_CLK_5261) and C_T2S10_19858
          | C_CLK_5593 := (not C_XW0_19671) and C_T2S10_19858
          | C_CLK_5599 := (not C_XW0_19668) and C_T2S11_19866
          | C_CLK_5603 := (not C_CLK_5263) and C_T2S20_19874
          | C_CLK_5605 := (not C_T2S10_19858) and C_T2S20_19874
          | C_CLK_5607 := (not C_XW0_19665) and C_T2S20_19874
          | C_CLK_5611 := (not C_CLK_5265) and C_T2S30_19882
          | C_CLK_5613 := (not C_T2S20_19874) and C_T2S30_19882
          | C_CLK_5615 := (not C_XW0_19662) and C_T2S30_19882
          | C_CLK_5619 := (not C_T2S30_19882) and C_T2S40_19890
          | C_CLK_5621 := (not C_XW0_19659) and C_T2S40_19890
          | C_L1CH := C_HMOD100 and C_CLK_2906_19906
          | C_L2CH := C_HMOD100 and C_CLK_3050_19922
          | C_TSTABLE := C_L2CH or C_L2CO_19572
          | C_TSTABLE_20143 := C_L1CH or C_L1CO_19588
          | C_CLK_6341 := (not C_L1CH) and C_L1CO_19588
          | C_CLK_6357 := (not C_L2CH) and C_L2CO_19572
          | C_CLK_2651_20216 := left_tt ( C_CLK_2651,C_ZN_19988 )
          | C_CLK_2665_20224 := left_tt ( C_CLK_2665,C_ZN_19988 )
          | C_CLK_3142_20232 := left_tt ( C_CLK_3142,C_ZN_19955 )
          | C_CLK_3156_20240 := left_tt ( C_CLK_3156,C_ZN_19955 )
          | C_CLK_4574 := C_T1S41_19826 or C_CLK_3142_20232
          | C_TOP_5430 := C_HMOD100 and C_CLK_3156_20240
          | C_ZPASSANT := C_TOP_5430 or C_T1S41_19826
          | C_ZPASSANT_20270 := C_TOP_5430 or C_T1S40_19818
          | C_TOP := C_HMOD100 and C_CLK_2665_20224
          | C_ZPASSANT_20279 := C_TOP or C_T2S10_19858
          | C_ZPASSANT_20282 := C_TOP or C_T2S11_19866
          | C_CLK_5338 := C_T2S11_19866 or C_CLK_2651_20216
          | C_CLK_5445 := (not C_CLK_5338) and C_ZN_19988
          | C_CLK_5545 := (not C_TOP_5430) and C_T1S40_19818
          | C_CLK_5551 := (not C_CLK_4574) and C_ZN_19955
          | C_CLK_5555 := (not C_TOP_5430) and C_T1S41_19826
          | C_CLK_5589 := (not C_TOP) and C_T2S10_19858
          | C_CLK_5597 := (not C_TOP) and C_T2S11_19866
          | C_CLK_5655 := (not C_T2S11_19866) and C_CLK_2651_20216
          | C_CLK_5661 := (not C_T1S41_19826) and C_CLK_3142_20232
          | ZPASSANT_20342 := left_tt ( ZPASSANT,C_ZPASSANT_20279 )
          | ZPASSANT_20348 := left_tt ( ZPASSANT_5019,C_ZPASSANT_20282 )
          | C_MONTER_1_20359 := left_tt ( C_MONTER_1,C_DN_19994 )
          | ZPASSANT_20362 := left_tt ( ZPASSANT_5448,C_ZPASSANT_20270 )
          | ZPASSANT_20368 := left_tt ( ZPASSANT_5672,C_ZPASSANT )
          | C_MONTER_4_20379 := left_tt ( C_MONTER_4,C_DN_19949 )
          | C_ := C_T1S41_19826 and ZPASSANT_20368
          | C_SORTIE_1_5431 := C_T1S40_19818 and ZPASSANT_20362
          | C_CLK_4651 := C_SORTIE_1_5431 or C_
          | C_ZN_20403 := ACTIF_5542 or C_CLK_4651
          | C__20406 := C_T2S11_19866 and ZPASSANT_20348
          | C_SORTIE_1 := C_T2S10_19858 and ZPASSANT_20342
          | C_CLK_5323 := C__20406 or C_SORTIE_1
          | C_ZN_20415 := ACTIF_4874 or C_CLK_5323
          | C_CLK_5439 := (not C_SORTIE_1) and C_ZN_20415
          | C_CLK_5443 := (not C_SORTIE_1) and C__20406
          | C_CLK_5467 := not C_CLK_5323
          | C_CLK_5469 := not C_CLK_4651
          | C_CLK_5491 := (not C_SORTIE_1_5431) and C_ZN_20403
          | C_CLK_5493 := (not C_SORTIE_1_5431) and C_
          | C_N0_20440 := left_tt ( C_N0,C__20406 )
          | C_CLK_2753_20448 := left_tt ( C_CLK_2753,C__20406 )
          | C_CLK_2762_20456 := left_tt ( C_CLK_2762,C__20406 )
          | C_N0_20464 := left_tt ( C_N0_20461,C_ )
          | C_CLK_3244_20472 := left_tt ( C_CLK_3244,C_ )
          | C_CLK_3253_20480 := left_tt ( C_CLK_3253,C_ )
          | C_ZN_20486 := C_HMOD100 or C_N0_20464
          | C_ZN_20489 := C_HMOD100 or C_N0_20440
          | C_CLK_2732_20494 := left_tt ( C_CLK_2732,C_ZN_20489 )
          | C_CLK_2746_20502 := left_tt ( C_CLK_2746,C_ZN_20489 )
          | C_CLK_2756_20510 := left_tt ( C_CLK_2756,C_ZN_20489 )
          | C_CLK_3223_20518 := left_tt ( C_CLK_3223,C_ZN_20486 )
          | C_CLK_3237_20526 := left_tt ( C_CLK_3237,C_ZN_20486 )
          | C_CLK_3247_20534 := left_tt ( C_CLK_3247,C_ZN_20486 )
          | C_T_5 := C_CLK_3244_20472 or C_CLK_3247_20534
          | C_TOP_5589 := C_HMOD100 and C_CLK_3237_20526
          | C_DESCENDRE_6 := C_TOP_5589 or C_CLK_3253_20480
          | C_CLK_4728 := C_N0_20464 or C_CLK_3223_20518
          | C_TOP_4921 := C_HMOD100 and C_CLK_2746_20502
          | C_DESCENDRE_3 := C_TOP_4921 or C_CLK_2762_20456
          | C_F := C_DESCENDRE_3 or C_DESCENDRE_6
          | C_CLK_5373 := C_N0_20440 or C_CLK_2732_20494
          | C_T_2 := C_CLK_2753_20448 or C_CLK_2756_20510
          | C_CLK_5381 := C_T_2 or C_T_5
          | C_CLK_5384 := C_CLK_5381 or C_MONTER_4_20379
          | C_ZN_20573 := C_CLK_5384 or C_MONTER_1_20359
          | C_CLK_5421 := (not C_T_5) and C_ZN_20573
          | C_CLK_5423 := (not C_T_2) and C_ZN_20573
          | C_CLK_5425 := (not C_MONTER_4_20379) and C_ZN_20573
          | C_CLK_5427 := (not C_MONTER_1_20359) and C_ZN_20573
          | C_CLK_5437 := (not C_CLK_5373) and C_ZN_20489
          | C_CLK_5657 := (not C_N0_20440) and C_CLK_2732_20494
          | C_CLK_5663 := (not C_CLK_4728) and C_ZN_20486
          | C_CLK_5665 := (not C_N0_20464) and C_CLK_3223_20518
          | C_OUVRIR_20610 := left_tt ( C_OUVRIR,C_ZN_20573 )
          | C_ZPASSANT_20621 := C_F or C_OUVRIR_20610
          | C_CLK_5431 := (not C_OUVRIR_20610) and C_F
          | C_CLK_5759 := C_HMOD100 or C_OUVRIR_20610
          | C_ZN_20631 := C_CLK_5759 or C_L2CO_19572
          | C_CLK_5873 := C_L2CO_19572 or C_OUVRIR_20610
          | C_ZN_20637 := C_CLK_5759 or C_L1CO_19588
          | C_CLK_5879 := C_L1CO_19588 or C_OUVRIR_20610
          | C_CLK_6339 := (not C_OUVRIR_20610) and C_L1CO_19588
          | C_CLK_6355 := (not C_OUVRIR_20610) and C_L2CO_19572
          | C_CLK_2859_20651 := left_tt ( C_CLK_2859,C_ZN_20637 )
          | C_CLK_2870_20659 := left_tt ( C_CLK_2870,C_ZN_20637 )
          | C_CLK_3003_20667 := left_tt ( C_CLK_3003,C_ZN_20631 )
          | C_CLK_3014_20675 := left_tt ( C_CLK_3014,C_ZN_20631 )
          | ZPASSANT_20681 := left_tt ( ZPASSANT_5782,C_ZPASSANT_20621 )
          | C_FERMER := C_F and ZPASSANT_20681
          | C_CLK_5761 := C_HMOD100 or C_FERMER
          | C_CLK_5855 := C_HV12 or C_FERMER
          | C_L1CS := C_FERMER or C_B1SD_19596
          | C_L2CS := C_FERMER or C_B2SD_19580
          | C_ZN_20702 := C_CLK_5761 or C_B2SD_19580
          | C_ZN_20705 := C_CLK_5761 or C_B1SD_19596
          | C_CLK_5907 := C_L2CS or C_L2CO_19572
          | C_EB1U := C_HMOD100 and C_CLK_2870_20659
          | C_EB2U := C_HMOD100 and C_CLK_3014_20675
          | C_ZACTIF := C_L2CH or C_CLK_5855
          | C_CLK_5951 := C_L2CH or C_CLK_5907
          | C_COULEUR_20723 := C_EB2U or C_COULEUR_19644
          | C_B2CU := C_EB2U or C_OUVRIR_20610
          | C_ZACTIF_20729 := C_L1CH or C_CLK_5855
          | C_CLK_6091 := C_TSTABLE_20143 or C_L1CS
          | C_COULEUR_20735 := C_EB1U or C_COULEUR_19650
          | C_B1CU := C_EB1U or C_OUVRIR_20610
          | C_CLK_6251 := C_CLK_5873 or C_CLK_3003_20667
          | C_CLK_6253 := C_CLK_5879 or C_CLK_2859_20651
          | C_CLK_6267 := (not C_L1CS) and C_TSTABLE_20143
          | C_CLK_6281 := (not C_L2CS) and C_TSTABLE
          | C_CLK_6291 := (not C_CLK_6251) and C_ZN_20631
          | C_CLK_6293 := (not C_CLK_6253) and C_ZN_20637
          | C_CLK_6303 := (not C_CLK_5951) and C_HV12
          | C_CLK_6305 := (not C_CLK_6091) and C_HV12
          | C_CLK_6323 := (not C_CLK_5873) and C_CLK_3003_20667
          | C_CLK_6329 := (not C_CLK_5879) and C_CLK_2859_20651
          | C_CLK_6333 := (not C_FERMER) and C_B1SD_19596
          | C_CLK_6345 := (not C_EB1U) and C_COULEUR_19650
          | C_CLK_6349 := (not C_FERMER) and C_B2SD_19580
          | C_CLK_6361 := (not C_EB2U) and C_COULEUR_19644
          | C_CLK_2928_20796 := left_tt ( C_CLK_2928,C_ZN_20705 )
          | C_CLK_2939_20804 := left_tt ( C_CLK_2939,C_ZN_20705 )
          | C_CLK_3072_20812 := left_tt ( C_CLK_3072,C_ZN_20702 )
          | C_CLK_3083_20820 := left_tt ( C_CLK_3083,C_ZN_20702 )
          | ACTIF_20826 := left_tt ( ACTIF_5884,C_ZACTIF_20729 )
          | ACTIF_20832 := left_tt ( ACTIF_6037,C_ZACTIF )
          | C_CLK_5909 := C_L2CS or C_CLK_3072_20812
          | C_CLK_5913 := C_L1CS or C_CLK_2928_20796
          | C_EB1D := C_HMOD100 and C_CLK_2939_20804
          | C_EB2D := C_HMOD100 and C_CLK_3083_20820
          | C_B2CD := C_EB2D or C_FERMER
          | C_COULEUR_20859 := C_EB2D or C_COULEUR_19644
          | C_CLK_5936 := C_EB2D or C_B2SD_19580
          | C_CLK_5938 := C_CLK_5936 or C_CLK_3039_19914
          | C_COMMANDE := C_B2CU or C_B2CD
          | C_FIN_DEF := C_COMMANDE or HREPARER2_19116
          | C_CLK_6002 := C_COMMANDE and (not C_CLK_2157)
          | C_DEB_MV := C_CLK_6002 or HREPARER2_19116
          | C_CLK_6012 := C_DEB_MV or C_FIN_MV
          | C_CLK_6017 := C_FIN_DEF or HDEFAILLANCE2_19128
          | C_B1CD := C_EB1D or C_FERMER
          | C_COULEUR_20889 := C_EB1D or C_COULEUR_19650
          | C_CLK_6062 := C_EB1D or C_B1SD_19596
          | C_CLK_6064 := C_CLK_6062 or C_CLK_2895_19898
          | C_COMMANDE_4222 := C_B1CU or C_B1CD
          | C_FIN_DEF_4079 := C_COMMANDE_4222 or HREPARER1_19098
          | C_CLK_6144 := C_COMMANDE_4222 and (not C_CLK_2333)
          | C_DEB_MV_4078 := C_CLK_6144 or HREPARER1_19098
          | C_CLK_6155 := C_DEB_MV_4078 or C_FIN_MV_4077
          | C_CLK_6160 := C_FIN_DEF_4079 or HDEFAILLANCE1_19110
          | C_ZTCLIGNO := C_HV12 and ACTIF_20832
          | C_ZTCLIGNO_20919 := C_HV12 and ACTIF_20826
          | C_COULEUR_20922 := C_ZTCLIGNO_20919 or C_TSTABLE_20143
          | C_COULEUR_20925 := C_ZTCLIGNO or C_TSTABLE
          | C_CLK_6255 := (not C_TSTABLE) and C_ZTCLIGNO
          | C_CLK_6257 := (not C_TSTABLE_20143) and C_ZTCLIGNO_20919
          | C_CLK_6259 := (not HDEFAILLANCE1_19110) and C_FIN_DEF_4079
          | C_CLK_6269 := (not C_B1CU) and C_B1CD
          | C_CLK_6273 := (not HDEFAILLANCE2_19128) and C_FIN_DEF
          | C_CLK_6283 := (not C_B2CU) and C_B2CD
          | C_CLK_6287 := (not C_DEB_MV) and C_FIN_MV
          | C_CLK_6289 := (not C_DEB_MV_4078) and C_FIN_MV_4077
          | C_CLK_6295 := (not C_CLK_6064) and C_ZN
          | C_CLK_6297 := (not C_CLK_5913) and C_ZN_20705
          | C_CLK_6299 := (not C_CLK_5938) and C_ZN_19807
          | C_CLK_6301 := (not C_CLK_5909) and C_ZN_20702
          | C_CLK_6319 := (not C_L2CS) and C_CLK_3072_20812
          | C_CLK_6321 := (not C_CLK_5936) and C_CLK_3039_19914
          | C_CLK_6325 := (not C_L1CS) and C_CLK_2928_20796
          | C_CLK_6327 := (not C_CLK_6062) and C_CLK_2895_19898
          | C_CLK_6335 := (not C_EB1D) and C_B1SD_19596
          | C_CLK_6343 := (not C_EB1D) and C_COULEUR_19650
          | C_CLK_6351 := (not C_EB2D) and C_B2SD_19580
          | C_CLK_6359 := (not C_EB2D) and C_COULEUR_19644
          | C_CLK_6363 := not C_CLK_6017
          | C_CLK_6365 := not C_COMMANDE
          | C_CLK_6367 := not C_CLK_6012
          | C_CLK_6369 := not C_COMMANDE_4222
          | C_CLK_6371 := not C_CLK_6155
          | C_CLK_6373 := not C_CLK_6160
          |)
       |)
      where 
      integer N, N_1650, N_3197, N_3273, XZX, XZX_3997, N_4905, N0_4920, N_5573, N0_5588, N_7023, ZN_7024, N_7045, ZN_7046;
      boolean ZACTIF, ZACTIF_588, ZACTIF_710, ZACTIF_754, ZACTIF_873, ZACTIF_916, ZACTIF_1035, ZACTIF_1078, ZACTIF_1196, ZACTIF_1239, ZACTIF_2179, ZACTIF_2225, ZACTIF_2344, ZACTIF_2387, ZACTIF_2505, ZACTIF_2547, ZACTIF_2665, ZACTIF_2707, ZACTIF_2825, 
             ZACTIF_2867, ZACTIF_1, ACTIF_3793, POS_THEORIQUE, ACTIF_3828, ZACTIF_2, ACTIF_3862, MOUVEMENT, ACTIF_3896, ZACTIF_4085, ACTIF_4086, ZACTIF_4119, ACTIF_4120, ZACTIF_4152, ACTIF_4154, ZACTIF_4185, ACTIF_4188, ZPASSANT, ACTIF_4874, ZACTIF_4875, 
             ZPASSANT_5019, ZPASSANT_5448, ACTIF_5542, ZACTIF_5543, ZPASSANT_5672, ZPASSANT_5782, TSTABLE, ACTIF_5884, TCLIGNO, TSTABLE_6036, ACTIF_6037, TCLIGNO_6040, C_STOP1, C_CLK_825, C_CLK_833, C_STOP2, C_CLK_888, C_CLK_896, C_STOP1_2974, C_CLK_1777, 
             C_CLK_1785, C_STOP2_2971, C_CLK_1840, C_CLK_1848, C_CLK_2157, C_CLK_2333, C_HMOD100, C_HV12, HV11_19050, HV12_19056, HLW1_19062, HNW1_19068, HV21_19074, HV22_19080, HLW2_19086, HNW2_19092, HREPARER1_19098, HPANNE1_19104, HDEFAILLANCE1_19110, 
             HREPARER2_19116, HPANNE2_19122, HDEFAILLANCE2_19128, C_X3, C_NWAG, C_X3_19140, C_NWAG_19143, C_X3_19146, C_NWAG_19149, C_X3_19152, C_NWAG_19155, C_CLK_4368, C_CLK_4374, C_L, C_L_19167, C_N, C_N_19173, C_CLK_4404, C_CLK_4406, C_L_19182, 
             C_L_19185, C_N_19188, C_N_19191, C_CLK_4438, C_CLK_4438_19197, C_CLK_4441, C_CLK_4441_19203, C_CLK_4445, C_CLK_4445_19209, C_CLK_4448, C_CLK_4448_19215, C_CLK_5449, C_CLK_5451, C_CLK_5453, C_CLK_5455, C_CLK_5457, C_CLK_5459, C_CLK_5461, 
             C_CLK_5463, C_CLK_5465, C_CLK_5473, C_CLK_5475, C_CLK_5475_19251, C_CLK_5479, C_CLK_5479_19257, C_CLK_5481, C_CLK_5483, C_CLK_5485, C_CLK_5487, C_CLK_5579, C_CLK_5581, C_CLK_5583, C_CLK_5585, C_CLK_5623, C_CLK_5625, C_CLK_5627, C_CLK_5629, 
             C_EFFACE, C_EFFACE_19307, C_XW0, C_XW0_19312, ZACTIF_19318, C_XW0_19322, C_XW0_19325, ZACTIF_19331, C_XW0_19335, C_XW0_19338, ZACTIF_19344, C_XW0_19348, C_XW0_19351, ZACTIF_19357, C_XW0_19361, C_XW0_19364, ZACTIF_19370, C_XW0_19374, 
             C_XW0_19377, ZACTIF_19383, C_XW0_19387, C_XW0_19390, ZACTIF_19396, C_XW0_19400, C_XW0_19403, ZACTIF_19409, C_XW0_19413, C_XW0_19416, ZACTIF_19422, C_XW0_19426, C_XW0_19429, ZACTIF_19435, C_XW0_19439, C_XW0_19442, ZACTIF_19448, C_XW0_19452, 
             C_XW0_19455, ZACTIF_19461, C_XW0_19465, C_XW0_19468, ZACTIF_19474, C_XW0_19478, C_XW0_19481, ZACTIF_19487, C_XW0_19491, C_XW0_19494, ZACTIF_19500, C_XW0_19504, C_XW0_19507, ZACTIF_19513, C_XW0_19517, C_XW0_19520, ZACTIF_19526, C_XW0_19530, 
             C_XW0_19533, ZACTIF_19539, C_XW0_19543, C_XW0_19546, ZACTIF_19552, C_XW0_19556, C_XW0_19559, ZACTIF_19565, C_L2CO, C_L2CO_19572, C_B2SD, C_B2SD_19580, C_L1CO, C_L1CO_19588, C_B1SD, C_B1SD_19596, C_NXW, C_XW0_19605, C_ZXW, C_NXW_19611, 
             C_XW0_19614, C_ZXW_19617, C_NXW_19620, C_XW0_19623, C_ZXW_19626, C_NXW_19629, C_XW0_19632, C_ZXW_19635, C_NXW_19638, C_COULEUR, C_COULEUR_19644, C_COULEUR_19647, C_COULEUR_19650, C_XW0_19653, C_ZXW_19656, C_XW0_19659, C_XW0_19662, C_XW0_19665,
             C_XW0_19668, C_XW0_19671, C_NXW_19674, C_ZXW_19677, C_NXW_19680, C_ZXW_19683, C_NXW_19686, C_ZXW_19689, C_NXW_19692, C_ZXW_19695, C_NXW_19698, C_ZXW_19701, C_CLK_5503, C_CLK_5507, C_CLK_5511, C_CLK_5515, C_CLK_5519, C_CLK_5523, C_CLK_5527, 
             C_CLK_5531, C_CLK_5535, C_CLK_5539, C_CLK_5541, C_CLK_5549, C_CLK_5557, C_CLK_5565, C_CLK_5573, C_CLK_5587, C_CLK_5595, C_CLK_5601, C_CLK_5609, C_CLK_5617, C_CLK_5865, C_CLK_5867, C_ZN, C_ZN_19807, C_FIN_MV_4077, C_FIN_MV, C_T1S40, 
             C_T1S40_19818, C_T1S41, C_T1S41_19826, C_T1S30, C_T1S30_19834, C_T1S20, C_T1S20_19842, C_T1S10, C_T1S10_19850, C_T2S10, C_T2S10_19858, C_T2S11, C_T2S11_19866, C_T2S20, C_T2S20_19874, C_T2S30, C_T2S30_19882, C_T2S40, C_T2S40_19890, C_CLK_2895, 
             C_CLK_2895_19898, C_CLK_2906, C_CLK_2906_19906, C_CLK_3039, C_CLK_3039_19914, C_CLK_3050, C_CLK_3050_19922, C_CLK_4471, C_DN, C_CLK_4493, C_CLK_4507, C_CLK_4529, C_DN_19949, C_CLK_4549, C_ZN_19955, C_CLK_4599, C_CLK_4623, C_DN_19964, 
             C_CLK_4675, C_CLK_5261, C_CLK_5263, C_CLK_5265, C_CLK_5267, C_DN_19982, C_CLK_5271, C_ZN_19988, C_CLK_5275, C_DN_19994, C_CLK_5279, C_DN_20000, C_CLK_5283, C_CLK_5501, C_CLK_5505, C_CLK_5509, C_CLK_5513, C_CLK_5517, C_CLK_5521, C_CLK_5525, 
             C_CLK_5529, C_CLK_5533, C_CLK_5537, C_CLK_5543, C_CLK_5547, C_CLK_5553, C_CLK_5559, C_CLK_5561, C_CLK_5563, C_CLK_5567, C_CLK_5569, C_CLK_5571, C_CLK_5575, C_CLK_5577, C_CLK_5591, C_CLK_5593, C_CLK_5599, C_CLK_5603, C_CLK_5605, C_CLK_5607, 
             C_CLK_5611, C_CLK_5613, C_CLK_5615, C_CLK_5619, C_CLK_5621, C_L1CH, C_L2CH, C_TSTABLE, C_TSTABLE_20143, C_CLK_6341, C_CLK_6357, C_CLK_2651, C_CLK_2651_20216, C_CLK_2665, C_CLK_2665_20224, C_CLK_3142, C_CLK_3142_20232, C_CLK_3156, 
             C_CLK_3156_20240, C_COULEUR_20249, C_COULEUR_20258, C_CLK_4574, C_TOP_5430, C_ZPASSANT, C_ZPASSANT_20270, C_TOP, C_ZPASSANT_20279, C_ZPASSANT_20282, C_CLK_5338, C_CLK_5445, C_CLK_5545, C_CLK_5551, C_CLK_5555, C_CLK_5589, C_CLK_5597, 
             C_CLK_5655, C_CLK_5661, ZPASSANT_20342, ZPASSANT_20348, C_MONTER_1, C_MONTER_1_20359, ZPASSANT_20362, ZPASSANT_20368, C_MONTER_4, C_MONTER_4_20379, C_, C_SORTIE_1_5431, C_CLK_4651, C_ZN_20403, C__20406, C_SORTIE_1, C_CLK_5323, C_ZN_20415, 
             C_CLK_5439, C_CLK_5443, C_CLK_5467, C_CLK_5469, C_CLK_5491, C_CLK_5493, C_N0, C_N0_20440, C_CLK_2753, C_CLK_2753_20448, C_CLK_2762, C_CLK_2762_20456, C_N0_20461, C_N0_20464, C_CLK_3244, C_CLK_3244_20472, C_CLK_3253, C_CLK_3253_20480, 
             C_ZN_20486, C_ZN_20489, C_CLK_2732, C_CLK_2732_20494, C_CLK_2746, C_CLK_2746_20502, C_CLK_2756, C_CLK_2756_20510, C_CLK_3223, C_CLK_3223_20518, C_CLK_3237, C_CLK_3237_20526, C_CLK_3247, C_CLK_3247_20534, C_T_5, C_TOP_5589, C_DESCENDRE_6, 
             C_CLK_4728, C_TOP_4921, C_DESCENDRE_3, C_F, C_CLK_5373, C_T_2, C_CLK_5381, C_CLK_5384, C_ZN_20573, C_CLK_5421, C_CLK_5423, C_CLK_5425, C_CLK_5427, C_CLK_5437, C_CLK_5657, C_CLK_5663, C_CLK_5665, C_OUVRIR, C_OUVRIR_20610, C_ZPASSANT_20621, 
             C_CLK_5431, C_CLK_5759, C_ZN_20631, C_CLK_5873, C_ZN_20637, C_CLK_5879, C_CLK_6339, C_CLK_6355, C_CLK_2859, C_CLK_2859_20651, C_CLK_2870, C_CLK_2870_20659, C_CLK_3003, C_CLK_3003_20667, C_CLK_3014, C_CLK_3014_20675, ZPASSANT_20681, C_FERMER, 
             C_CLK_5761, C_CLK_5855, C_L1CS, C_L2CS, C_ZN_20702, C_ZN_20705, C_CLK_5907, C_EB1U, C_EB2U, C_ZACTIF, C_CLK_5951, C_COULEUR_20723, C_B2CU, C_ZACTIF_20729, C_CLK_6091, C_COULEUR_20735, C_B1CU, C_CLK_6251, C_CLK_6253, C_CLK_6267, C_CLK_6281, 
             C_CLK_6291, C_CLK_6293, C_CLK_6303, C_CLK_6305, C_CLK_6323, C_CLK_6329, C_CLK_6333, C_CLK_6345, C_CLK_6349, C_CLK_6361, C_CLK_2928, C_CLK_2928_20796, C_CLK_2939, C_CLK_2939_20804, C_CLK_3072, C_CLK_3072_20812, C_CLK_3083, C_CLK_3083_20820, 
             ACTIF_20826, ACTIF_20832, C_CLK_5909, C_CLK_5913, C_EB1D, C_EB2D, C_B2CD, C_COULEUR_20859, C_CLK_5936, C_CLK_5938, C_COMMANDE, C_FIN_DEF, C_CLK_6002, C_DEB_MV, C_CLK_6012, C_CLK_6017, C_B1CD, C_COULEUR_20889, C_CLK_6062, C_CLK_6064, 
             C_COMMANDE_4222, C_FIN_DEF_4079, C_CLK_6144, C_DEB_MV_4078, C_CLK_6155, C_CLK_6160, C_ZTCLIGNO, C_ZTCLIGNO_20919, C_COULEUR_20922, C_COULEUR_20925, C_CLK_6255, C_CLK_6257, C_CLK_6259, C_CLK_6269, C_CLK_6273, C_CLK_6283, C_CLK_6287, C_CLK_6289,
             C_CLK_6295, C_CLK_6297, C_CLK_6299, C_CLK_6301, C_CLK_6319, C_CLK_6321, C_CLK_6325, C_CLK_6327, C_CLK_6335, C_CLK_6343, C_CLK_6351, C_CLK_6359, C_CLK_6363, C_CLK_6365, C_CLK_6367, C_CLK_6369, C_CLK_6371, C_CLK_6373;
      real LGW, XW0, DX_1, LGW_2, XW0_3, DX_4, LGW_5, XW0_6, NXW, ZXW, LGW_669, XW0_670, DX_687, LGW_688, XW0_689, DX_731, LGW_732, XW0_733, NXW_798, ZXW_800, LGW_833, XW0_834, DX_851, LGW_852, XW0_853, DX_894, LGW_895, XW0_896, NXW_960, ZXW_962, LGW_995, 
          XW0_996, DX_1013, LGW_1014, XW0_1015, DX_1056, LGW_1057, XW0_1058, NXW_1122, ZXW_1124, LGW_1156, XW0_1157, DX_1174, LGW_1175, XW0_1176, DX_1217, LGW_1218, XW0_1219, NXW_1283, ZXW_1285, X1, XX1, L, X2, XX2, L_1447, ZXX2, ZXX1, ZX2, ZX1, LWAG1, 
          VITESSE, ZVITESSE, L_1576, LWAG2, VITESSE_1651, ZVITESSE_1652, L_1653, Z_1691, Z_1705, Z_1719, Z_1733, LGW_2135, XW0_2136, DX_2153, LGW_2154, XW0_2155, DX_2199, LGW_2200, XW0_2201, NXW_2269, ZXW_2271, LGW_2303, XW0_2304, DX_2321, LGW_2322, 
          XW0_2323, DX_2364, LGW_2365, XW0_2366, NXW_2431, ZXW_2433, LGW_2465, XW0_2466, DX_2483, LGW_2484, XW0_2485, DX_2525, LGW_2526, XW0_2527, NXW_2591, ZXW_2593, LGW_2625, XW0_2626, DX_2643, LGW_2644, XW0_2645, DX_2685, LGW_2686, XW0_2687, NXW_2751, 
          ZXW_2753, LGW_2785, XW0_2786, DX_2803, LGW_2804, XW0_2805, DX_2845, LGW_2846, XW0_2847, NXW_2911, ZXW_2913, X_2975, XX_2976, L_3008, X_3040, XX_3041, L_3073, ZXX2_3152, ZXX1_3153, ZX2_3154, ZX1_3155, LWAG_3158, VITESSE_3198, ZVITESSE_3199, 
          L_3200, LWAG_3235, VITESSE_3274, ZVITESSE_3275, L_3276, Z_3314, Z_3328, Z_3342, Z_3356;
      process ACT_C_HV12 =
           ( )
         (| (| when HV11 ^= V11 |)
          | (| when HV12 ^= V12 |)
          | (| when HLW1 ^= LW1 |)
          | (| when HNW1 ^= NW1 |)
          | (| when HV21 ^= V21 |)
          | (| when HV22 ^= V22 |)
          | (| when HLW2 ^= LW2 |)
          | (| when HNW2 ^= NW2 |)
          | (| C_CLK_4438 := HREPARER1 or HPANNE1
             | C_CLK_4441 := HPANNE1 or HDEFAILLANCE1
             | C_CLK_4445 := HREPARER2 or HPANNE2
             | C_CLK_4448 := HPANNE2 or HDEFAILLANCE2
             | C_CLK_5475 := (not HPANNE2) and HREPARER2
             | C_CLK_5479 := (not HPANNE1) and HREPARER1
             |)
          |)
      %ACT_C_HV12%; 
      process ACT_C_X3 =
           ( )
         (| when C_X3 ^= ACTIF ^= ACTIF_709 ^= ACTIF_872 ^= ACTIF_1034 ^= ACTIF_1195 ^= LWAGONS ^= ZX ^= LTRAIN ^= ZLTRAIN ^= ZLWAGONS ^= VIT1 ^= ZX1_1802 ^= ZX2_1803 ^= ZX3 ^= X1_1805 ^= X2_1806 ^= X3
          | (| when ZACTIF ^= DX_1 ^= LGW_2
             | ACT_ZACTIF{}
             |)
          | (| when ZACTIF_710 ^= DX_687 ^= LGW_688
             | ACT_ZACTIF_710{}
             |)
          | (| when ZACTIF_873 ^= DX_851 ^= LGW_852
             | ACT_ZACTIF_873{}
             |)
          | (| when ZACTIF_1035 ^= DX_1013 ^= LGW_1014
             | ACT_ZACTIF_1035{}
             |)
          | (| when ZACTIF_1196 ^= DX_1174 ^= LGW_1175
             | ACT_ZACTIF_1196{}
             |)
          | (| when C_XW0 ^= XW0_3
             | (| XW0_3 := (X1-XT1) when C_XW0 |)
             |)
          | (| when C_XW0_19335 ^= XW0_689
             | (| XW0_689 := (X1-XT2) when C_XW0_19335 |)
             |)
          | (| when C_XW0_19361 ^= XW0_853
             | (| XW0_853 := (X1-XT3) when C_XW0_19361 |)
             |)
          | (| when C_XW0_19387 ^= XW0_1015
             | (| XW0_1015 := (X1-XT4) when C_XW0_19387 |)
             |)
          | (| when C_XW0_19413 ^= XW0_1176
             | (| XW0_1176 := (X1-XT5) when C_XW0_19413 |)
             |)
          | (| ACTIF := (X1>XT1) and (XX1<=(XT1+1.0))
             | ZACTIF := ACTIF$1 init false
             | ACTIF_709 := (X1>XT2) and (XX1<=(XT2+1.0))
             | ZACTIF_710 := ACTIF_709$1 init false
             | ACTIF_872 := (X1>XT3) and (XX1<=(XT3+1.0))
             | ZACTIF_873 := ACTIF_872$1 init false
             | ACTIF_1034 := (X1>XT4) and (XX1<=(XT4+1.0))
             | ZACTIF_1035 := ACTIF_1034$1 init false
             | ACTIF_1195 := (X1>XT5) and (XX1<=(XT5+1.0))
             | ZACTIF_1196 := ACTIF_1195$1 init false
             | X1 := (XT1 when C_STOP1) default ((ZX+VIT1) when C_CLK_5581)
             | XX1 := X1-LTRAIN
             | LWAGONS := (LWAG1 when C_NWAG) default (ZLWAGONS when C_CLK_5579)
             | ZX := X1$1 init XT1
             | LTRAIN := (L when C_NWAG) default (ZLTRAIN when C_CLK_5579)
             | ZLTRAIN := LTRAIN$1 init 100.0e0
             | ZLWAGONS := LWAGONS$1 init 10.0e0
             | VIT1 := VITESSE when C_X3
             | ZX1_1802 := X1_1805$1 init 0
             | ZX2_1803 := X2_1806$1 init 0
             | ZX3 := X3$1 init 0
             | (X1_1805, X2_1806, X3) := DESSINERTRAIN(X1, XX1, LWAGONS, 140 when C_X3, 120 when C_X3, ZX1_1802, ZX2_1803, ZX3, 1 when C_X3)
             | C_XW0 := ACTIF and (not ZACTIF)
             | C_XW0_19335 := ACTIF_709 and (not ZACTIF_710)
             | C_XW0_19361 := ACTIF_872 and (not ZACTIF_873)
             | C_XW0_19387 := ACTIF_1034 and (not ZACTIF_1035)
             | C_XW0_19413 := ACTIF_1195 and (not ZACTIF_1196)
             |)
          |)
         where 
         integer ZX1_1802, ZX2_1803, ZX3, X1_1805, X2_1806, X3;
         real LWAGONS, ZX, LTRAIN, ZLTRAIN, ZLWAGONS, VIT1;
         boolean ACTIF, ACTIF_709, ACTIF_872, ACTIF_1034, ACTIF_1195;
         process ACT_ZACTIF =
              ( )
            (| (| DX_1 := VIT1 when ZACTIF
                | LGW_2 := LWAGONS when ZACTIF
                |) |)
         %ACT_ZACTIF%; 
         process ACT_ZACTIF_710 =
              ( )
            (| (| DX_687 := VIT1 when ZACTIF_710
                | LGW_688 := LWAGONS when ZACTIF_710
                |) |)
         %ACT_ZACTIF_710%; 
         process ACT_ZACTIF_873 =
              ( )
            (| (| DX_851 := VIT1 when ZACTIF_873
                | LGW_852 := LWAGONS when ZACTIF_873
                |) |)
         %ACT_ZACTIF_873%; 
         process ACT_ZACTIF_1035 =
              ( )
            (| (| DX_1013 := VIT1 when ZACTIF_1035
                | LGW_1014 := LWAGONS when ZACTIF_1035
                |) |)
         %ACT_ZACTIF_1035%; 
         process ACT_ZACTIF_1196 =
              ( )
            (| (| DX_1174 := VIT1 when ZACTIF_1196
                | LGW_1175 := LWAGONS when ZACTIF_1196
                |) |)
         %ACT_ZACTIF_1196%; 
         end
      %ACT_C_X3%; 
      process ACT_C_NWAG =
           ( )
         (| when C_NWAG ^= NWAG1
          | (| L := LWAG1*real(NWAG1)
             | LWAG1 := L_1576 when C_NWAG
             | NWAG1 := N when C_NWAG
             |)
          |)
         where 
         integer NWAG1;
         end
      %ACT_C_NWAG%; 
      process ACT_C_X3_19140 =
           ( )
         (| when C_X3_19140 ^= ACTIF_587 ^= ACTIF_753 ^= ACTIF_915 ^= ACTIF_1077 ^= ACTIF_1238 ^= LWAGONS_1416 ^= ZX_1445 ^= LTRAIN_1448 ^= ZLTRAIN_1449 ^= ZLWAGONS_1450 ^= VIT2 ^= ZX1_1944 ^= ZX2_1945 ^= ZX3_1946 ^= X1_1947 ^= X2_1948 ^= X3_1949
          | (| when ZACTIF_588 ^= DX_4 ^= LGW_5
             | ACT_ZACTIF_588{}
             |)
          | (| when ZACTIF_754 ^= DX_731 ^= LGW_732
             | ACT_ZACTIF_754{}
             |)
          | (| when ZACTIF_916 ^= DX_894 ^= LGW_895
             | ACT_ZACTIF_916{}
             |)
          | (| when ZACTIF_1078 ^= DX_1056 ^= LGW_1057
             | ACT_ZACTIF_1078{}
             |)
          | (| when ZACTIF_1239 ^= DX_1217 ^= LGW_1218
             | ACT_ZACTIF_1239{}
             |)
          | (| when C_XW0_19322 ^= XW0_6
             | (| XW0_6 := (X2-XT1) when C_XW0_19322 |)
             |)
          | (| when C_XW0_19348 ^= XW0_733
             | (| XW0_733 := (X2-XT2) when C_XW0_19348 |)
             |)
          | (| when C_XW0_19374 ^= XW0_896
             | (| XW0_896 := (X2-XT3) when C_XW0_19374 |)
             |)
          | (| when C_XW0_19400 ^= XW0_1058
             | (| XW0_1058 := (X2-XT4) when C_XW0_19400 |)
             |)
          | (| when C_XW0_19426 ^= XW0_1219
             | (| XW0_1219 := (X2-XT5) when C_XW0_19426 |)
             |)
          | (| ACTIF_587 := (X2>XT1) and (XX2<=(XT1+1.0))
             | ZACTIF_588 := ACTIF_587$1 init false
             | ACTIF_753 := (X2>XT2) and (XX2<=(XT2+1.0))
             | ZACTIF_754 := ACTIF_753$1 init false
             | ACTIF_915 := (X2>XT3) and (XX2<=(XT3+1.0))
             | ZACTIF_916 := ACTIF_915$1 init false
             | ACTIF_1077 := (X2>XT4) and (XX2<=(XT4+1.0))
             | ZACTIF_1078 := ACTIF_1077$1 init false
             | ACTIF_1238 := (X2>XT5) and (XX2<=(XT5+1.0))
             | ZACTIF_1239 := ACTIF_1238$1 init false
             | X2 := (XT1 when C_STOP2) default ((ZX_1445+VIT2) when C_CLK_5585)
             | XX2 := X2-LTRAIN_1448
             | LWAGONS_1416 := (LWAG2 when C_NWAG_19143) default (ZLWAGONS_1450 when C_CLK_5583)
             | ZX_1445 := X2$1 init XT1
             | LTRAIN_1448 := (L_1447 when C_NWAG_19143) default (ZLTRAIN_1449 when C_CLK_5583)
             | ZLTRAIN_1449 := LTRAIN_1448$1 init 100.0e0
             | ZLWAGONS_1450 := LWAGONS_1416$1 init 10.0e0
             | VIT2 := VITESSE_1651 when C_X3_19140
             | ZX1_1944 := X1_1947$1 init 0
             | ZX2_1945 := X2_1948$1 init 0
             | ZX3_1946 := X3_1949$1 init 0
             | (X1_1947, X2_1948, X3_1949) := DESSINERTRAIN(X2, XX2, LWAGONS_1416, 140 when C_X3_19140, 120 when C_X3_19140, ZX1_1944, ZX2_1945, ZX3_1946, 1 when C_X3_19140)
             | C_XW0_19322 := ACTIF_587 and (not ZACTIF_588)
             | C_XW0_19348 := ACTIF_753 and (not ZACTIF_754)
             | C_XW0_19374 := ACTIF_915 and (not ZACTIF_916)
             | C_XW0_19400 := ACTIF_1077 and (not ZACTIF_1078)
             | C_XW0_19426 := ACTIF_1238 and (not ZACTIF_1239)
             |)
          |)
         where 
         integer ZX1_1944, ZX2_1945, ZX3_1946, X1_1947, X2_1948, X3_1949;
         real LWAGONS_1416, ZX_1445, LTRAIN_1448, ZLTRAIN_1449, ZLWAGONS_1450, VIT2;
         boolean ACTIF_587, ACTIF_753, ACTIF_915, ACTIF_1077, ACTIF_1238;
         process ACT_ZACTIF_588 =
              ( )
            (| (| DX_4 := VIT2 when ZACTIF_588
                | LGW_5 := LWAGONS_1416 when ZACTIF_588
                |) |)
         %ACT_ZACTIF_588%; 
         process ACT_ZACTIF_754 =
              ( )
            (| (| DX_731 := VIT2 when ZACTIF_754
                | LGW_732 := LWAGONS_1416 when ZACTIF_754
                |) |)
         %ACT_ZACTIF_754%; 
         process ACT_ZACTIF_916 =
              ( )
            (| (| DX_894 := VIT2 when ZACTIF_916
                | LGW_895 := LWAGONS_1416 when ZACTIF_916
                |) |)
         %ACT_ZACTIF_916%; 
         process ACT_ZACTIF_1078 =
              ( )
            (| (| DX_1056 := VIT2 when ZACTIF_1078
                | LGW_1057 := LWAGONS_1416 when ZACTIF_1078
                |) |)
         %ACT_ZACTIF_1078%; 
         process ACT_ZACTIF_1239 =
              ( )
            (| (| DX_1217 := VIT2 when ZACTIF_1239
                | LGW_1218 := LWAGONS_1416 when ZACTIF_1239
                |) |)
         %ACT_ZACTIF_1239%; 
         end
      %ACT_C_X3_19140%; 
      process ACT_C_NWAG_19143 =
           ( )
         (| when C_NWAG_19143 ^= NWAG2
          | (| L_1447 := LWAG2*real(NWAG2)
             | LWAG2 := L_1653 when C_NWAG_19143
             | NWAG2 := N_1650 when C_NWAG_19143
             |)
          |)
         where 
         integer NWAG2;
         end
      %ACT_C_NWAG_19143%; 
      process ACT_C_X3_19146 =
           ( )
         (| when C_X3_19146 ^= ACTIF_2178 ^= ACTIF_2343 ^= ACTIF_2504 ^= ACTIF_2664 ^= ACTIF_2824 ^= LWAGONS_2977 ^= ZX_3006 ^= LTRAIN_3009 ^= ZLTRAIN_3010 ^= ZLWAGONS_3011 ^= V_3157 ^= ZX1_3418 ^= ZX2_3419 ^= ZX3_3420 ^= X1_3421 ^= X2_3422 ^= X3_3423
          | (| when ZACTIF_2179 ^= DX_2153 ^= LGW_2154
             | ACT_ZACTIF_2179{}
             |)
          | (| when ZACTIF_2344 ^= DX_2321 ^= LGW_2322
             | ACT_ZACTIF_2344{}
             |)
          | (| when ZACTIF_2505 ^= DX_2483 ^= LGW_2484
             | ACT_ZACTIF_2505{}
             |)
          | (| when ZACTIF_2665 ^= DX_2643 ^= LGW_2644
             | ACT_ZACTIF_2665{}
             |)
          | (| when ZACTIF_2825 ^= DX_2803 ^= LGW_2804
             | ACT_ZACTIF_2825{}
             |)
          | (| when C_XW0_19439 ^= XW0_2155
             | (| XW0_2155 := (X_2975-XT1) when C_XW0_19439 |)
             |)
          | (| when C_XW0_19465 ^= XW0_2323
             | (| XW0_2323 := (X_2975-XT2) when C_XW0_19465 |)
             |)
          | (| when C_XW0_19491 ^= XW0_2485
             | (| XW0_2485 := (X_2975-XT3) when C_XW0_19491 |)
             |)
          | (| when C_XW0_19517 ^= XW0_2645
             | (| XW0_2645 := (X_2975-XT4) when C_XW0_19517 |)
             |)
          | (| when C_XW0_19543 ^= XW0_2805
             | (| XW0_2805 := (X_2975-XT5) when C_XW0_19543 |)
             |)
          | (| ACTIF_2178 := (X_2975>XT1) and (XX_2976<=(XT1+1.0))
             | ZACTIF_2179 := ACTIF_2178$1 init false
             | ACTIF_2343 := (X_2975>XT2) and (XX_2976<=(XT2+1.0))
             | ZACTIF_2344 := ACTIF_2343$1 init false
             | ACTIF_2504 := (X_2975>XT3) and (XX_2976<=(XT3+1.0))
             | ZACTIF_2505 := ACTIF_2504$1 init false
             | ACTIF_2664 := (X_2975>XT4) and (XX_2976<=(XT4+1.0))
             | ZACTIF_2665 := ACTIF_2664$1 init false
             | ACTIF_2824 := (X_2975>XT5) and (XX_2976<=(XT5+1.0))
             | ZACTIF_2825 := ACTIF_2824$1 init false
             | X_2975 := (XT1 when C_STOP1_2974) default ((ZX_3006+V_3157) when C_CLK_5625)
             | XX_2976 := X_2975-LTRAIN_3009
             | LWAGONS_2977 := (LWAG_3158 when C_NWAG_19149) default (ZLWAGONS_3011 when C_CLK_5623)
             | ZX_3006 := X_2975$1 init XT1
             | LTRAIN_3009 := (L_3008 when C_NWAG_19149) default (ZLTRAIN_3010 when C_CLK_5623)
             | ZLTRAIN_3010 := LTRAIN_3009$1 init 100.0e0
             | ZLWAGONS_3011 := LWAGONS_2977$1 init 10.0e0
             | V_3157 := VITESSE_3198 when C_X3_19146
             | ZX1_3418 := X1_3421$1 init 0
             | ZX2_3419 := X2_3422$1 init 0
             | ZX3_3420 := X3_3423$1 init 0
             | (X1_3421, X2_3422, X3_3423) := DESSINERTRAIN(X_2975, XX_2976, LWAGONS_2977, 370 when C_X3_19146, 350 when C_X3_19146, ZX1_3418, ZX2_3419, ZX3_3420, (-1) when C_X3_19146)
             | C_XW0_19439 := ACTIF_2178 and (not ZACTIF_2179)
             | C_XW0_19465 := ACTIF_2343 and (not ZACTIF_2344)
             | C_XW0_19491 := ACTIF_2504 and (not ZACTIF_2505)
             | C_XW0_19517 := ACTIF_2664 and (not ZACTIF_2665)
             | C_XW0_19543 := ACTIF_2824 and (not ZACTIF_2825)
             |)
          |)
         where 
         integer ZX1_3418, ZX2_3419, ZX3_3420, X1_3421, X2_3422, X3_3423;
         real LWAGONS_2977, ZX_3006, LTRAIN_3009, ZLTRAIN_3010, ZLWAGONS_3011, V_3157;
         boolean ACTIF_2178, ACTIF_2343, ACTIF_2504, ACTIF_2664, ACTIF_2824;
         process ACT_ZACTIF_2179 =
              ( )
            (| (| DX_2153 := V_3157 when ZACTIF_2179
                | LGW_2154 := LWAGONS_2977 when ZACTIF_2179
                |) |)
         %ACT_ZACTIF_2179%; 
         process ACT_ZACTIF_2344 =
              ( )
            (| (| DX_2321 := V_3157 when ZACTIF_2344
                | LGW_2322 := LWAGONS_2977 when ZACTIF_2344
                |) |)
         %ACT_ZACTIF_2344%; 
         process ACT_ZACTIF_2505 =
              ( )
            (| (| DX_2483 := V_3157 when ZACTIF_2505
                | LGW_2484 := LWAGONS_2977 when ZACTIF_2505
                |) |)
         %ACT_ZACTIF_2505%; 
         process ACT_ZACTIF_2665 =
              ( )
            (| (| DX_2643 := V_3157 when ZACTIF_2665
                | LGW_2644 := LWAGONS_2977 when ZACTIF_2665
                |) |)
         %ACT_ZACTIF_2665%; 
         process ACT_ZACTIF_2825 =
              ( )
            (| (| DX_2803 := V_3157 when ZACTIF_2825
                | LGW_2804 := LWAGONS_2977 when ZACTIF_2825
                |) |)
         %ACT_ZACTIF_2825%; 
         end
      %ACT_C_X3_19146%; 
      process ACT_C_NWAG_19149 =
           ( )
         (| when C_NWAG_19149 ^= NWAG_3163
          | (| L_3008 := LWAG_3158*real(NWAG_3163)
             | LWAG_3158 := L_3200 when C_NWAG_19149
             | NWAG_3163 := N_3197 when C_NWAG_19149
             |)
          |)
         where 
         integer NWAG_3163;
         end
      %ACT_C_NWAG_19149%; 
      process ACT_C_X3_19152 =
           ( )
         (| when C_X3_19152 ^= ACTIF_2224 ^= ACTIF_2386 ^= ACTIF_2546 ^= ACTIF_2706 ^= ACTIF_2866 ^= LWAGONS_3042 ^= ZX_3071 ^= LTRAIN_3074 ^= ZLTRAIN_3075 ^= ZLWAGONS_3076 ^= V_3234 ^= ZX1_3511 ^= ZX2_3512 ^= ZX3_3513 ^= X1_3514 ^= X2_3515 ^= X3_3516
          | (| when ZACTIF_2225 ^= DX_2199 ^= LGW_2200
             | ACT_ZACTIF_2225{}
             |)
          | (| when ZACTIF_2387 ^= DX_2364 ^= LGW_2365
             | ACT_ZACTIF_2387{}
             |)
          | (| when ZACTIF_2547 ^= DX_2525 ^= LGW_2526
             | ACT_ZACTIF_2547{}
             |)
          | (| when ZACTIF_2707 ^= DX_2685 ^= LGW_2686
             | ACT_ZACTIF_2707{}
             |)
          | (| when ZACTIF_2867 ^= DX_2845 ^= LGW_2846
             | ACT_ZACTIF_2867{}
             |)
          | (| when C_XW0_19452 ^= XW0_2201
             | (| XW0_2201 := (X_3040-XT1) when C_XW0_19452 |)
             |)
          | (| when C_XW0_19478 ^= XW0_2366
             | (| XW0_2366 := (X_3040-XT2) when C_XW0_19478 |)
             |)
          | (| when C_XW0_19504 ^= XW0_2527
             | (| XW0_2527 := (X_3040-XT3) when C_XW0_19504 |)
             |)
          | (| when C_XW0_19530 ^= XW0_2687
             | (| XW0_2687 := (X_3040-XT4) when C_XW0_19530 |)
             |)
          | (| when C_XW0_19556 ^= XW0_2847
             | (| XW0_2847 := (X_3040-XT5) when C_XW0_19556 |)
             |)
          | (| ACTIF_2224 := (X_3040>XT1) and (XX_3041<=(XT1+1.0))
             | ZACTIF_2225 := ACTIF_2224$1 init false
             | ACTIF_2386 := (X_3040>XT2) and (XX_3041<=(XT2+1.0))
             | ZACTIF_2387 := ACTIF_2386$1 init false
             | ACTIF_2546 := (X_3040>XT3) and (XX_3041<=(XT3+1.0))
             | ZACTIF_2547 := ACTIF_2546$1 init false
             | ACTIF_2706 := (X_3040>XT4) and (XX_3041<=(XT4+1.0))
             | ZACTIF_2707 := ACTIF_2706$1 init false
             | ACTIF_2866 := (X_3040>XT5) and (XX_3041<=(XT5+1.0))
             | ZACTIF_2867 := ACTIF_2866$1 init false
             | X_3040 := (XT1 when C_STOP2_2971) default ((ZX_3071+V_3234) when C_CLK_5629)
             | XX_3041 := X_3040-LTRAIN_3074
             | LWAGONS_3042 := (LWAG_3235 when C_NWAG_19155) default (ZLWAGONS_3076 when C_CLK_5627)
             | ZX_3071 := X_3040$1 init XT1
             | LTRAIN_3074 := (L_3073 when C_NWAG_19155) default (ZLTRAIN_3075 when C_CLK_5627)
             | ZLTRAIN_3075 := LTRAIN_3074$1 init 100.0e0
             | ZLWAGONS_3076 := LWAGONS_3042$1 init 10.0e0
             | V_3234 := VITESSE_3274 when C_X3_19152
             | ZX1_3511 := X1_3514$1 init 0
             | ZX2_3512 := X2_3515$1 init 0
             | ZX3_3513 := X3_3516$1 init 0
             | (X1_3514, X2_3515, X3_3516) := DESSINERTRAIN(X_3040, XX_3041, LWAGONS_3042, 370 when C_X3_19152, 350 when C_X3_19152, ZX1_3511, ZX2_3512, ZX3_3513, (-1) when C_X3_19152)
             | C_XW0_19452 := ACTIF_2224 and (not ZACTIF_2225)
             | C_XW0_19478 := ACTIF_2386 and (not ZACTIF_2387)
             | C_XW0_19504 := ACTIF_2546 and (not ZACTIF_2547)
             | C_XW0_19530 := ACTIF_2706 and (not ZACTIF_2707)
             | C_XW0_19556 := ACTIF_2866 and (not ZACTIF_2867)
             |)
          |)
         where 
         integer ZX1_3511, ZX2_3512, ZX3_3513, X1_3514, X2_3515, X3_3516;
         real LWAGONS_3042, ZX_3071, LTRAIN_3074, ZLTRAIN_3075, ZLWAGONS_3076, V_3234;
         boolean ACTIF_2224, ACTIF_2386, ACTIF_2546, ACTIF_2706, ACTIF_2866;
         process ACT_ZACTIF_2225 =
              ( )
            (| (| DX_2199 := V_3234 when ZACTIF_2225
                | LGW_2200 := LWAGONS_3042 when ZACTIF_2225
                |) |)
         %ACT_ZACTIF_2225%; 
         process ACT_ZACTIF_2387 =
              ( )
            (| (| DX_2364 := V_3234 when ZACTIF_2387
                | LGW_2365 := LWAGONS_3042 when ZACTIF_2387
                |) |)
         %ACT_ZACTIF_2387%; 
         process ACT_ZACTIF_2547 =
              ( )
            (| (| DX_2525 := V_3234 when ZACTIF_2547
                | LGW_2526 := LWAGONS_3042 when ZACTIF_2547
                |) |)
         %ACT_ZACTIF_2547%; 
         process ACT_ZACTIF_2707 =
              ( )
            (| (| DX_2685 := V_3234 when ZACTIF_2707
                | LGW_2686 := LWAGONS_3042 when ZACTIF_2707
                |) |)
         %ACT_ZACTIF_2707%; 
         process ACT_ZACTIF_2867 =
              ( )
            (| (| DX_2845 := V_3234 when ZACTIF_2867
                | LGW_2846 := LWAGONS_3042 when ZACTIF_2867
                |) |)
         %ACT_ZACTIF_2867%; 
         end
      %ACT_C_X3_19152%; 
      process ACT_C_NWAG_19155 =
           ( )
         (| when C_NWAG_19155 ^= NWAG_3240
          | (| L_3073 := LWAG_3235*real(NWAG_3240)
             | LWAG_3235 := L_3276 when C_NWAG_19155
             | NWAG_3240 := N_3273 when C_NWAG_19155
             |)
          |)
         where 
         integer NWAG_3240;
         end
      %ACT_C_NWAG_19155%; 
      process ACT_C_EFFACE =
           ( )
         (| when C_EFFACE ^= DP_3993 ^= NP_3994 ^= P_3995 ^= ZP_3996 ^= EFFACE_4024 ^= C_CLK_5635 ^= C_CLK_5685
          | (| ACT_C_COULEUR_19647{} |)
          | (| DP_3993 := XZX_3997 when C_EFFACE
             | NP_3994 := ZP_3996+DP_3993
             | P_3995 := (9 when C_L1CO) default (0 when C_CLK_5635) default (NP_3994 when C_CLK_5685)
             | ZP_3996 := P_3995$1 init 9
             | EFFACE_4024 := EFFACE_BARRIERE(520 when C_EFFACE, 80 when C_EFFACE, ZP_3996)
             | TRACE_BARRIERE(520 when C_EFFACE, 80 when C_EFFACE, P_3995, EFFACE_4024)
             | C_L1CO := NP_3994>=9
             | C_B1SD := NP_3994<=0
             | C_COULEUR_19647 := C_L1CO or C_B1SD
             | C_CLK_5635 := (not C_L1CO) and C_B1SD
             | C_CLK_5685 := not C_COULEUR_19647
             |)
          |)
         where 
         boolean EFFACE_4024, C_CLK_5635, C_CLK_5685;
         integer DP_3993, NP_3994, P_3995, ZP_3996;
         process ACT_C_COULEUR_19647 =
              ( )
            (| when C_COULEUR_19647 ^= SB ^= COULEUR_6589 ^= C_CLK_3768
             | (| SB := (true when C_L1CO) default (false when C_CLK_5635)
                | COULEUR_6589 := (1 when SB) default (0 when C_CLK_3768)
                | RECTANGLE(0 when C_COULEUR_19647, 137 when C_COULEUR_19647, 200 when C_COULEUR_19647, 187 when C_COULEUR_19647, 220 when C_COULEUR_19647, COULEUR_6589)
                | C_CLK_3768 := not SB
                |)
             |)
            where 
            integer COULEUR_6589;
            boolean SB, C_CLK_3768;
            end
         %ACT_C_COULEUR_19647%; 
         end
      %ACT_C_EFFACE%; 
      process ACT_C_EFFACE_19307 =
           ( )
         (| when C_EFFACE_19307 ^= DP ^= NP ^= P ^= ZP ^= EFFACE ^= C_CLK_5632 ^= C_CLK_5687
          | (| ACT_C_COULEUR{} |)
          | (| DP := XZX when C_EFFACE_19307
             | NP := ZP+DP
             | P := (9 when C_L2CO) default (0 when C_CLK_5632) default (NP when C_CLK_5687)
             | ZP := P$1 init 9
             | EFFACE := EFFACE_BARRIERE(520 when C_EFFACE_19307, 310 when C_EFFACE_19307, ZP)
             | TRACE_BARRIERE(520 when C_EFFACE_19307, 310 when C_EFFACE_19307, P, EFFACE)
             | C_L2CO := NP>=9
             | C_B2SD := NP<=0
             | C_COULEUR := C_L2CO or C_B2SD
             | C_CLK_5632 := (not C_L2CO) and C_B2SD
             | C_CLK_5687 := not C_COULEUR
             |)
          |)
         where 
         boolean EFFACE, C_CLK_5632, C_CLK_5687;
         integer DP, NP, P, ZP;
         process ACT_C_COULEUR =
              ( )
            (| when C_COULEUR ^= SB2 ^= COULEUR_6788 ^= C_CLK_3885
             | (| SB2 := (true when C_L2CO) default (false when C_CLK_5632)
                | COULEUR_6788 := (1 when SB2) default (0 when C_CLK_3885)
                | RECTANGLE(0 when C_COULEUR, 137 when C_COULEUR, 240 when C_COULEUR, 187 when C_COULEUR, 260 when C_COULEUR, COULEUR_6788)
                | C_CLK_3885 := not SB2
                |)
             |)
            where 
            integer COULEUR_6788;
            boolean SB2, C_CLK_3885;
            end
         %ACT_C_COULEUR%; 
         end
      %ACT_C_EFFACE_19307%; 
      process ACT_C_NXW =
           ( )
         (| when C_NXW ^= DX_1155 ^= Z_1282
          | (| DX_1155 := (DX_1174 when ZACTIF_1196) default (DX_1217 when C_CLK_5523)
             | LGW_1156 := (LGW_1175 when ZACTIF_1196) default (LGW_1218 when C_CLK_5523)
             | Z_1282 := ZXW_1285 when C_NXW
             | NXW_1283 := Z_1282+DX_1155
             | C_T1S10 := NXW_1283>=LGW_1156
             |)
          |)
         where 
         real DX_1155, Z_1282;
         end
      %ACT_C_NXW%; 
      process ACT_C_ZXW =
           ( )
         (| when C_ZXW ^= XW_1284
          | (| XW_1284 := (XW0_1157 when C_XW0_19605) default ((NXW_1283-LGW_1156) when C_CLK_5575) default (NXW_1283 when C_CLK_5521)
             | ZXW_1285 := XW_1284$1 init 0e0
             |)
          |)
         where 
         real XW_1284;
         end
      %ACT_C_ZXW%; 
      process ACT_C_NXW_19611 =
           ( )
         (| when C_NXW_19611 ^= DX_994 ^= Z_1121
          | (| DX_994 := (DX_1013 when ZACTIF_1035) default (DX_1056 when C_CLK_5527)
             | LGW_995 := (LGW_1014 when ZACTIF_1035) default (LGW_1057 when C_CLK_5527)
             | Z_1121 := ZXW_1124 when C_NXW_19611
             | NXW_1122 := Z_1121+DX_994
             | C_T1S20 := NXW_1122>=LGW_995
             |)
          |)
         where 
         real DX_994, Z_1121;
         end
      %ACT_C_NXW_19611%; 
      process ACT_C_ZXW_19617 =
           ( )
         (| when C_ZXW_19617 ^= XW_1123
          | (| XW_1123 := (XW0_996 when C_XW0_19614) default ((NXW_1122-LGW_995) when C_CLK_5567) default (NXW_1122 when C_CLK_5525)
             | ZXW_1124 := XW_1123$1 init 0e0
             |)
          |)
         where 
         real XW_1123;
         end
      %ACT_C_ZXW_19617%; 
      process ACT_C_NXW_19620 =
           ( )
         (| when C_NXW_19620 ^= DX_832 ^= Z_959
          | (| DX_832 := (DX_851 when ZACTIF_873) default (DX_894 when C_CLK_5531)
             | LGW_833 := (LGW_852 when ZACTIF_873) default (LGW_895 when C_CLK_5531)
             | Z_959 := ZXW_962 when C_NXW_19620
             | NXW_960 := Z_959+DX_832
             | C_T1S30 := NXW_960>=LGW_833
             |)
          |)
         where 
         real DX_832, Z_959;
         end
      %ACT_C_NXW_19620%; 
      process ACT_C_ZXW_19626 =
           ( )
         (| when C_ZXW_19626 ^= XW_961
          | (| XW_961 := (XW0_834 when C_XW0_19623) default ((NXW_960-LGW_833) when C_CLK_5559) default (NXW_960 when C_CLK_5529)
             | ZXW_962 := XW_961$1 init 0e0
             |)
          |)
         where 
         real XW_961;
         end
      %ACT_C_ZXW_19626%; 
      process ACT_C_NXW_19629 =
           ( )
         (| when C_NXW_19629 ^= DX_668 ^= Z_797
          | (| DX_668 := (DX_687 when ZACTIF_710) default (DX_731 when C_CLK_5535)
             | LGW_669 := (LGW_688 when ZACTIF_710) default (LGW_732 when C_CLK_5535)
             | Z_797 := ZXW_800 when C_NXW_19629
             | NXW_798 := Z_797+DX_668
             | C_T1S41 := NXW_798>=LGW_669
             |)
          |)
         where 
         real DX_668, Z_797;
         end
      %ACT_C_NXW_19629%; 
      process ACT_C_ZXW_19635 =
           ( )
         (| when C_ZXW_19635 ^= XW_799
          | (| XW_799 := (XW0_670 when C_XW0_19632) default ((NXW_798-LGW_669) when C_CLK_5553) default (NXW_798 when C_CLK_5533)
             | ZXW_800 := XW_799$1 init 0e0
             |)
          |)
         where 
         real XW_799;
         end
      %ACT_C_ZXW_19635%; 
      process ACT_C_NXW_19638 =
           ( )
         (| when C_NXW_19638 ^= DX ^= Z
          | (| DX := (DX_1 when ZACTIF) default (DX_4 when C_CLK_5539)
             | LGW := (LGW_2 when ZACTIF) default (LGW_5 when C_CLK_5539)
             | Z := ZXW when C_NXW_19638
             | NXW := Z+DX
             | C_T1S40 := NXW>=LGW
             |)
          |)
         where 
         real DX, Z;
         end
      %ACT_C_NXW_19638%; 
      process ACT_C_ZXW_19656 =
           ( )
         (| when C_ZXW_19656 ^= XW
          | (| XW := (XW0 when C_XW0_19653) default ((NXW-LGW) when C_CLK_5543) default (NXW when C_CLK_5537)
             | ZXW := XW$1 init 0e0
             |)
          |)
         where 
         real XW;
         end
      %ACT_C_ZXW_19656%; 
      process ACT_C_NXW_19674 =
           ( )
         (| when C_NXW_19674 ^= DX_2134 ^= Z_2268
          | (| DX_2134 := (DX_2153 when ZACTIF_2179) default (DX_2199 when C_CLK_5519)
             | LGW_2135 := (LGW_2154 when ZACTIF_2179) default (LGW_2200 when C_CLK_5519)
             | Z_2268 := ZXW_2271 when C_NXW_19674
             | NXW_2269 := Z_2268+DX_2134
             | C_T2S10 := NXW_2269>=LGW_2135
             |)
          |)
         where 
         real DX_2134, Z_2268;
         end
      %ACT_C_NXW_19674%; 
      process ACT_C_ZXW_19677 =
           ( )
         (| when C_ZXW_19677 ^= XW_2270
          | (| XW_2270 := (XW0_2136 when C_XW0_19671) default ((NXW_2269-LGW_2135) when C_CLK_5593) default (NXW_2269 when C_CLK_5517)
             | ZXW_2271 := XW_2270$1 init 0e0
             |)
          |)
         where 
         real XW_2270;
         end
      %ACT_C_ZXW_19677%; 
      process ACT_C_NXW_19680 =
           ( )
         (| when C_NXW_19680 ^= DX_2302 ^= Z_2430
          | (| DX_2302 := (DX_2321 when ZACTIF_2344) default (DX_2364 when C_CLK_5515)
             | LGW_2303 := (LGW_2322 when ZACTIF_2344) default (LGW_2365 when C_CLK_5515)
             | Z_2430 := ZXW_2433 when C_NXW_19680
             | NXW_2431 := Z_2430+DX_2302
             | C_T2S11 := NXW_2431>=LGW_2303
             |)
          |)
         where 
         real DX_2302, Z_2430;
         end
      %ACT_C_NXW_19680%; 
      process ACT_C_ZXW_19683 =
           ( )
         (| when C_ZXW_19683 ^= XW_2432
          | (| XW_2432 := (XW0_2304 when C_XW0_19668) default ((NXW_2431-LGW_2303) when C_CLK_5599) default (NXW_2431 when C_CLK_5513)
             | ZXW_2433 := XW_2432$1 init 0e0
             |)
          |)
         where 
         real XW_2432;
         end
      %ACT_C_ZXW_19683%; 
      process ACT_C_NXW_19686 =
           ( )
         (| when C_NXW_19686 ^= DX_2464 ^= Z_2590
          | (| DX_2464 := (DX_2483 when ZACTIF_2505) default (DX_2525 when C_CLK_5511)
             | LGW_2465 := (LGW_2484 when ZACTIF_2505) default (LGW_2526 when C_CLK_5511)
             | Z_2590 := ZXW_2593 when C_NXW_19686
             | NXW_2591 := Z_2590+DX_2464
             | C_T2S20 := NXW_2591>=LGW_2465
             |)
          |)
         where 
         real DX_2464, Z_2590;
         end
      %ACT_C_NXW_19686%; 
      process ACT_C_ZXW_19689 =
           ( )
         (| when C_ZXW_19689 ^= XW_2592
          | (| XW_2592 := (XW0_2466 when C_XW0_19665) default ((NXW_2591-LGW_2465) when C_CLK_5607) default (NXW_2591 when C_CLK_5509)
             | ZXW_2593 := XW_2592$1 init 0e0
             |)
          |)
         where 
         real XW_2592;
         end
      %ACT_C_ZXW_19689%; 
      process ACT_C_NXW_19692 =
           ( )
         (| when C_NXW_19692 ^= DX_2624 ^= Z_2750
          | (| DX_2624 := (DX_2643 when ZACTIF_2665) default (DX_2685 when C_CLK_5507)
             | LGW_2625 := (LGW_2644 when ZACTIF_2665) default (LGW_2686 when C_CLK_5507)
             | Z_2750 := ZXW_2753 when C_NXW_19692
             | NXW_2751 := Z_2750+DX_2624
             | C_T2S30 := NXW_2751>=LGW_2625
             |)
          |)
         where 
         real DX_2624, Z_2750;
         end
      %ACT_C_NXW_19692%; 
      process ACT_C_ZXW_19695 =
           ( )
         (| when C_ZXW_19695 ^= XW_2752
          | (| XW_2752 := (XW0_2626 when C_XW0_19662) default ((NXW_2751-LGW_2625) when C_CLK_5615) default (NXW_2751 when C_CLK_5505)
             | ZXW_2753 := XW_2752$1 init 0e0
             |)
          |)
         where 
         real XW_2752;
         end
      %ACT_C_ZXW_19695%; 
      process ACT_C_NXW_19698 =
           ( )
         (| when C_NXW_19698 ^= DX_2784 ^= Z_2910
          | (| DX_2784 := (DX_2803 when ZACTIF_2825) default (DX_2845 when C_CLK_5503)
             | LGW_2785 := (LGW_2804 when ZACTIF_2825) default (LGW_2846 when C_CLK_5503)
             | Z_2910 := ZXW_2913 when C_NXW_19698
             | NXW_2911 := Z_2910+DX_2784
             | C_T2S40 := NXW_2911>=LGW_2785
             |)
          |)
         where 
         real DX_2784, Z_2910;
         end
      %ACT_C_NXW_19698%; 
      process ACT_C_ZXW_19701 =
           ( )
         (| when C_ZXW_19701 ^= XW_2912
          | (| XW_2912 := (XW0_2786 when C_XW0_19659) default ((NXW_2911-LGW_2785) when C_CLK_5621) default (NXW_2911 when C_CLK_5501)
             | ZXW_2913 := XW_2912$1 init 0e0
             |)
          |)
         where 
         real XW_2912;
         end
      %ACT_C_ZXW_19701%; 
      process ACT_C_ZN =
           ( )
         (| when C_ZN ^= N_5146 ^= ZN_5147
          | (| N_5146 := (5 when C_EB1D) default (0 when C_CLK_6335) default ((ZN_5147-1) when C_CLK_6327) default (ZN_5147 when C_CLK_6295)
             | ZN_5147 := N_5146$1 init 0
             | C_CLK_2895 := ZN_5147>0
             | C_CLK_2906 := ZN_5147=1
             |)
          |)
         where 
         integer N_5146, ZN_5147;
         end
      %ACT_C_ZN%; 
      process ACT_C_ZN_19807 =
           ( )
         (| when C_ZN_19807 ^= N_5324 ^= ZN_5325
          | (| N_5324 := (5 when C_EB2D) default (0 when C_CLK_6351) default ((ZN_5325-1) when C_CLK_6321) default (ZN_5325 when C_CLK_6299)
             | ZN_5325 := N_5324$1 init 0
             | C_CLK_3039 := ZN_5325>0
             | C_CLK_3050 := ZN_5325=1
             |)
          |)
         where 
         integer N_5324, ZN_5325;
         end
      %ACT_C_ZN_19807%; 
      process ACT_C_DN =
           ( )
         (| when C_DN ^= N_4477 ^= ZN_4478 ^= DN_4479 ^= C_CLK_2475 ^= C_CLK_2478 ^= C_COULEUR_20255 ^= C_CLK_5644
          | (| ACT_C_COULEUR_20255{} |)
          | (| N_4477 := ZN_4478+DN_4479
             | ZN_4478 := N_4477$1 init 0
             | DN_4479 := (0 when C_CLK_4493) default (1 when C_CLK_5569) default ((-1) when C_CLK_5577)
             | C_CLK_2475 := ZN_4478=0
             | C_CLK_2478 := N_4477=0
             | C_COULEUR_20255 := C_CLK_2475 or C_CLK_2478
             | C_CLK_5644 := (not C_CLK_2475) and C_CLK_2478
             |)
          |)
         where 
         boolean C_CLK_2475, C_CLK_2478, C_COULEUR_20255, C_CLK_5644;
         integer N_4477, ZN_4478, DN_4479;
         process ACT_C_COULEUR_20255 =
              ( )
            (| when C_COULEUR_20255 ^= EST ^= COULEUR_6312 ^= C_CLK_3619
             | (| EST := (true when C_CLK_2475) default (false when C_CLK_5644)
                | COULEUR_6312 := (1 when EST) default (0 when C_CLK_3619)
                | RECTANGLE(0 when C_COULEUR_20255, 360 when C_COULEUR_20255, 60 when C_COULEUR_20255, 460 when C_COULEUR_20255, 80 when C_COULEUR_20255, COULEUR_6312)
                | C_CLK_3619 := not EST
                |)
             |)
            where 
            integer COULEUR_6312;
            boolean EST, C_CLK_3619;
            end
         %ACT_C_COULEUR_20255%; 
         end
      %ACT_C_DN%; 
      process ACT_C_DN_19949 =
           ( )
         (| when C_DN_19949 ^= N_4449 ^= ZN_4450 ^= DN_4451 ^= C_CLK_2445 ^= C_CLK_2448 ^= C_CLK_5641
          | (| when C_COULEUR_20258 ^= C_MONTER_4
             | ACT_C_COULEUR_20258{}
             |)
          | (| N_4449 := ZN_4450+DN_4451
             | ZN_4450 := N_4449$1 init 0
             | DN_4451 := (0 when C_CLK_4529) default (1 when C_CLK_5561) default ((-1) when C_CLK_5571)
             | C_CLK_2445 := ZN_4450=0
             | C_CLK_2448 := N_4449=0
             | C_COULEUR_20258 := C_CLK_2445 or C_CLK_2448
             | C_CLK_5641 := (not C_CLK_2445) and C_CLK_2448
             |)
          |)
         where 
         boolean C_CLK_2445, C_CLK_2448, C_CLK_5641;
         integer N_4449, ZN_4450, DN_4451;
         process ACT_C_COULEUR_20258 =
              ( )
            (| when C_COULEUR_20258 ^= CENTRE ^= COULEUR_6259
             | (| CENTRE := (true when C_CLK_2445) default (false when C_CLK_5641)
                | COULEUR_6259 := (1 when CENTRE) default (0 when C_MONTER_4)
                | RECTANGLE(0 when C_COULEUR_20258, 240 when C_COULEUR_20258, 60 when C_COULEUR_20258, 340 when C_COULEUR_20258, 80 when C_COULEUR_20258, COULEUR_6259)
                | C_MONTER_4 := not CENTRE
                |)
             |)
            where 
            integer COULEUR_6259;
            boolean CENTRE;
            end
         %ACT_C_COULEUR_20258%; 
         end
      %ACT_C_DN_19949%; 
      process ACT_C_ZN_19955 =
           ( )
         (| when C_ZN_19955 ^= N_5468 ^= ZN_5480
          | (| N_5468 := (13 when C_T1S41) default ((ZN_5480-1) when C_CLK_5661) default (ZN_5480 when C_CLK_5551)
             | ZN_5480 := N_5468$1 init 0
             | C_CLK_3142 := ZN_5480>0
             | C_CLK_3156 := ZN_5480=1
             |)
          |)
         where 
         integer N_5468, ZN_5480;
         end
      %ACT_C_ZN_19955%; 
      process ACT_C_DN_19964 =
           ( )
         (| when C_DN_19964 ^= N_4421 ^= ZN ^= DN ^= C_CLK_2415 ^= C_CLK_2418 ^= C_COULEUR_20273 ^= C_CLK_5638
          | (| ACT_C_COULEUR_20273{} |)
          | (| N_4421 := ZN+DN
             | ZN := N_4421$1 init 0
             | DN := (0 when C_CLK_4623) default (1 when C_CLK_5547) default ((-1) when C_CLK_5563)
             | C_CLK_2415 := ZN=0
             | C_CLK_2418 := N_4421=0
             | C_COULEUR_20273 := C_CLK_2415 or C_CLK_2418
             | C_CLK_5638 := (not C_CLK_2415) and C_CLK_2418
             |)
          |)
         where 
         boolean C_CLK_2415, C_CLK_2418, C_COULEUR_20273, C_CLK_5638;
         integer N_4421, ZN, DN;
         process ACT_C_COULEUR_20273 =
              ( )
            (| when C_COULEUR_20273 ^= OCCUPE ^= COULEUR_6204 ^= C_CLK_3553
             | (| OCCUPE := (true when C_CLK_2415) default (false when C_CLK_5638)
                | COULEUR_6204 := (1 when OCCUPE) default (0 when C_CLK_3553)
                | RECTANGLE(0 when C_COULEUR_20273, 120 when C_COULEUR_20273, 60 when C_COULEUR_20273, 220 when C_COULEUR_20273, 80 when C_COULEUR_20273, COULEUR_6204)
                | C_CLK_3553 := not OCCUPE
                |)
             |)
            where 
            integer COULEUR_6204;
            boolean OCCUPE, C_CLK_3553;
            end
         %ACT_C_COULEUR_20273%; 
         end
      %ACT_C_DN_19964%; 
      process ACT_C_DN_19982 =
           ( )
         (| when C_DN_19982 ^= N_4536 ^= ZN_4537 ^= DN_4538 ^= C_CLK_2521 ^= C_CLK_2524 ^= C_COULEUR_20252 ^= C_CLK_5647
          | (| ACT_C_COULEUR_20252{} |)
          | (| N_4536 := ZN_4537+DN_4538
             | ZN_4537 := N_4536$1 init 0
             | DN_4538 := (0 when C_CLK_5261) default (1 when C_CLK_5591) default ((-1) when C_CLK_5605)
             | C_CLK_2521 := ZN_4537=0
             | C_CLK_2524 := N_4536=0
             | C_COULEUR_20252 := C_CLK_2521 or C_CLK_2524
             | C_CLK_5647 := (not C_CLK_2521) and C_CLK_2524
             |)
          |)
         where 
         boolean C_CLK_2521, C_CLK_2524, C_COULEUR_20252, C_CLK_5647;
         integer N_4536, ZN_4537, DN_4538;
         process ACT_C_COULEUR_20252 =
              ( )
            (| when C_COULEUR_20252 ^= TS2W ^= COULEUR_6497 ^= C_CLK_3726
             | (| TS2W := (true when C_CLK_2521) default (false when C_CLK_5647)
                | COULEUR_6497 := (1 when TS2W) default (0 when C_CLK_3726)
                | RECTANGLE(0 when C_COULEUR_20252, 360 when C_COULEUR_20252, 100 when C_COULEUR_20252, 460 when C_COULEUR_20252, 120 when C_COULEUR_20252, COULEUR_6497)
                | C_CLK_3726 := not TS2W
                |)
             |)
            where 
            integer COULEUR_6497;
            boolean TS2W, C_CLK_3726;
            end
         %ACT_C_COULEUR_20252%; 
         end
      %ACT_C_DN_19982%; 
      process ACT_C_ZN_19988 =
           ( )
         (| when C_ZN_19988 ^= N_4796 ^= ZN_4809
          | (| N_4796 := (13 when C_T2S11) default ((ZN_4809-1) when C_CLK_5655) default (ZN_4809 when C_CLK_5445)
             | ZN_4809 := N_4796$1 init 0
             | C_CLK_2651 := ZN_4809>0
             | C_CLK_2665 := ZN_4809=1
             |)
          |)
         where 
         integer N_4796, ZN_4809;
         end
      %ACT_C_ZN_19988%; 
      process ACT_C_DN_19994 =
           ( )
         (| when C_DN_19994 ^= N_4564 ^= ZN_4565 ^= DN_4566 ^= C_CLK_2551 ^= C_CLK_2554 ^= C_CLK_5650
          | (| when C_COULEUR_20249 ^= C_MONTER_1
             | ACT_C_COULEUR_20249{}
             |)
          | (| N_4564 := ZN_4565+DN_4566
             | ZN_4565 := N_4564$1 init 0
             | DN_4566 := (0 when C_CLK_5263) default (1 when C_CLK_5603) default ((-1) when C_CLK_5613)
             | C_CLK_2551 := ZN_4565=0
             | C_CLK_2554 := N_4564=0
             | C_COULEUR_20249 := C_CLK_2551 or C_CLK_2554
             | C_CLK_5650 := (not C_CLK_2551) and C_CLK_2554
             |)
          |)
         where 
         boolean C_CLK_2551, C_CLK_2554, C_CLK_5650;
         integer N_4564, ZN_4565, DN_4566;
         process ACT_C_COULEUR_20249 =
              ( )
            (| when C_COULEUR_20249 ^= TS2C ^= COULEUR_6444
             | (| TS2C := (true when C_CLK_2551) default (false when C_CLK_5650)
                | COULEUR_6444 := (1 when TS2C) default (0 when C_MONTER_1)
                | RECTANGLE(0 when C_COULEUR_20249, 240 when C_COULEUR_20249, 100 when C_COULEUR_20249, 340 when C_COULEUR_20249, 120 when C_COULEUR_20249, COULEUR_6444)
                | C_MONTER_1 := not TS2C
                |)
             |)
            where 
            integer COULEUR_6444;
            boolean TS2C;
            end
         %ACT_C_COULEUR_20249%; 
         end
      %ACT_C_DN_19994%; 
      process ACT_C_DN_20000 =
           ( )
         (| when C_DN_20000 ^= N_4592 ^= ZN_4593 ^= DN_4594 ^= C_CLK_2581 ^= C_CLK_2584 ^= C_COULEUR_20246 ^= C_CLK_5653
          | (| ACT_C_COULEUR_20246{} |)
          | (| N_4592 := ZN_4593+DN_4594
             | ZN_4593 := N_4592$1 init 0
             | DN_4594 := (0 when C_CLK_5265) default (1 when C_CLK_5611) default ((-1) when C_CLK_5619)
             | C_CLK_2581 := ZN_4593=0
             | C_CLK_2584 := N_4592=0
             | C_COULEUR_20246 := C_CLK_2581 or C_CLK_2584
             | C_CLK_5653 := (not C_CLK_2581) and C_CLK_2584
             |)
          |)
         where 
         boolean C_CLK_2581, C_CLK_2584, C_COULEUR_20246, C_CLK_5653;
         integer N_4592, ZN_4593, DN_4594;
         process ACT_C_COULEUR_20246 =
              ( )
            (| when C_COULEUR_20246 ^= TS2E ^= COULEUR_6389 ^= C_CLK_3660
             | (| TS2E := (true when C_CLK_2581) default (false when C_CLK_5653)
                | COULEUR_6389 := (1 when TS2E) default (0 when C_CLK_3660)
                | RECTANGLE(0 when C_COULEUR_20246, 120 when C_COULEUR_20246, 100 when C_COULEUR_20246, 220 when C_COULEUR_20246, 120 when C_COULEUR_20246, COULEUR_6389)
                | C_CLK_3660 := not TS2E
                |)
             |)
            where 
            integer COULEUR_6389;
            boolean TS2E, C_CLK_3660;
            end
         %ACT_C_COULEUR_20246%; 
         end
      %ACT_C_DN_20000%; 
      process ACT_C_ZPASSANT =
           ( )
         (| when C_ZPASSANT ^= PASSANT_5671
          | (| PASSANT_5671 := (true when C_TOP_5430) default (false when C_CLK_5555)
             | ZPASSANT_5672 := PASSANT_5671$1 init INITIAL_5664
             |)
          |)
         where 
         boolean PASSANT_5671;
         end
      %ACT_C_ZPASSANT%; 
      process ACT_C_ZPASSANT_20270 =
           ( )
         (| when C_ZPASSANT_20270 ^= PASSANT_5447
          | (| PASSANT_5447 := (true when C_TOP_5430) default (false when C_CLK_5545)
             | ZPASSANT_5448 := PASSANT_5447$1 init INITIAL_5440
             |)
          |)
         where 
         boolean PASSANT_5447;
         end
      %ACT_C_ZPASSANT_20270%; 
      process ACT_C_ZPASSANT_20279 =
           ( )
         (| when C_ZPASSANT_20279 ^= PASSANT
          | (| PASSANT := (true when C_TOP) default (false when C_CLK_5589)
             | ZPASSANT := PASSANT$1 init INITIAL
             |)
          |)
         where 
         boolean PASSANT;
         end
      %ACT_C_ZPASSANT_20279%; 
      process ACT_C_ZPASSANT_20282 =
           ( )
         (| when C_ZPASSANT_20282 ^= PASSANT_5018
          | (| PASSANT_5018 := (true when C_TOP) default (false when C_CLK_5597)
             | ZPASSANT_5019 := PASSANT_5018$1 init INITIAL_5011
             |)
          |)
         where 
         boolean PASSANT_5018;
         end
      %ACT_C_ZPASSANT_20282%; 
      process ACT_C_ =
           ( )
         (| when C_ ^= DUREE_5523 ^= ATTENTE_5587 ^= XZX_5590
          | (| when C_N0_20461 ^= N0_5588
             | (| N0_5588 := ATTENTE_5587 when C_N0_20461 |)
             |)
          | (| DUREE_5523 := N_5573 when C_
             | ATTENTE_5587 := (integer(XZX_5590)-30) when C_
             | XZX_5590 := ((real(DUREE_5523)*(DIST2/DIST1))/100.0) when C_
             | C_N0_20461 := ATTENTE_5587>0
             | C_CLK_3244 := ATTENTE_5587<=15
             | C_CLK_3253 := ATTENTE_5587<=0
             |)
          |)
         where 
         real XZX_5590;
         integer DUREE_5523, ATTENTE_5587;
         end
      %ACT_C_%; 
      process ACT_C_ZN_20403 =
           ( )
         (| when C_ZN_20403 ^= ZN_5574
          | (| N_5573 := (0 when C_SORTIE_1_5431) default ((ZN_5574+1) when C_CLK_5491)
             | ZN_5574 := N_5573$1 init 0
             |)
          |)
         where 
         integer ZN_5574;
         end
      %ACT_C_ZN_20403%; 
      process ACT_C__20406 =
           ( )
         (| when C__20406 ^= DUREE ^= ATTENTE ^= XZX_4922
          | (| when C_N0 ^= N0_4920
             | (| N0_4920 := ATTENTE when C_N0 |)
             |)
          | (| DUREE := N_4905 when C__20406
             | ATTENTE := (integer(XZX_4922)-30) when C__20406
             | XZX_4922 := ((real(DUREE)*(DIST2/DIST1))/100.0) when C__20406
             | C_N0 := ATTENTE>0
             | C_CLK_2753 := ATTENTE<=15
             | C_CLK_2762 := ATTENTE<=0
             |)
          |)
         where 
         real XZX_4922;
         integer DUREE, ATTENTE;
         end
      %ACT_C__20406%; 
      process ACT_C_ZN_20415 =
           ( )
         (| when C_ZN_20415 ^= ZN_4906
          | (| N_4905 := (0 when C_SORTIE_1) default ((ZN_4906+1) when C_CLK_5439)
             | ZN_4906 := N_4905$1 init 0
             |)
          |)
         where 
         integer ZN_4906;
         end
      %ACT_C_ZN_20415%; 
      process ACT_C_ZN_20486 =
           ( )
         (| when C_ZN_20486 ^= N_5522 ^= ZN_5614
          | (| N_5522 := (N0_5588 when C_N0_20461) default ((ZN_5614-1) when C_CLK_5665) default (ZN_5614 when C_CLK_5663)
             | ZN_5614 := N_5522$1 init 0
             | AFFENTIER(N_5522, 170 when C_ZN_20486, 200 when C_ZN_20486)
             | C_CLK_3223 := ZN_5614>0
             | C_CLK_3237 := ZN_5614=1
             | C_CLK_3247 := N_5522=15
             |)
          |)
         where 
         integer N_5522, ZN_5614;
         end
      %ACT_C_ZN_20486%; 
      process ACT_C_ZN_20489 =
           ( )
         (| when C_ZN_20489 ^= N_4853 ^= ZN_4948
          | (| N_4853 := (N0_4920 when C_N0) default ((ZN_4948-1) when C_CLK_5657) default (ZN_4948 when C_CLK_5437)
             | ZN_4948 := N_4853$1 init 0
             | AFFENTIER(N_4853, 170 when C_ZN_20489, 220 when C_ZN_20489)
             | C_CLK_2732 := ZN_4948>0
             | C_CLK_2746 := ZN_4948=1
             | C_CLK_2756 := N_4853=15
             |)
          |)
         where 
         integer N_4853, ZN_4948;
         end
      %ACT_C_ZN_20489%; 
      process ACT_C_ZN_20573 =
           ( )
         (| when C_ZN_20573 ^= DN1 ^= DN2 ^= DN3 ^= DN4 ^= N_5729 ^= ZN_5730 ^= C_ERREUR
          | (| (| ALERTE(true when C_ERREUR) |) |)
          | (| DN1 := (1 when C_T_5) default (0 when C_CLK_5421)
             | DN2 := (1 when C_T_2) default (0 when C_CLK_5423)
             | DN3 := ((-1) when C_MONTER_4) default (0 when C_CLK_5425)
             | DN4 := ((-1) when C_MONTER_1) default (0 when C_CLK_5427)
             | N_5729 := ZN_5730+DN1+DN2+DN3+DN4
             | ZN_5730 := N_5729$1 init 0
             | C_OUVRIR := N_5729=0
             | C_ERREUR := N_5729<0
             |)
          |)
         where 
         boolean C_ERREUR;
         integer DN1, DN2, DN3, DN4, N_5729, ZN_5730;
         end
      %ACT_C_ZN_20573%; 
      process ACT_C_ZPASSANT_20621 =
           ( )
         (| when C_ZPASSANT_20621 ^= PASSANT_5781
          | (| PASSANT_5781 := (true when C_OUVRIR) default (false when C_CLK_5431)
             | ZPASSANT_5782 := PASSANT_5781$1 init INITIAL_5775
             |)
          |)
         where 
         boolean PASSANT_5781;
         end
      %ACT_C_ZPASSANT_20621%; 
      process ACT_C_ZN_20631 =
           ( )
         (| when C_ZN_20631 ^= N_5287 ^= ZN_5288
          | (| N_5287 := (5 when C_OUVRIR) default (0 when C_CLK_6355) default ((ZN_5288-1) when C_CLK_6323) default (ZN_5288 when C_CLK_6291)
             | ZN_5288 := N_5287$1 init 0
             | C_CLK_3003 := ZN_5288>0
             | C_CLK_3014 := ZN_5288=1
             |)
          |)
         where 
         integer N_5287, ZN_5288;
         end
      %ACT_C_ZN_20631%; 
      process ACT_C_ZN_20637 =
           ( )
         (| when C_ZN_20637 ^= N_5108 ^= ZN_5109
          | (| N_5108 := (5 when C_OUVRIR) default (0 when C_CLK_6339) default ((ZN_5109-1) when C_CLK_6329) default (ZN_5109 when C_CLK_6293)
             | ZN_5109 := N_5108$1 init 0
             | C_CLK_2859 := ZN_5109>0
             | C_CLK_2870 := ZN_5109=1
             |)
          |)
         where 
         integer N_5108, ZN_5109;
         end
      %ACT_C_ZN_20637%; 
      process ACT_C_ZN_20702 =
           ( )
         (| when C_ZN_20702 ^= N_5361 ^= ZN_5362
          | (| N_5361 := (5 when C_FERMER) default (0 when C_CLK_6349) default ((ZN_5362-1) when C_CLK_6319) default (ZN_5362 when C_CLK_6301)
             | ZN_5362 := N_5361$1 init 0
             | C_CLK_3072 := ZN_5362>0
             | C_CLK_3083 := ZN_5362=1
             |)
          |)
         where 
         integer N_5361, ZN_5362;
         end
      %ACT_C_ZN_20702%; 
      process ACT_C_ZN_20705 =
           ( )
         (| when C_ZN_20705 ^= N_5184 ^= ZN_5185
          | (| N_5184 := (5 when C_FERMER) default (0 when C_CLK_6333) default ((ZN_5185-1) when C_CLK_6325) default (ZN_5185 when C_CLK_6297)
             | ZN_5185 := N_5184$1 init 0
             | C_CLK_2928 := ZN_5185>0
             | C_CLK_2939 := ZN_5185=1
             |)
          |)
         where 
         integer N_5184, ZN_5185;
         end
      %ACT_C_ZN_20705%; 
      process ACT_C_ZACTIF =
           ( )
         (| when C_ZACTIF ^= ZACTIF_6038
          | (| ACTIF_6037 := (true when C_L2CS) default (false when C_CLK_6281) default (ZACTIF_6038 when C_CLK_6303)
             | ZACTIF_6038 := ACTIF_6037$1 init false
             |)
          |)
         where 
         boolean ZACTIF_6038;
         end
      %ACT_C_ZACTIF%; 
      process ACT_C_COULEUR_20723 =
           ( )
         (| when C_COULEUR_20723 ^= T1_6766 ^= COULEUR_6849 ^= C_CLK_3925
          | (| T1_6766 := (true when C_EB2U) default (false when C_CLK_6361)
             | COULEUR_6849 := (1 when T1_6766) default (0 when C_CLK_3925)
             | RECTANGLE(0 when C_COULEUR_20723, 280 when C_COULEUR_20723, 240 when C_COULEUR_20723, 380 when C_COULEUR_20723, 260 when C_COULEUR_20723, COULEUR_6849)
             | C_CLK_3925 := not T1_6766
             |)
          |)
         where 
         integer COULEUR_6849;
         boolean T1_6766, C_CLK_3925;
         end
      %ACT_C_COULEUR_20723%; 
      process ACT_C_ZACTIF_20729 =
           ( )
         (| when C_ZACTIF_20729 ^= ZACTIF_5885
          | (| ACTIF_5884 := (true when C_L1CS) default (false when C_CLK_6267) default (ZACTIF_5885 when C_CLK_6305)
             | ZACTIF_5885 := ACTIF_5884$1 init false
             |)
          |)
         where 
         boolean ZACTIF_5885;
         end
      %ACT_C_ZACTIF_20729%; 
      process ACT_C_COULEUR_20735 =
           ( )
         (| when C_COULEUR_20735 ^= T1_6566 ^= COULEUR_6650 ^= C_CLK_3808
          | (| T1_6566 := (true when C_EB1U) default (false when C_CLK_6345)
             | COULEUR_6650 := (1 when T1_6566) default (0 when C_CLK_3808)
             | RECTANGLE(0 when C_COULEUR_20735, 280 when C_COULEUR_20735, 200 when C_COULEUR_20735, 380 when C_COULEUR_20735, 220 when C_COULEUR_20735, COULEUR_6650)
             | C_CLK_3808 := not T1_6566
             |)
          |)
         where 
         integer COULEUR_6650;
         boolean T1_6566, C_CLK_3808;
         end
      %ACT_C_COULEUR_20735%; 
      process ACT_C_COULEUR_20859 =
           ( )
         (| when C_COULEUR_20859 ^= T2_6765 ^= COULEUR_6902 ^= C_CLK_3958
          | (| T2_6765 := (true when C_EB2D) default (false when C_CLK_6359)
             | COULEUR_6902 := (1 when T2_6765) default (0 when C_CLK_3958)
             | RECTANGLE(0 when C_COULEUR_20859, 400 when C_COULEUR_20859, 240 when C_COULEUR_20859, 500 when C_COULEUR_20859, 260 when C_COULEUR_20859, COULEUR_6902)
             | C_CLK_3958 := not T2_6765
             |)
          |)
         where 
         integer COULEUR_6902;
         boolean T2_6765, C_CLK_3958;
         end
      %ACT_C_COULEUR_20859%; 
      process ACT_C_COULEUR_20889 =
           ( )
         (| when C_COULEUR_20889 ^= T2_6565 ^= COULEUR_6703 ^= C_CLK_3841
          | (| T2_6565 := (true when C_EB1D) default (false when C_CLK_6343)
             | COULEUR_6703 := (1 when T2_6565) default (0 when C_CLK_3841)
             | RECTANGLE(0 when C_COULEUR_20889, 400 when C_COULEUR_20889, 200 when C_COULEUR_20889, 500 when C_COULEUR_20889, 220 when C_COULEUR_20889, COULEUR_6703)
             | C_CLK_3841 := not T2_6565
             |)
          |)
         where 
         integer COULEUR_6703;
         boolean T2_6565, C_CLK_3841;
         end
      %ACT_C_COULEUR_20889%; 
      process ACT_C_ZTCLIGNO =
           ( )
         (| when C_ZTCLIGNO ^= ZTCLIGNO_6041
          | (| TCLIGNO_6040 := not ZTCLIGNO_6041
             | ZTCLIGNO_6041 := TCLIGNO_6040$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO_6041;
         end
      %ACT_C_ZTCLIGNO%; 
      process ACT_C_ZTCLIGNO_20919 =
           ( )
         (| when C_ZTCLIGNO_20919 ^= ZTCLIGNO
          | (| TCLIGNO := not ZTCLIGNO
             | ZTCLIGNO := TCLIGNO$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO;
         end
      %ACT_C_ZTCLIGNO_20919%; 
      process ACT_C_COULEUR_20922 =
           ( )
         (| when C_COULEUR_20922 ^= T_5889 ^= COULEUR ^= C_CLK_3429
          | (| T_5889 := (TSTABLE when C_TSTABLE_20143) default (TCLIGNO when C_CLK_6257)
             | COULEUR := (1 when T_5889) default (0 when C_CLK_3429)
             | RECTANGLE(1 when C_COULEUR_20922, 498 when C_COULEUR_20922, 72 when C_COULEUR_20922, 514 when C_COULEUR_20922, 88 when C_COULEUR_20922, COULEUR)
             | C_CLK_3429 := not T_5889
             |)
          |)
         where 
         integer COULEUR;
         boolean T_5889, C_CLK_3429;
         end
      %ACT_C_COULEUR_20922%; 
      process ACT_C_COULEUR_20925 =
           ( )
         (| when C_COULEUR_20925 ^= T_6042 ^= COULEUR_6091 ^= C_CLK_3507
          | (| T_6042 := (TSTABLE_6036 when C_TSTABLE) default (TCLIGNO_6040 when C_CLK_6255)
             | COULEUR_6091 := (1 when T_6042) default (0 when C_CLK_3507)
             | RECTANGLE(1 when C_COULEUR_20925, 498 when C_COULEUR_20925, 302 when C_COULEUR_20925, 514 when C_COULEUR_20925, 318 when C_COULEUR_20925, COULEUR_6091)
             | C_CLK_3507 := not T_6042
             |)
          |)
         where 
         integer COULEUR_6091;
         boolean T_6042, C_CLK_3507;
         end
      %ACT_C_COULEUR_20925%; 
      end
   %ACT_Tick%; 
   process RAZSLIDER =
        ( ? integer NS;
        )
   
   %RAZSLIDER%; 
   process DESSINERTRAIN =
        ( ? real XDEB, XFIN, L;
            integer Y1, Y2, ZX1, ZX2, ZX3, S;
          ! integer X1, X2, X3;
        )
        spec (| XDEB ^= XFIN ^= L ^= Y1 ^= Y2 ^= ZX1 ^= ZX2 ^= ZX3 ^= S ^= X1 ^= X2 ^= X3 |)
   
   %DESSINERTRAIN%; 
   process RECTANGLE =
        ( ? integer FEN;
            integer X1, Y1, X2, Y2, COULEUR;
        )
        spec (| FEN ^= X1 ^= Y1 ^= X2 ^= Y2 ^= COULEUR |)
   
   %RECTANGLE%; 
   process EFFACE_BARRIERE =
        ( ? integer X, Y, ZP;
          ! boolean EFFACE;
        )
        spec (| X ^= Y ^= ZP ^= EFFACE |)
   
   %EFFACE_BARRIERE%; 
   process TRACE_BARRIERE =
        ( ? integer X, Y, P;
            boolean EFFACE;
        )
        spec (| X ^= Y ^= P ^= EFFACE |)
   
   %TRACE_BARRIERE%; 
   process AFFENTIER =
        ( ? integer N, X1, Y1;
        )
        spec (| N ^= X1 ^= Y1 |)
   
   %AFFENTIER%; 
   process ALERTE =
        ( ? boolean ERREUR;
        )
   
   %ALERTE%; 
   end
%TRAIN_BOOL_TRA%; %(| Tick := true when Tick
                    | C_CLK_813 := not (ZXX1>XT5)
                    | C_CLK_826 := not ((VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2)))
                    | C_CLK_834 := not (ZXX1<=XT1)
                    | C_CLK_875 := not (ZXX2>XT5)
                    | C_CLK_889 := not ((VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1)))
                    | C_CLK_897 := not (ZXX2<=XT1)
                    | C_CLK_1764 := not (ZXX1_3153>XT5)
                    | C_CLK_1778 := not ((VITESSE_3198>0.0e0) and ((ZX1_3155>=ZX2_3154) or ((ZX1_3155+DMIN)<ZXX2_3152)))
                    | C_CLK_1786 := not (ZXX1_3153<=XT1)
                    | C_CLK_1827 := not (ZXX2_3152>XT5)
                    | C_CLK_1841 := not ((VITESSE_3274>0.0e0) and ((ZX2_3154>=ZX1_3155) or ((ZX2_3154+DMIN)<ZXX1_3153)))
                    | C_CLK_1849 := not (ZXX2_3152<=XT1)
                    | C_CLK_2013 := not MOUVEMENT
                    | C_CLK_2199 := not ZACTIF_4185
                    | C_CLK_2698 := not ACTIF_4874
                    | C_CLK_3189 := not ACTIF_5542
                    | C_CLK_4048 := not HV11
                    | C_CLK_4052 := not HV12
                    | C_CLK_4056 := not HLW1
                    | C_CLK_4060 := not HNW1
                    | C_CLK_4087 := not HV21
                    | C_CLK_4091 := not HV22
                    | C_CLK_4095 := not HLW2
                    | C_CLK_4099 := not HNW2
                    | C_CLK_4125 := not HREPARER1
                    | C_CLK_4128 := not HPANNE1
                    | C_CLK_4131 := not HDEFAILLANCE1
                    | C_CLK_4149 := not HREPARER2
                    | C_CLK_4152 := not HPANNE2
                    | C_CLK_4155 := not HDEFAILLANCE2
                    | C_CLK_133 := not (ACTIF and (not ZACTIF))
                    | C_CLK_137 := not ZACTIF
                    | C_CLK_166 := not (ACTIF_587 and (not ZACTIF_588))
                    | C_CLK_170 := not ZACTIF_588
                    | C_CLK_252 := not (ACTIF_709 and (not ZACTIF_710))
                    | C_CLK_256 := not ZACTIF_710
                    | C_CLK_285 := not (ACTIF_753 and (not ZACTIF_754))
                    | C_CLK_289 := not ZACTIF_754
                    | C_CLK_371 := not (ACTIF_872 and (not ZACTIF_873))
                    | C_CLK_375 := not ZACTIF_873
                    | C_CLK_404 := not (ACTIF_915 and (not ZACTIF_916))
                    | C_CLK_408 := not ZACTIF_916
                    | C_CLK_490 := not (ACTIF_1034 and (not ZACTIF_1035))
                    | C_CLK_494 := not ZACTIF_1035
                    | C_CLK_523 := not (ACTIF_1077 and (not ZACTIF_1078))
                    | C_CLK_527 := not ZACTIF_1078
                    | C_CLK_609 := not (ACTIF_1195 and (not ZACTIF_1196))
                    | C_CLK_613 := not ZACTIF_1196
                    | C_CLK_642 := not (ACTIF_1238 and (not ZACTIF_1239))
                    | C_CLK_646 := not ZACTIF_1239
                    | C_CLK_1084 := not (ACTIF_2178 and (not ZACTIF_2179))
                    | C_CLK_1088 := not ZACTIF_2179
                    | C_CLK_1117 := not (ACTIF_2224 and (not ZACTIF_2225))
                    | C_CLK_1121 := not ZACTIF_2225
                    | C_CLK_1203 := not (ACTIF_2343 and (not ZACTIF_2344))
                    | C_CLK_1207 := not ZACTIF_2344
                    | C_CLK_1236 := not (ACTIF_2386 and (not ZACTIF_2387))
                    | C_CLK_1240 := not ZACTIF_2387
                    | C_CLK_1322 := not (ACTIF_2504 and (not ZACTIF_2505))
                    | C_CLK_1326 := not ZACTIF_2505
                    | C_CLK_1355 := not (ACTIF_2546 and (not ZACTIF_2547))
                    | C_CLK_1359 := not ZACTIF_2547
                    | C_CLK_1441 := not (ACTIF_2664 and (not ZACTIF_2665))
                    | C_CLK_1445 := not ZACTIF_2665
                    | C_CLK_1474 := not (ACTIF_2706 and (not ZACTIF_2707))
                    | C_CLK_1478 := not ZACTIF_2707
                    | C_CLK_1560 := not (ACTIF_2824 and (not ZACTIF_2825))
                    | C_CLK_1564 := not ZACTIF_2825
                    | C_CLK_1593 := not (ACTIF_2866 and (not ZACTIF_2867))
                    | C_CLK_1597 := not ZACTIF_2867
                    | C_CLK_2027 := not (NP>=9)
                    | C_CLK_2030 := not (NP<=0)
                    | C_CLK_2213 := not (NP_3994>=9)
                    | C_CLK_2216 := not (NP_3994<=0)
                    | C_CLK_211 := not (NXW>=LGW)
                    | C_CLK_330 := not (NXW_798>=LGW_669)
                    | C_CLK_449 := not (NXW_960>=LGW_833)
                    | C_CLK_568 := not (NXW_1122>=LGW_995)
                    | C_CLK_687 := not (NXW_1283>=LGW_1156)
                    | C_CLK_1162 := not (NXW_2269>=LGW_2135)
                    | C_CLK_1281 := not (NXW_2431>=LGW_2303)
                    | C_CLK_1400 := not (NXW_2591>=LGW_2465)
                    | C_CLK_1519 := not (NXW_2751>=LGW_2625)
                    | C_CLK_1638 := not (NXW_2911>=LGW_2785)
                    | C_CLK_2896 := not (ZN_5147>0)
                    | C_CLK_2907 := not (ZN_5147=1)
                    | C_CLK_3040 := not (ZN_5325>0)
                    | C_CLK_3051 := not (ZN_5325=1)
                    | C_CLK_2416 := not (ZN=0)
                    | C_CLK_2419 := not (N_4421=0)
                    | C_CLK_2446 := not (ZN_4450=0)
                    | C_CLK_2449 := not (N_4449=0)
                    | C_CLK_2476 := not (ZN_4478=0)
                    | C_CLK_2479 := not (N_4477=0)
                    | C_CLK_2522 := not (ZN_4537=0)
                    | C_CLK_2525 := not (N_4536=0)
                    | C_CLK_2552 := not (ZN_4565=0)
                    | C_CLK_2555 := not (N_4564=0)
                    | C_CLK_2582 := not (ZN_4593=0)
                    | C_CLK_2585 := not (N_4592=0)
                    | C_CLK_2652 := not (ZN_4809>0)
                    | C_CLK_2666 := not (ZN_4809=1)
                    | C_CLK_3143 := not (ZN_5480>0)
                    | C_CLK_3157 := not (ZN_5480=1)
                    | C_CLK_2635 := not ZPASSANT
                    | C_CLK_2793 := not ZPASSANT_5019
                    | C_MONTER_1_20356 := left_tt ( C_MONTER_1,C_COULEUR_20249 )
                    | C_CLK_3126 := not ZPASSANT_5448
                    | C_CLK_3280 := not ZPASSANT_5672
                    | C_MONTER_4_20376 := left_tt ( C_MONTER_4,C_COULEUR_20258 )
                    | C_CLK_2725 := not (ATTENTE>0)
                    | C_CLK_2754 := not (ATTENTE<=15)
                    | C_CLK_2763 := not (ATTENTE<=0)
                    | C_CLK_3216 := not (ATTENTE_5587>0)
                    | C_CLK_3245 := not (ATTENTE_5587<=15)
                    | C_CLK_3254 := not (ATTENTE_5587<=0)
                    | C_CLK_2733 := not (ZN_4948>0)
                    | C_CLK_2747 := not (ZN_4948=1)
                    | C_CLK_2757 := not (N_4853=15)
                    | C_CLK_3224 := not (ZN_5614>0)
                    | C_CLK_3238 := not (ZN_5614=1)
                    | C_CLK_3248 := not (N_5522=15)
                    | C_CLK_3344 := not (N_5729=0)
                    | C_CLK_3348 := not (N_5729<0)
                    | C_CLK_2860 := not (ZN_5109>0)
                    | C_CLK_2871 := not (ZN_5109=1)
                    | C_CLK_3004 := not (ZN_5288>0)
                    | C_CLK_3015 := not (ZN_5288=1)
                    | C_CLK_3371 := not ZPASSANT_5782
                    | C_CLK_2929 := not (ZN_5185>0)
                    | C_CLK_2940 := not (ZN_5185=1)
                    | C_CLK_3073 := not (ZN_5362>0)
                    | C_CLK_3084 := not (ZN_5362=1)
                    | C_CLK_3418 := not ACTIF_5884
                    | C_CLK_3496 := not ACTIF_6037
                    |)**WARNING: unused signals 

%
